model <- function(t, state, parms) {
  with(as.list(c(state,parms)), {
    dx <- 2*x*(1-y)
    dy <- 2 -y - x^2
    return(list(c(dx, dy)))  
  }) 
}  
s <- c(x=0,y=0)
p <- NULL
plane(xmin=-0.25,xmax=1.5,ymax=2.5,vector=TRUE,eps=-0.01)
newton(c(x=0,y=2),jacobian=TRUE,vector=TRUE,plot=TRUE)
newton(c(x=1,y=1),jacobian=TRUE,vector=TRUE,plot=TRUE)

plane(xmin=-0.25,xmax=1.5,ymax=2.5,portrait=TRUE,tmax=2,tstep=0.1,after="state=ifelse(state<2.5,state,2.5)",grid=10)

# Make figure
size <- 5
pdf("portrait1.pdf",width=size,height=size)
opar <- par(no.readonly=TRUE) 
par(mar=c(2.6,2.6,1.2,0.2),mgp=c(1.5,0.5,0)) 
plane(xmin=-0.25,xmax=1.5,ymax=2.5,vector=TRUE,eps=-0.01)
newton(c(x=0,y=2),jacobian=TRUE,vector=TRUE,plot=TRUE)
newton(c(x=1,y=1),jacobian=TRUE,vector=TRUE,plot=TRUE)
dev.off()

pdf("portrait2.pdf",width=size,height=size)
opar <- par(no.readonly=TRUE) 
par(mar=c(2.6,2.6,1.2,0.2),mgp=c(1.5,0.5,0)) 
plane(xmin=-0.25,xmax=1.5,ymax=2.5,portrait=TRUE,tmax=2,tstep=0.1,after="state=ifelse(state<2.5,state,2.5)",grid=10)
newton(c(x=0,y=2),jacobian=TRUE,vector=TRUE,plot=TRUE)
newton(c(x=1,y=1),jacobian=TRUE,vector=TRUE,plot=TRUE)
dev.off()

