model <- function(t, state, parms) {
  with(as.list(c(state,parms)), {
    dtN <- r*N*(1 - N/K)
    return(list(c(dtN)))  
  }) 
} 

p <- c(r=1,K=100)
s <- c(N=2)
run(18)

aurelia <- read.table("data/aurelia1.txt", header=TRUE)
caudatum <- read.table("data/caudatum1.txt", header=TRUE)

timePlot(aurelia,draw=points)
timePlot(caudatum,draw=points)
names(aurelia) <- c("time", "N")
names(caudatum) <- c("time", "N")

free <- c("r","K","N")
fA <- fit(aurelia,free=free)
fC <- fit(caudatum,free=free)
summary(fA)
summary(fC)

# Since r and N(0) are strongly correlated use the data to set N(0)
s <- c(N=2.1)
free <- c("r","K")
fA <- fit(aurelia,free=free)
fC <- fit(caudatum,free=free)
summary(fA)
summary(fC)

p["r"] <- fA$par["r"]; p["K"] <- fA$par["K"]; p
fA <- fit(aurelia,free=free,bootstrap=100)
p["r"] <- fC$par["r"]; p["K"] <- fC$par["K"]; p
fC <- fit(caudatum,free=free,bootstrap=100)
