model <- function(t, state, parms) {
  with(as.list(c(state,parms)), {
    dN <- s + r*N - d*N
    return(list(dN))  
  }) 
}  

s <- c(N=0.1)

p <- c(s=1,r=0,d=1)
run(10,0.1,legend=FALSE)

p <- c(s=0,r=1,d=0)
run(2,0.1,ymax=0.8,legend=FALSE)
run(2,0.1,ymin=0.08,ymax=0.8,log="y",legend=FALSE)

# Make Figures
size<-5#inch

pdf("introA.pdf",width=size,height=size)
par(mar=c(0.1,0.1,0.1,0.1),xaxt="n",yaxt="n",ann=F,xaxs="i",yaxs="i")
p <- c(s=1,r=0,d=1)
run(10,0.1,ymax=1.1,legend=FALSE)
dev.off()

pdf("introB.pdf",width=size,height=size)
par(mar=c(0.1,0.1,0.1,0.1),xaxt="n",yaxt="n",ann=F,xaxs="i",yaxs="i")
p <- c(s=0,r=1,d=0)
run(2,0.1,ymax=0.8,legend=FALSE)
dev.off()

pdf("introC.pdf",width=size,height=size)
par(mar=c(0.1,0.1,0.1,0.1),xaxt="n",yaxt="n",ann=F,xaxs="i",yaxs="i")
p <- c(s=0,r=1,d=0)
run(2,0.1,ymin=0.08,ymax=0.8,log="y",legend=FALSE)
dev.off()
