(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     15179,        447]
NotebookOptionsPosition[     12843,        399]
NotebookOutlinePosition[     13180,        414]
CellTagsIndexPosition[     13137,        411]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Lotka-Volterra model:", "Text",
 CellChangeTimes->{{3.852730504255834*^9, 3.852730510686285*^9}, 
   3.8527305436829987`*^9},ExpressionUUID->"a3b5152f-85f1-43b4-9c78-\
c0ee60a3e42a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dR1", "=", 
  RowBox[{
   RowBox[{"R1", 
    RowBox[{"(", 
     RowBox[{"1", "-", "R1"}], ")"}]}], "-", 
   RowBox[{"a1", " ", "R1", " ", "N1"}]}]}]], "Input",
 CellChangeTimes->{{3.848070507462611*^9, 3.848070521194539*^9}, {
  3.8526527296868362`*^9, 3.8526527678968077`*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"eb5e4ad5-bd1d-466e-8544-e67739c15a6c"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "a1"}], " ", "N1", " ", "R1"}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "R1"}], ")"}], " ", "R1"}]}]], "Output",
 CellChangeTimes->{{3.8480705124646597`*^9, 3.848070521712634*^9}, 
   3.8526526593021812`*^9, 3.8526527406277847`*^9, 3.852652788647251*^9},
 CellLabel->"Out[15]=",ExpressionUUID->"07531148-0fe1-4885-9f3f-f1a969ce28d6"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dN1", "=", 
  RowBox[{
   RowBox[{"a1", " ", "R1", " ", "N1"}], "-", 
   RowBox[{"d", " ", "N1"}]}]}]], "Input",
 CellChangeTimes->{{3.848070516050187*^9, 3.848070539006035*^9}, {
  3.852652743353055*^9, 3.852652751933178*^9}},
 CellLabel->"In[16]:=",ExpressionUUID->"b12df390-6c08-4b1c-b1fa-5714b5562432"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "d"}], " ", "N1"}], "+", 
  RowBox[{"a1", " ", "N1", " ", "R1"}]}]], "Output",
 CellChangeTimes->{3.848070539816947*^9, 3.8526526593311167`*^9, 
  3.852652754649098*^9, 3.852652788713339*^9},
 CellLabel->"Out[16]=",ExpressionUUID->"803f5c6f-a950-460b-b353-58839e6edcb6"]
}, Open  ]],

Cell["Beddington model:", "Text",
 CellChangeTimes->{{3.852730533006008*^9, 
  3.8527305414438887`*^9}},ExpressionUUID->"6892a05b-1b30-40bb-ba59-\
7a3f7855c859"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dR2", "=", 
  RowBox[{
   RowBox[{"R2", 
    RowBox[{"(", 
     RowBox[{"1", "-", "R2"}], ")"}]}], "-", 
   RowBox[{"a2", " ", "R2", " ", 
    RowBox[{"N2", "/", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"R2", "/", "h"}], "+", 
       RowBox[{"N2", "/", "h"}]}], ")"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.848070548662627*^9, 3.848070552458809*^9}, {
  3.852652757840287*^9, 3.85265277156597*^9}},
 CellLabel->"In[17]:=",ExpressionUUID->"d3ab467a-d989-451a-86bf-c6e9cca44c39"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "-", "R2"}], ")"}], " ", "R2"}], "-", 
  FractionBox[
   RowBox[{"a2", " ", "N2", " ", "R2"}], 
   RowBox[{"1", "+", 
    FractionBox["N2", "h"], "+", 
    FractionBox["R2", "h"]}]]}]], "Output",
 CellChangeTimes->{
  3.848070553743216*^9, 3.852652659339871*^9, {3.852652776239953*^9, 
   3.852652788721436*^9}},
 CellLabel->"Out[17]=",ExpressionUUID->"dbb7d87a-c31a-4f8e-826c-74422200f02c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"dN2", "=", 
  RowBox[{
   RowBox[{"a2", " ", "R2", " ", 
    RowBox[{"N2", "/", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"R2", "/", "h"}], "+", 
       RowBox[{"N2", "/", "h"}]}], ")"}]}]}], "-", 
   RowBox[{"d", " ", "N2"}]}]}]], "Input",
 CellChangeTimes->{{3.848070562269227*^9, 3.8480705639441957`*^9}, {
  3.852652779015584*^9, 3.852652784862782*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"e54f9995-f79c-4727-8317-19c7ab25da07"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "d"}], " ", "N2"}], "+", 
  FractionBox[
   RowBox[{"a2", " ", "N2", " ", "R2"}], 
   RowBox[{"1", "+", 
    FractionBox["N2", "h"], "+", 
    FractionBox["R2", "h"]}]]}]], "Output",
 CellChangeTimes->{3.8480705649319487`*^9, 3.852652659370452*^9, 
  3.852652788762383*^9},
 CellLabel->"Out[18]=",ExpressionUUID->"4afd1845-9a05-45e4-bc13-1bf472877d76"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solLV", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dR1", "\[Equal]", "0"}], ",", 
      RowBox[{"dN1", "\[Equal]", "0"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"R1", ",", "N1"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.848070567337138*^9, 3.8480706244426003`*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"8373fe99-d8c2-42f0-a647-e2f11921bc7c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R1", "\[Rule]", "1"}], ",", 
     RowBox[{"N1", "\[Rule]", "0"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R1", "\[Rule]", "0"}], ",", 
     RowBox[{"N1", "\[Rule]", "0"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R1", "\[Rule]", 
      FractionBox["d", "a1"]}], ",", 
     RowBox[{"N1", "\[Rule]", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         RowBox[{"-", "a1"}], "+", "d"}], 
        SuperscriptBox["a1", "2"]]}]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8480705967641783`*^9, 3.848070626275141*^9}, 
   3.852652659405634*^9, 3.852652788772162*^9},
 CellLabel->"Out[19]=",ExpressionUUID->"13fe9cb3-ad46-4496-9a88-21f5c2d001e5"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"barR1", "=", 
   RowBox[{"R1", "/.", 
    RowBox[{"solLV", "[", 
     RowBox[{"[", "3", "]"}], "]"}]}]}], ";", 
  RowBox[{"barN1", "=", 
   RowBox[{"N1", "/.", 
    RowBox[{"solLV", "[", 
     RowBox[{"[", "3", "]"}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.848070636057211*^9, 3.848070685934287*^9}, 
   3.848070790468711*^9},
 CellLabel->"In[20]:=",ExpressionUUID->"10840b3f-13ab-4707-a657-f6f3baa570c9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"solB", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dR2", "\[Equal]", "0"}], ",", 
      RowBox[{"dN2", "\[Equal]", "0"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"R2", ",", "N2"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.848070766773406*^9, 3.848070781431922*^9}, {
  3.848070812324102*^9, 3.848070823878107*^9}},
 CellLabel->"In[21]:=",ExpressionUUID->"b873161b-d7cf-4641-8743-d79223783a0d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R2", "\[Rule]", "0"}], ",", 
     RowBox[{"N2", "\[Rule]", "0"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R2", "\[Rule]", "1"}], ",", 
     RowBox[{"N2", "\[Rule]", "0"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R2", "\[Rule]", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", 
         RowBox[{"a2", " ", "h"}], "-", 
         SqrtBox[
          RowBox[{
           RowBox[{"4", " ", "d", " ", "h"}], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d", "-", 
              RowBox[{"a2", " ", "h"}]}], ")"}], "2"]}]]}], ")"}]}]}], ",", 
     RowBox[{"N2", "\[Rule]", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "d"}], "-", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"a2", " ", "h"}], "-", 
        RowBox[{"2", " ", "d", " ", "h"}], "+", 
        RowBox[{"2", " ", "a2", " ", "d", " ", "h"}], "-", 
        RowBox[{
         SuperscriptBox["a2", "2"], " ", 
         SuperscriptBox["h", "2"]}], "+", 
        RowBox[{"d", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"4", " ", "d", " ", "h"}], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d", "-", 
              RowBox[{"a2", " ", "h"}]}], ")"}], "2"]}]]}], "-", 
        RowBox[{"a2", " ", "h", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"4", " ", "d", " ", "h"}], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d", "-", 
              RowBox[{"a2", " ", "h"}]}], ")"}], "2"]}]]}]}], 
       RowBox[{"2", " ", "d"}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"R2", "\[Rule]", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", 
         RowBox[{"a2", " ", "h"}], "+", 
         SqrtBox[
          RowBox[{
           RowBox[{"4", " ", "d", " ", "h"}], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d", "-", 
              RowBox[{"a2", " ", "h"}]}], ")"}], "2"]}]]}], ")"}]}]}], ",", 
     RowBox[{"N2", "\[Rule]", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "d"}], "-", 
        SuperscriptBox["d", "2"], "+", 
        RowBox[{"a2", " ", "h"}], "-", 
        RowBox[{"2", " ", "d", " ", "h"}], "+", 
        RowBox[{"2", " ", "a2", " ", "d", " ", "h"}], "-", 
        RowBox[{
         SuperscriptBox["a2", "2"], " ", 
         SuperscriptBox["h", "2"]}], "-", 
        RowBox[{"d", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"4", " ", "d", " ", "h"}], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d", "-", 
              RowBox[{"a2", " ", "h"}]}], ")"}], "2"]}]]}], "+", 
        RowBox[{"a2", " ", "h", " ", 
         SqrtBox[
          RowBox[{
           RowBox[{"4", " ", "d", " ", "h"}], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", "d", "-", 
              RowBox[{"a2", " ", "h"}]}], ")"}], "2"]}]]}]}], 
       RowBox[{"2", " ", "d"}]]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.848070770491803*^9, 3.8480707820143337`*^9}, 
   3.848070825102618*^9, 3.852652659449092*^9, 3.852652788847672*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"29df4896-6808-4c5e-90e3-db025c7c053d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"barR2", "=", 
   RowBox[{"R2", "/.", 
    RowBox[{"solB", "[", 
     RowBox[{"[", "4", "]"}], "]"}]}]}], ";", 
  RowBox[{"barN2", "=", 
   RowBox[{"N2", "/.", 
    RowBox[{"solB", "[", 
     RowBox[{"[", "4", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.8480709021593637`*^9, 3.848070938561551*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"27b27177-d032-4dab-ab0d-ce42edc48e3e"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "d"}], "-", 
   SuperscriptBox["d", "2"], "+", 
   RowBox[{"a2", " ", "h"}], "-", 
   RowBox[{"2", " ", "d", " ", "h"}], "+", 
   RowBox[{"2", " ", "a2", " ", "d", " ", "h"}], "-", 
   RowBox[{
    SuperscriptBox["a2", "2"], " ", 
    SuperscriptBox["h", "2"]}], "-", 
   RowBox[{"d", " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"4", " ", "d", " ", "h"}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", 
         RowBox[{"a2", " ", "h"}]}], ")"}], "2"]}]]}], "+", 
   RowBox[{"a2", " ", "h", " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"4", " ", "d", " ", "h"}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "d", "-", 
         RowBox[{"a2", " ", "h"}]}], ")"}], "2"]}]]}]}], 
  RowBox[{"2", " ", "d"}]]], "Output",
 CellChangeTimes->{{3.848070923973982*^9, 3.8480709397933292`*^9}, 
   3.852652659459083*^9, 3.852652788856196*^9},
 CellLabel->"Out[22]=",ExpressionUUID->"34ccee69-aaf4-4d4a-9f72-c4471b5a72c4"]
}, Open  ]],

Cell["\<\
Solve the a2 parameter from the requirement that both states are identical\
\>", "Text",
 CellChangeTimes->{{3.852730566746067*^9, 
  3.852730591450573*^9}},ExpressionUUID->"26eea43f-b6f7-4fcd-a2a4-\
b7652fa07b60"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"barR1", "\[Equal]", "barR2"}], ",", 
     RowBox[{"barN1", "\[Equal]", "barN2"}]}], "}"}], ",", "a2"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.8480709632423687`*^9, 3.848070970544632*^9}, {
  3.848071002991139*^9, 3.8480710058097553`*^9}, {3.848071064470213*^9, 
  3.848071092538064*^9}},
 CellLabel->"In[23]:=",ExpressionUUID->"4cb2c05e-9d08-48eb-b592-3f8385441a6a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"a2", "\[Rule]", 
    FractionBox[
     RowBox[{"a1", "-", "d", "+", 
      RowBox[{"a1", " ", "d"}], "+", 
      RowBox[{
       SuperscriptBox["a1", "2"], " ", "h"}]}], 
     RowBox[{"a1", " ", "h"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.848070996018152*^9, 3.84807100656839*^9}, 
   3.84807109389319*^9, 3.848071143096352*^9, 3.84807117400246*^9, 
   3.852652659489626*^9, 3.8526527888967133`*^9},
 CellLabel->"Out[23]=",ExpressionUUID->"88285d67-2815-4552-84a3-a8678def56e7"]
}, Open  ]]
},
WindowSize->{808, 702},
WindowMargins->{{304, Automatic}, {Automatic, 0}},
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 188, 3, 35, "Text",ExpressionUUID->"a3b5152f-85f1-43b4-9c78-c0ee60a3e42a"],
Cell[CellGroupData[{
Cell[771, 27, 381, 9, 30, "Input",ExpressionUUID->"eb5e4ad5-bd1d-466e-8544-e67739c15a6c"],
Cell[1155, 38, 400, 9, 34, "Output",ExpressionUUID->"07531148-0fe1-4885-9f3f-f1a969ce28d6"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1592, 52, 330, 7, 30, "Input",ExpressionUUID->"b12df390-6c08-4b1c-b1fa-5714b5562432"],
Cell[1925, 61, 321, 7, 34, "Output",ExpressionUUID->"803f5c6f-a950-460b-b353-58839e6edcb6"]
}, Open  ]],
Cell[2261, 71, 161, 3, 35, "Text",ExpressionUUID->"6892a05b-1b30-40bb-ba59-7a3f7855c859"],
Cell[CellGroupData[{
Cell[2447, 78, 522, 14, 30, "Input",ExpressionUUID->"d3ab467a-d989-451a-86bf-c6e9cca44c39"],
Cell[2972, 94, 460, 13, 58, "Output",ExpressionUUID->"dbb7d87a-c31a-4f8e-826c-74422200f02c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3469, 112, 478, 12, 30, "Input",ExpressionUUID->"e54f9995-f79c-4727-8317-19c7ab25da07"],
Cell[3950, 126, 403, 11, 58, "Output",ExpressionUUID->"4afd1845-9a05-45e4-bc13-1bf472877d76"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4390, 142, 432, 11, 30, "Input",ExpressionUUID->"8373fe99-d8c2-42f0-a647-e2f11921bc7c"],
Cell[4825, 155, 783, 23, 53, "Output",ExpressionUUID->"13fe9cb3-ad46-4496-9a88-21f5c2d001e5"]
}, Open  ]],
Cell[5623, 181, 451, 12, 30, "Input",ExpressionUUID->"10840b3f-13ab-4707-a657-f6f3baa570c9"],
Cell[CellGroupData[{
Cell[6099, 197, 478, 12, 30, "Input",ExpressionUUID->"b873161b-d7cf-4641-8743-d79223783a0d"],
Cell[6580, 211, 3470, 99, 187, "Output",ExpressionUUID->"29df4896-6808-4c5e-90e3-db025c7c053d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10087, 315, 420, 11, 30, "Input",ExpressionUUID->"27b27177-d032-4dab-ab0d-ce42edc48e3e"],
Cell[10510, 328, 1039, 30, 60, "Output",ExpressionUUID->"34ccee69-aaf4-4d4a-9f72-c4471b5a72c4"]
}, Open  ]],
Cell[11564, 361, 224, 5, 35, "Text",ExpressionUUID->"26eea43f-b6f7-4fcd-a2a4-b7652fa07b60"],
Cell[CellGroupData[{
Cell[11813, 370, 463, 11, 30, "Input",ExpressionUUID->"4cb2c05e-9d08-48eb-b592-3f8385441a6a"],
Cell[12279, 383, 548, 13, 54, "Output",ExpressionUUID->"88285d67-2815-4552-84a3-a8678def56e7"]
}, Open  ]]
}
]
*)

