(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    488653,       8885]
NotebookOptionsPosition[    482342,       8777]
NotebookOutlinePosition[    482733,       8794]
CellTagsIndexPosition[    482690,       8791]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", 
   RowBox[{"r", ",", "K", ",", "a", ",", "d", ",", "x0", ",", "y0"}], "]"}], 
  " ", 
  RowBox[{"(*", " ", 
   RowBox[{
   "Make", " ", "sure", " ", "these", " ", "parameters", " ", "are", " ", 
    "not", " ", "predefined"}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.844870046783908*^9, 3.844870087288624*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"e656687c-33e6-4aac-bb05-475eb2b92c22"],

Cell[TextData[StyleBox["Two derivatives that together define the Lotka \
Volterra model:",
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.843877238911687*^9, 3.8438772960977917`*^9}, {
  3.844866167528379*^9, 3.8448661792899837`*^9}, {3.844868479094277*^9, 
  3.844868489917489*^9}, {3.844869839284074*^9, 3.844869840279706*^9}, {
  3.844870090330186*^9, 
  3.844870091283638*^9}},ExpressionUUID->"a5be80c5-4e14-4f24-a327-\
1fc0f38e5cb5"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"dxt", " ", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"x", "'"}], "[", "t", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"r", " ", 
      RowBox[{"x", "[", "t", "]"}], 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], "/", "K"}]}], ")"}]}], "-", 
     RowBox[{"a", " ", 
      RowBox[{"x", "[", "t", "]"}], 
      RowBox[{"y", "[", "t", "]"}]}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dyt", " ", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"y", "'"}], "[", "t", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"a", " ", 
      RowBox[{"x", "[", "t", "]"}], 
      RowBox[{"y", "[", "t", "]"}]}], "-", 
     RowBox[{"d", " ", 
      RowBox[{"y", "[", "t", "]"}]}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"model", "=", 
  RowBox[{"{", 
   RowBox[{"dxt", ",", "dyt", ",", 
    RowBox[{
     RowBox[{"x", "[", "0", "]"}], "\[Equal]", "x0"}], ",", " ", 
    RowBox[{
     RowBox[{"y", "[", "0", "]"}], "\[Equal]", "y0"}]}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.843874601605335*^9, 3.843874602754917*^9}, {
  3.8447336121488323`*^9, 3.8447336358806047`*^9}, {3.844733667323124*^9, 
  3.844733682136643*^9}, {3.844864354768594*^9, 3.844864355182798*^9}, {
  3.844865033398802*^9, 3.844865046277738*^9}, {3.844865108623672*^9, 
  3.844865127058135*^9}, {3.844869830880323*^9, 3.8448698337044277`*^9}, {
  3.844870030227512*^9, 3.844870034000629*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"bc0812d2-764a-4c5f-9053-aa0bdbe7ab8a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "\[Prime]",
      MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"r", " ", 
      RowBox[{"x", "[", "t", "]"}], " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        FractionBox[
         RowBox[{"x", "[", "t", "]"}], "K"]}], ")"}]}], "-", 
     RowBox[{"a", " ", 
      RowBox[{"x", "[", "t", "]"}], " ", 
      RowBox[{"y", "[", "t", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{
     SuperscriptBox["y", "\[Prime]",
      MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "d"}], " ", 
      RowBox[{"y", "[", "t", "]"}]}], "+", 
     RowBox[{"a", " ", 
      RowBox[{"x", "[", "t", "]"}], " ", 
      RowBox[{"y", "[", "t", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"x", "[", "0", "]"}], "\[Equal]", "x0"}], ",", 
   RowBox[{
    RowBox[{"y", "[", "0", "]"}], "\[Equal]", "y0"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8438745309301577`*^9, 3.84387460412004*^9, 3.8438749469594917`*^9, 
   3.843875251655046*^9, {3.8438765310325747`*^9, 3.843876559615493*^9}, 
   3.843876780495565*^9, 3.843876908950646*^9, 3.844005948232059*^9, 
   3.8440078919248857`*^9, 3.844046868969675*^9, 3.844347523254199*^9, 
   3.84435236768447*^9, {3.844733737542838*^9, 3.844733758799383*^9}, 
   3.844734425924511*^9, 3.844734635526555*^9, 3.844738589290968*^9, 
   3.84474201636939*^9, 3.844742201140368*^9, 3.844820944528294*^9, 
   3.844858215348454*^9, 3.844864366599677*^9, {3.844865111234261*^9, 
   3.844865131990096*^9}, 3.844868446190468*^9, 3.844869843259685*^9, 
   3.844869900034872*^9, 3.844870007627212*^9, 3.8448700938219643`*^9},
 CellLabel->"Out[47]=",ExpressionUUID->"e1dc53f5-ea27-42c1-99e5-d0e6b69585f1"]
}, Open  ]],

Cell[TextData[StyleBox["For steady states, nullclines and vectors we need \
algebraic versions of these ODEs :",
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.844005955967803*^9, 3.8440059954186993`*^9}, 
   3.8440073601649*^9, {3.8440074135484*^9, 3.8440074135533657`*^9}, 
   3.844007501048542*^9, {3.844008850779127*^9, 3.8440088534696617`*^9}, {
   3.844866191257064*^9, 
   3.844866191487164*^9}},ExpressionUUID->"36b4de3d-c40e-4e4f-bc81-\
9e5da7d5d0d1"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"dx", "=", 
  RowBox[{
   RowBox[{"dxt", "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], "\[Rule]", "x"}], ",", 
     RowBox[{
      RowBox[{"y", "[", "t", "]"}], "\[Rule]", "y"}]}], 
    "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"dy", "=", 
  RowBox[{
   RowBox[{"dyt", "[", 
    RowBox[{"[", "2", "]"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"x", "[", "t", "]"}], "\[Rule]", "x"}], ",", 
     RowBox[{
      RowBox[{"y", "[", "t", "]"}], "\[Rule]", "y"}]}], "}"}]}]}]}], "Input",
 CellChangeTimes->{{3.843874954234663*^9, 3.8438749611021957`*^9}, {
  3.843875112361697*^9, 3.843875177274222*^9}, {3.8438752183442373`*^9, 
  3.843875219204194*^9}, {3.843875253441332*^9, 3.843875258591178*^9}, {
  3.844865134805231*^9, 3.844865135878487*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"36da39a2-d12d-48de-97d3-8e3b1cf1104a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"r", " ", "x", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     FractionBox["x", "K"]}], ")"}]}], "-", 
  RowBox[{"a", " ", "x", " ", "y"}]}]], "Output",
 CellChangeTimes->{
  3.843875259609859*^9, 3.843876531043221*^9, 3.8438765641420403`*^9, 
   3.8438767805403433`*^9, 3.843876908998186*^9, 3.844006002831604*^9, 
   3.8440078919358177`*^9, 3.844046879309835*^9, 3.84434752331776*^9, 
   3.844352367722932*^9, {3.844733737583242*^9, 3.844733758816449*^9}, 
   3.8447344259334707`*^9, 3.844734635570032*^9, 3.844738589332294*^9, 
   3.844742016408718*^9, 3.844742201149735*^9, 3.844820944537142*^9, 
   3.844858215363241*^9, 3.84486436660882*^9, 3.8448651363901577`*^9, 
   3.8448684462337313`*^9, 3.844869900199321*^9, {3.844870002811192*^9, 
   3.844870011023486*^9}, 3.8448700962976217`*^9},
 CellLabel->"Out[48]=",ExpressionUUID->"4744906c-595e-4b8b-b20b-3fecac90f183"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", "d"}], " ", "y"}], "+", 
  RowBox[{"a", " ", "x", " ", "y"}]}]], "Output",
 CellChangeTimes->{
  3.843875259609859*^9, 3.843876531043221*^9, 3.8438765641420403`*^9, 
   3.8438767805403433`*^9, 3.843876908998186*^9, 3.844006002831604*^9, 
   3.8440078919358177`*^9, 3.844046879309835*^9, 3.84434752331776*^9, 
   3.844352367722932*^9, {3.844733737583242*^9, 3.844733758816449*^9}, 
   3.8447344259334707`*^9, 3.844734635570032*^9, 3.844738589332294*^9, 
   3.844742016408718*^9, 3.844742201149735*^9, 3.844820944537142*^9, 
   3.844858215363241*^9, 3.84486436660882*^9, 3.8448651363901577`*^9, 
   3.8448684462337313`*^9, 3.844869900199321*^9, {3.844870002811192*^9, 
   3.844870011023486*^9}, 3.844870096298787*^9},
 CellLabel->"Out[49]=",ExpressionUUID->"81fd5f21-e178-4afe-87a8-809a59e8552b"]
}, Open  ]],

Cell[TextData[StyleBox["Find steady states:",
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.844007543720962*^9, 
  3.8440075599232283`*^9}},ExpressionUUID->"b662d1e3-3c11-4d37-a456-\
4414bebe434b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"steady", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dx", "\[Equal]", "0"}], ",", 
      RowBox[{"dy", "\[Equal]", "0"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "y"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.843876722859358*^9, 3.843876739088462*^9}, {
   3.844869956549281*^9, 3.8448699602670927`*^9}, 3.8448701059060383`*^9},
 CellLabel->"In[51]:=",ExpressionUUID->"b1aa77c8-da8a-440a-b2e4-0af7ffe23b92"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", 
      FractionBox["d", "a"]}], ",", 
     RowBox[{"y", "\[Rule]", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "d"}], "+", 
          RowBox[{"a", " ", "K"}]}], ")"}], " ", "r"}], 
       RowBox[{
        SuperscriptBox["a", "2"], " ", "K"}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", "0"}], ",", 
     RowBox[{"y", "\[Rule]", "0"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", "K"}], ",", 
     RowBox[{"y", "\[Rule]", "0"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8438767279693623`*^9, 3.84387673950399*^9}, 
   3.843876780584586*^9, 3.8438769090472183`*^9, 3.844006011119554*^9, 
   3.8440078919744864`*^9, 3.844046887111452*^9, 3.844347523375361*^9, 
   3.844352367757077*^9, {3.844733737620175*^9, 3.8447337588648252`*^9}, 
   3.8447344259764767`*^9, 3.844734635614871*^9, 3.8447385893736153`*^9, 
   3.844742016443513*^9, 3.844742201188656*^9, 3.844820944578312*^9, 
   3.844858215425359*^9, 3.8448643666452103`*^9, 3.844865142314406*^9, 
   3.8448684462874737`*^9, 3.844869900239373*^9, 3.844869960872164*^9, {
   3.844870099114272*^9, 3.844870106758482*^9}},
 CellLabel->"Out[51]=",ExpressionUUID->"bbfa3b8b-f6cb-4423-9a25-9870b226c9e0"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"r", "=", "1"}], ";", 
  RowBox[{"K", "=", "1"}], ";", 
  RowBox[{"a", "=", "1"}], ";", 
  RowBox[{"c", "=", "0.1"}], ";", 
  RowBox[{"d", "=", "0.5"}], ";", " ", 
  RowBox[{"x0", "=", "1"}], ";", 
  RowBox[{"y0", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", "50"}], ";"}]}], "Input",
 CellChangeTimes->{{3.843710629177526*^9, 3.8437106435278587`*^9}, {
   3.8437194795817842`*^9, 3.843719480382045*^9}, {3.8437195246592627`*^9, 
   3.84371952492662*^9}, {3.843874566926952*^9, 3.843874575222856*^9}, 
   3.84387462218189*^9, {3.843875411751511*^9, 3.843875412023407*^9}, {
   3.843875491668612*^9, 3.843875493785573*^9}, {3.844733674610876*^9, 
   3.8447337080654583`*^9}, {3.84473375067581*^9, 3.8447337543726788`*^9}, {
   3.844864360965005*^9, 3.844864362028413*^9}, {3.844865147485681*^9, 
   3.844865155378474*^9}, {3.844865187337121*^9, 3.8448652000954103`*^9}, {
   3.844865619846307*^9, 3.8448656203742*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"5ad62615-1696-4d01-8a67-eb99d67ee6cd"],

Cell[CellGroupData[{

Cell[BoxData["steady"], "Input",
 CellChangeTimes->{{3.8438767522688837`*^9, 3.843876756140633*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"ae8d8d35-b258-49a6-ab00-a43b9705242e"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", "0.5`"}], ",", 
     RowBox[{"y", "\[Rule]", "0.5`"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", "0"}], ",", 
     RowBox[{"y", "\[Rule]", "0"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", "1"}], ",", 
     RowBox[{"y", "\[Rule]", "0"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.843876756617127*^9, 3.8438767806329823`*^9}, 
   3.843876909100897*^9, 3.8440078920185537`*^9, 3.8443475234442463`*^9, 
   3.844352367794079*^9, {3.844733737663698*^9, 3.8447337589209843`*^9}, 
   3.844734426020101*^9, 3.844734635666387*^9, 3.8447385894191027`*^9, 
   3.844742016485621*^9, 3.8447422012323227`*^9, 3.844820944622061*^9, 
   3.844858215462837*^9, 3.8448643666874437`*^9, 3.844865204733759*^9, 
   3.8448684463556557`*^9, 3.844869900285761*^9, 3.844870110275462*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"d73e1867-3bf8-48a8-aa1b-b847b10d437c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"vect", "=", 
  RowBox[{"VectorPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"dx", ",", "dy"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "0", ",", "1"}], "}"}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"X", ",", "Y"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.84371051462635*^9, 3.84371055993819*^9}, {
   3.843710648017241*^9, 3.843710659377097*^9}, {3.843874842165762*^9, 
   3.8438748427613077`*^9}, {3.843874883778014*^9, 3.843874886792235*^9}, {
   3.8438754193409843`*^9, 3.843875420085754*^9}, {3.844858320689171*^9, 
   3.844858323945675*^9}, 3.84486438345089*^9, {3.844869530743519*^9, 
   3.844869567079216*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"0ee28dec-0e2b-4d1e-82ad-d9ff60899945"],

Cell[BoxData[
 GraphicsBox[{{}, 
   {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], 
    {Arrowheads[{{0.001465381122509492, 1.}}], 
     ArrowBox[{{0., 0.07304197839804509}, {0., 0.06981516445909776}}]}, 
    {Arrowheads[{{0.002930762245018984, 1.}}], 
     ArrowBox[{{0., 0.14608395679609018`}, {0., 0.13963032891819552`}}]}, 
    {Arrowheads[{{0.0043961433675284755`, 1.}}], 
     ArrowBox[{{0., 0.21912593519413526`}, {0., 0.20944549337729326`}}]}, 
    {Arrowheads[{{0.005861524490037968, 1.}}], 
     ArrowBox[{{0., 0.29216791359218036`}, {0., 0.27926065783639104`}}]}, 
    {Arrowheads[{{0.007326905612547447, 1.}}], 
     ArrowBox[{{0., 0.3652098919902254}, {0., 0.3490758222954888}}]}, 
    {Arrowheads[{{0.008792286735056951, 1.}}], 
     ArrowBox[{{0., 0.43825187038827046`}, {0., 0.41889098675458647`}}]}, 
    {Arrowheads[{{0.010257667857566431`, 1.}}], 
     ArrowBox[{{0., 0.5112938487863156}, {0., 0.48870615121368427`}}]}, 
    {Arrowheads[{{0.011723048980075935`, 1.}}], 
     ArrowBox[{{0., 0.5843358271843606}, {0., 0.558521315672782}}]}, 
    {Arrowheads[{{0.013188430102585413`, 1.}}], 
     ArrowBox[{{0., 0.6573778055824057}, {0., 0.6283364801318797}}]}, 
    {Arrowheads[{{0.014653811225094893`, 1.}}], 
     ArrowBox[{{0., 0.7304197839804507}, {0., 0.6981516445909774}}]}, 
    {Arrowheads[{{0.016119192347604373`, 1.}}], 
     ArrowBox[{{0., 0.8034617623784958}, {0., 0.7679668090500752}}]}, 
    {Arrowheads[{{0.017584573470113902`, 1.}}], 
     ArrowBox[{{0., 0.8765037407765408}, {0., 0.8377819735091728}}]}, 
    {Arrowheads[{{0.019049954592623382`, 1.}}], 
     ArrowBox[{{0., 0.9495457191745859}, {0., 0.9075971379682706}}]}, 
    {Arrowheads[{{0.02051533571513281, 1.}}], 
     ArrowBox[{{0., 1.022587697572631}, {0., 0.9774123024273684}}]}, 
    {Arrowheads[{{0.0027214220846604794`, 1.}}], 
     ArrowBox[{{0.06843224419954891, 0.}, {0.07442489865759394, 0.}}]}, 
    {Arrowheads[{{0.0028085929738938574`, 1.}}], 
     ArrowBox[{{0.06866273090947371, 0.07281149168812028}, {
      0.07419441194766913, 0.07004565116902256}}]}, 
    {Arrowheads[{{0.003407810914034745, 1.}}], 
     ArrowBox[{{0.06889321761939853, 0.14562298337624055`}, {
      0.07396392523774432, 0.14009130233804512`}}]}, 
    {Arrowheads[{{0.004310577729412021, 1.}}], 
     ArrowBox[{{0.06912370432932333, 0.21843447506436084`}, {
      0.07373343852781951, 0.2101369535070677}}]}, 
    {Arrowheads[{{0.0053658093424451625`, 1.}}], 
     ArrowBox[{{0.06935419103924814, 0.2912459667524811}, {
      0.07350295181789471, 0.28018260467609024`}}]}, 
    {Arrowheads[{{0.006499666440696832, 1.}}], 
     ArrowBox[{{0.06958467774917296, 0.3640574584406014}, {0.0732724651079699,
       0.35022825584511286`}}]}, 
    {Arrowheads[{{0.007677391626317494, 1.}}], 
     ArrowBox[{{0.06981516445909776, 0.4368689501287216}, {
      0.07304197839804509, 0.42027390701413536`}}]}, 
    {Arrowheads[{{0.008881550817850453, 1.}}], 
     ArrowBox[{{0.07004565116902257, 0.5096804418168419}, {
      0.07281149168812029, 0.49031955818315787`}}]}, 
    {Arrowheads[{{0.010102696277675058`, 1.}}], 
     ArrowBox[{{0.07027613787894738, 0.5824919335049621}, {
      0.07258100497819547, 0.5603652093521804}}]}, 
    {Arrowheads[{{0.011335339590436587`, 1.}}], 
     ArrowBox[{{0.07050662458887219, 0.6553034251930824}, {
      0.07235051826827067, 0.630410860521203}}]}, 
    {Arrowheads[{{0.012576100332963665`, 1.}}], 
     ArrowBox[{{0.07073711129879699, 0.7281149168812027}, {
      0.07212003155834584, 0.7004565116902256}}]}, 
    {Arrowheads[{{0.013822792769252532`, 1.}}], 
     ArrowBox[{{0.07096759800872181, 0.8009264085693228}, {
      0.07188954484842104, 0.770502162859248}}]}, 
    {Arrowheads[{{0.015073945226824668`, 1.}}], 
     ArrowBox[{{0.07119808471864661, 0.8737379002574431}, {
      0.07165905813849623, 0.8405478140282706}}]}, 
    {Arrowheads[{{0.016328532507962876`, 1.}}], 
     ArrowBox[{{0.07142857142857142, 0.9465493919455634}, {
      0.07142857142857142, 0.9105934651972932}}]}, 
    {Arrowheads[{{0.017585819498350724`, 1.}}], 
     ArrowBox[{{0.07165905813849623, 1.0193608836336836`}, {
      0.07119808471864661, 0.9806391163663156}}]}, 
    {Arrowheads[{{0.005024163848603963, 1.}}], 
     ArrowBox[{{0.13732546181894742`, 0.}, {0.14838882389533825`, 0.}}]}, 
    {Arrowheads[{{0.004722929291669655, 1.}}], 
     ArrowBox[{{0.13778643523879705`, 0.07258100497819547}, {
      0.14792785047548865`, 0.07027613787894738}}]}, 
    {Arrowheads[{{0.004680988289823098, 1.}}], 
     ArrowBox[{{0.13824740865864665`, 0.14516200995639095`}, {
      0.14746687705563902`, 0.14055227575789475`}}]}, 
    {Arrowheads[{{0.00490499675878263, 1.}}], 
     ArrowBox[{{0.13870838207849628`, 0.21774301493458642`}, {
      0.14700590363578941`, 0.21082841363684215`}}]}, 
    {Arrowheads[{{0.0053617242186383375`, 1.}}], 
     ArrowBox[{{0.13916935549834591`, 0.2903240199127819}, {
      0.1465449302159398, 0.2811045515157895}}]}, 
    {Arrowheads[{{0.005998244038771246, 1.}}], 
     ArrowBox[{{0.13963032891819552`, 0.3629050248909773}, {
      0.14608395679609018`, 0.3513806893947369}}]}, 
    {Arrowheads[{{0.006763987585694876, 1.}}], 
     ArrowBox[{{0.14009130233804515`, 0.4354860298691728}, {
      0.14562298337624058`, 0.42165682727368425`}}]}, 
    {Arrowheads[{{0.007620096858247398, 1.}}], 
     ArrowBox[{{0.14055227575789475`, 0.5080670348473683}, {
      0.14516200995639095`, 0.4919329651526316}}]}, 
    {Arrowheads[{{0.008539436501173042, 1.}}], 
     ArrowBox[{{0.14101324917774438`, 0.5806480398255637}, {
      0.14470103653654134`, 0.5622091030315789}}]}, 
    {Arrowheads[{{0.009503674391777007, 1.}}], 
     ArrowBox[{{0.14147422259759398`, 0.6532290448037591}, {
      0.14424006311669169`, 0.6324852409105263}}]}, 
    {Arrowheads[{{0.010500449023309768`, 1.}}], 
     ArrowBox[{{0.14193519601744362`, 0.7258100497819545}, {
      0.14377908969684208`, 0.7027613787894736}}]}, 
    {Arrowheads[{{0.011521318674361656`, 1.}}], 
     ArrowBox[{{0.14239616943729322`, 0.7983910547601499}, {
      0.14331811627699245`, 0.7730375166684209}}]}, 
    {Arrowheads[{{0.0125604096215099, 1.}}], 
     ArrowBox[{{0.14285714285714285`, 0.8709720597383455}, {
      0.14285714285714285`, 0.8433136545473684}}]}, 
    {Arrowheads[{{0.013613550135174186`, 1.}}], 
     ArrowBox[{{0.14331811627699245`, 0.9435530647165409}, {
      0.14239616943729322`, 0.9135897924263157}}]}, 
    {Arrowheads[{{0.01467771631639404, 1.}}], 
     ArrowBox[{{0.14377908969684208`, 1.0161340696947363`}, {
      0.14193519601744362`, 0.983865930305263}}]}, 
    {Arrowheads[{{0.006908225291830451, 1.}}], 
     ArrowBox[{{0.20667965285819556`, 0.}, {0.22189177571323296`, 0.}}]}, 
    {Arrowheads[{{0.0063357829278513425`, 1.}}], 
     ArrowBox[{{0.20737111298797, 0.07235051826827066}, {0.22120031558345857`,
       0.07050662458887219}}]}, 
    {Arrowheads[{{0.0058950724399251505`, 1.}}], 
     ArrowBox[{{0.20806257311774443`, 0.14470103653654132`}, {
      0.22050885545368412`, 0.14101324917774438`}}]}, 
    {Arrowheads[{{0.005617185947787715, 1.}}], 
     ArrowBox[{{0.20875403324751884`, 0.21705155480481197`}, {
      0.21981739532390968`, 0.21151987376661655`}}]}, 
    {Arrowheads[{{0.005526738822219532, 1.}}], 
     ArrowBox[{{0.2094454933772933, 0.28940207307308263`}, {
      0.21912593519413529`, 0.28202649835548876`}}]}, 
    {Arrowheads[{{0.0056327676308347355`, 1.}}], 
     ArrowBox[{{0.2101369535070677, 0.3617525913413533}, {
      0.21843447506436084`, 0.3525331229443609}}]}, 
    {Arrowheads[{{0.005924733369011345, 1.}}], 
     ArrowBox[{{0.21082841363684213`, 0.4341031096096239}, {
      0.2177430149345864, 0.42303974753323303`}}]}, 
    {Arrowheads[{{0.0063771486529419505`, 1.}}], 
     ArrowBox[{{0.21151987376661657`, 0.5064536278778945}, {0.217051554804812,
       0.4935463721221052}}]}, 
    {Arrowheads[{{0.006958789372190282, 1.}}], 
     ArrowBox[{{0.212211333896391, 0.5788041461461652}, {0.21636009467503756`,
       0.5640529967109774}}]}, 
    {Arrowheads[{{0.007640198901091776, 1.}}], 
     ArrowBox[{{0.2129027940261654, 0.6511546644144358}, {0.2156686345452631, 
      0.6345596212998496}}]}, 
    {Arrowheads[{{0.00839712415693169, 1.}}], 
     ArrowBox[{{0.21359425415593986`, 0.7235051826827065}, {
      0.21497717441548872`, 0.7050662458887217}}]}, 
    {Arrowheads[{{0.009210967055773935, 1.}}], 
     ArrowBox[{{0.21428571428571427`, 0.7958557009509771}, {
      0.21428571428571427`, 0.7755728704775939}}]}, 
    {Arrowheads[{{0.010067934208919261`, 1.}}], 
     ArrowBox[{{0.2149771744154887, 0.8682062192192477}, {
      0.21359425415593986`, 0.846079495066466}}]}, 
    {Arrowheads[{{0.010957912643594392`, 1.}}], 
     ArrowBox[{{0.21566863454526314`, 0.9405567374875183}, {
      0.21290279402616544`, 0.9165861196553382}}]}, 
    {Arrowheads[{{0.011873481583390445`, 1.}}], 
     ArrowBox[{{0.21636009467503756`, 1.012907255755789}, {0.212211333896391, 
      0.9870927442442103}}]}, 
    {Arrowheads[{{0.008373606414339943, 1.}}], 
     ArrowBox[{{0.2764948173172933, 0.}, {0.29493375411127803`, 0.}}]}, 
    {Arrowheads[{{0.007562368020289221, 1.}}], 
     ArrowBox[{{0.27741676415699257`, 0.07212003155834586}, {
      0.29401180727157883`, 0.070737111298797}}]}, 
    {Arrowheads[{{0.006815621828069488, 1.}}], 
     ArrowBox[{{0.27833871099669183`, 0.1442400631166917}, {
      0.2930898604318796, 0.141474222597594}}]}, 
    {Arrowheads[{{0.006156878825278887, 1.}}], 
     ArrowBox[{{0.27926065783639104`, 0.21636009467503756`}, {
      0.29216791359218036`, 0.212211333896391}}]}, 
    {Arrowheads[{{0.005617185947787719, 1.}}], 
     ArrowBox[{{0.2801826046760903, 0.2884801262333834}, {
      0.29124596675248116`, 0.282948445195188}}]}, 
    {Arrowheads[{{0.00523350400896248, 1.}}], 
     ArrowBox[{{0.2811045515157895, 0.3606001577917292}, {0.2903240199127819, 
      0.3536855564939849}}]}, 
    {Arrowheads[{{0.005041578680192806, 1.}}], 
     ArrowBox[{{0.28202649835548876`, 0.43272018935007506`}, {
      0.28940207307308263`, 0.4244226677927819}}]}, 
    {Arrowheads[{{0.005063262989641066, 1.}}], 
     ArrowBox[{{0.28294844519518797`, 0.5048402209084208}, {
      0.28848012623338337`, 0.49515977909157893`}}]}, 
    {Arrowheads[{{0.005295933699821953, 1.}}], 
     ArrowBox[{{0.28387039203488723`, 0.5769602524667667}, {
      0.28755817939368417`, 0.5658968903903759}}]}, 
    {Arrowheads[{{0.005713874389632382, 1.}}], 
     ArrowBox[{{0.28479233887458644`, 0.6490802840251125}, {
      0.2866362325539849, 0.6366340016891728}}]}, 
    {Arrowheads[{{0.0062802048107549755`, 1.}}], 
     ArrowBox[{{0.2857142857142857, 0.7212003155834583}, {0.2857142857142857, 
      0.7073711129879697}}]}, 
    {Arrowheads[{{0.006958789372190286, 1.}}], 
     ArrowBox[{{0.2866362325539849, 0.7933203471418042}, {
      0.28479233887458644`, 0.7781082242867668}}]}, 
    {Arrowheads[{{0.0077200836604879985`, 1.}}], 
     ArrowBox[{{0.28755817939368417`, 0.86544037870015}, {
      0.28387039203488723`, 0.8488453355855637}}]}, 
    {Arrowheads[{{0.008542002052230217, 1.}}], 
     ArrowBox[{{0.2884801262333834, 0.9375604102584958}, {0.282948445195188, 
      0.9195824468843606}}]}, 
    {Arrowheads[{{0.009408670019329083, 1.}}], 
     ArrowBox[{{0.28940207307308263`, 1.0096804418168417`}, {
      0.28202649835548876`, 0.9903195581831578}}]}, 
    {Arrowheads[{{0.009420307216132438, 1.}}], 
     ArrowBox[{{0.3467709551962407, 0.}, {0.3675147590894735, 0.}}]}, 
    {Arrowheads[{{0.008384066888642452, 1.}}], 
     ArrowBox[{{0.3479233887458647, 0.07188954484842104}, {
      0.36636232553984943`, 0.07096759800872181}}]}, 
    {Arrowheads[{{0.007374599561942466, 1.}}], 
     ArrowBox[{{0.3490758222954888, 0.14377908969684208`}, {
      0.3652098919902254, 0.14193519601744362`}}]}, 
    {Arrowheads[{{0.006404577375879754, 1.}}], 
     ArrowBox[{{0.3502282558451128, 0.21566863454526314`}, {
      0.36405745844060133`, 0.21290279402616544`}}]}, 
    {Arrowheads[{{0.005494929989282582, 1.}}], 
     ArrowBox[{{0.3513806893947369, 0.28755817939368417`}, {
      0.3629050248909773, 0.28387039203488723`}}]}, 
    {Arrowheads[{{0.00468098828982311, 1.}}], 
     ArrowBox[{{0.3525331229443609, 0.3594477242421052}, {0.3617525913413533, 
      0.354837990043609}}]}, 
    {Arrowheads[{{0.004021293163978746, 1.}}], 
     ArrowBox[{{0.353685556493985, 0.4313372690905262}, {0.36060015779172927`,
       0.4258055880523308}}]}, 
    {Arrowheads[{{0.0036016243017173415`, 1.}}], 
     ArrowBox[{{0.354837990043609, 0.5032268139389472}, {0.3594477242421052, 
      0.49677318606105253`}}]}, 
    {Arrowheads[{{0.0035091805410433063`, 1.}}], 
     ArrowBox[{{0.3559904235932331, 0.5751163587873682}, {
      0.35829529069248117`, 0.5677407840697744}}]}, 
    {Arrowheads[{{0.0037681228864529753`, 1.}}], 
     ArrowBox[{{0.3571428571428571, 0.6470059036357892}, {0.3571428571428571, 
      0.6387083820784961}}]}, 
    {Arrowheads[{{0.004315657964209156, 1.}}], 
     ArrowBox[{{0.3582952906924811, 0.7188954484842103}, {0.355990423593233, 
      0.7096759800872179}}]}, 
    {Arrowheads[{{0.005058933563462821, 1.}}], 
     ArrowBox[{{0.3594477242421052, 0.7907849933326313}, {0.354837990043609, 
      0.7806435780959396}}]}, 
    {Arrowheads[{{0.005924733369011316, 1.}}], 
     ArrowBox[{{0.3606001577917292, 0.8626745381810523}, {0.353685556493985, 
      0.8516111761046615}}]}, 
    {Arrowheads[{{0.006866867826533419, 1.}}], 
     ArrowBox[{{0.3617525913413533, 0.9345640830294734}, {
      0.35253312294436095`, 0.9225787741133833}}]}, 
    {Arrowheads[{{0.007857928070372083, 1.}}], 
     ArrowBox[{{0.3629050248909773, 1.0064536278778944`}, {0.3513806893947369,
       0.993546372122105}}]}, 
    {Arrowheads[{{0.010048327697207926`, 1.}}], 
     ArrowBox[{{0.41750806649503763`, 0.}, {0.4396347906478193, 0.}}]}, 
    {Arrowheads[{{0.00879477852672808, 1.}}], 
     ArrowBox[{{0.4188909867545865, 0.07165905813849624}, {0.4382518703882705,
       0.07119808471864662}}]}, 
    {Arrowheads[{{0.007547866821864208, 1.}}], 
     ArrowBox[{{0.42027390701413536`, 0.14331811627699248`}, {
      0.4368689501287216, 0.14239616943729325`}}]}, 
    {Arrowheads[{{0.006311527722325232, 1.}}], 
     ArrowBox[{{0.4216568272736842, 0.2149771744154887}, {
      0.43548602986917273`, 0.21359425415593983`}}]}, 
    {Arrowheads[{{0.005093465934061192, 1.}}], 
     ArrowBox[{{0.4230397475332331, 0.28663623255398496`}, {
      0.43410310960962395`, 0.2847923388745865}}]}, 
    {Arrowheads[{{0.0039107969336036556`, 1.}}], 
     ArrowBox[{{0.4244226677927819, 0.3582952906924811}, {
      0.43272018935007506`, 0.355990423593233}}]}, 
    {Arrowheads[{{0.0028085929738938544`, 1.}}], 
     ArrowBox[{{0.42580558805233076`, 0.42995434883097733`}, {
      0.43133726909052617`, 0.4271885083118796}}]}, 
    {Arrowheads[{{0.0019300209151220167`, 1.}}], 
     ArrowBox[{{0.42718850831187966`, 0.5016134069694735}, {
      0.4299543488309774, 0.4983865930305262}}]}, 
    {Arrowheads[{{0.0016747212828679835`, 1.}}], 
     ArrowBox[{{0.4285714285714285, 0.5732724651079698}, {0.4285714285714285, 
      0.5695846777491729}}]}, 
    {Arrowheads[{{0.002264360046559253, 1.}}], 
     ArrowBox[{{0.42995434883097733`, 0.644931523246466}, {
      0.42718850831187966`, 0.6407827624678194}}]}, 
    {Arrowheads[{{0.0032699978391884195`, 1.}}], 
     ArrowBox[{{0.4313372690905262, 0.7165905813849621}, {0.4258055880523308, 
      0.7119808471864659}}]}, 
    {Arrowheads[{{0.004416035520556906, 1.}}], 
     ArrowBox[{{0.43272018935007506`, 0.7882496395234584}, {
      0.4244226677927819, 0.7831789319051126}}]}, 
    {Arrowheads[{{0.005617185947787709, 1.}}], 
     ArrowBox[{{0.4341031096096239, 0.8599086976619545}, {0.4230397475332331, 
      0.8543770166237591}}]}, 
    {Arrowheads[{{0.0068444949140099125`, 1.}}], 
     ArrowBox[{{0.43548602986917273`, 0.9315677558004508}, {
      0.4216568272736842, 0.9255751013424057}}]}, 
    {Arrowheads[{{0.008086060084272931, 1.}}], 
     ArrowBox[{{0.4368689501287216, 1.003226813938947}, {0.42027390701413536`,
       0.9967731860610523}}]}, 
    {Arrowheads[{{0.010257667857566455`, 1.}}], 
     ArrowBox[{{0.4887061512136842, 0.}, {0.5112938487863156, 0.}}]}, 
    {Arrowheads[{{0.0087922867350569, 1.}}], 
     ArrowBox[{{0.4903195581831579, 0.07142857142857142}, {0.5096804418168418,
       0.07142857142857142}}]}, 
    {Arrowheads[{{0.0073269056125474215`, 1.}}], 
     ArrowBox[{{0.4919329651526316, 0.14285714285714285`}, {
      0.5080670348473681, 0.14285714285714285`}}]}, 
    {Arrowheads[{{0.005861524490037993, 1.}}], 
     ArrowBox[{{0.4935463721221052, 0.21428571428571427`}, {
      0.5064536278778946, 0.21428571428571427`}}]}, 
    {Arrowheads[{{0.004396143367528514, 1.}}], 
     ArrowBox[{{0.4951597790915789, 0.2857142857142857}, {0.504840220908421, 
      0.2857142857142857}}]}, 
    {Arrowheads[{{0.0029307622450189586`, 1.}}], 
     ArrowBox[{{0.4967731860610526, 0.3571428571428571}, {0.5032268139389472, 
      0.3571428571428571}}]}, 
    {Arrowheads[{{0.0014653811225094793`, 1.}}], 
     ArrowBox[{{0.49838659303052624`, 0.4285714285714285}, {
      0.5016134069694735, 0.4285714285714285}}]}, 
    {Arrowheads[{{0.0014653811225094793`, 1.}}], 
     ArrowBox[{{0.5016134069694735, 0.5714285714285713}, {
      0.49838659303052624`, 0.5714285714285713}}]}, 
    {Arrowheads[{{0.002930762245018984, 1.}}], 
     ArrowBox[{{0.5032268139389472, 0.6428571428571427}, {
      0.49677318606105253`, 0.6428571428571427}}]}, 
    {Arrowheads[{{0.004396143367528437, 1.}}], 
     ArrowBox[{{0.5048402209084208, 0.7142857142857141}, {
      0.49515977909157893`, 0.7142857142857141}}]}, 
    {Arrowheads[{{0.005861524490037917, 1.}}], 
     ArrowBox[{{0.5064536278778945, 0.7857142857142855}, {0.4935463721221053, 
      0.7857142857142855}}]}, 
    {Arrowheads[{{0.0073269056125474215`, 1.}}], 
     ArrowBox[{{0.5080670348473681, 0.8571428571428569}, {0.4919329651526316, 
      0.8571428571428569}}]}, 
    {Arrowheads[{{0.008792286735056951, 1.}}], 
     ArrowBox[{{0.5096804418168419, 0.9285714285714283}, {0.4903195581831579, 
      0.9285714285714283}}]}, 
    {Arrowheads[{{0.010257667857566455`, 1.}}], 
     ArrowBox[{{0.5112938487863156, 0.9999999999999997}, {0.4887061512136842, 
      0.9999999999999997}}]}, 
    {Arrowheads[{{0.01004832769720795, 1.}}], 
     ArrowBox[{{0.5603652093521805, 0.}, {0.5824919335049622, 0.}}]}, 
    {Arrowheads[{{0.008376222757604669, 1.}}], 
     ArrowBox[{{0.5622091030315789, 0.07119808471864661}, {0.5806480398255637,
       0.07165905813849623}}]}, 
    {Arrowheads[{{0.006711956139279525, 1.}}], 
     ArrowBox[{{0.5640529967109774, 0.14239616943729322`}, {
      0.5788041461461653, 0.14331811627699245`}}]}, 
    {Arrowheads[{{0.005063262989641083, 1.}}], 
     ArrowBox[{{0.5658968903903758, 0.21359425415593986`}, {
      0.5769602524667666, 0.21497717441548872`}}]}, 
    {Arrowheads[{{0.003452526371367304, 1.}}], 
     ArrowBox[{{0.5677407840697744, 0.28479233887458644`}, {
      0.5751163587873682, 0.2866362325539849}}]}, 
    {Arrowheads[{{0.0019749111230037766`, 1.}}], 
     ArrowBox[{{0.5695846777491728, 0.3559904235932331}, {0.5732724651079697, 
      0.35829529069248117`}}]}, 
    {Arrowheads[{{0.0012560409621510003`, 1.}}], 
     ArrowBox[{{0.5714285714285713, 0.42718850831187966`}, {
      0.5714285714285713, 0.4299543488309774}}]}, 
    {Arrowheads[{{0.0022253164290720827`, 1.}}], 
     ArrowBox[{{0.5732724651079697, 0.49838659303052624`}, {
      0.5695846777491728, 0.5016134069694735}}]}, 
    {Arrowheads[{{0.0037447906318584653`, 1.}}], 
     ArrowBox[{{0.5751163587873682, 0.5695846777491728}, {0.5677407840697744, 
      0.5732724651079697}}]}, 
    {Arrowheads[{{0.005365809342445138, 1.}}], 
     ArrowBox[{{0.5769602524667667, 0.6407827624678194}, {0.5658968903903759, 
      0.644931523246466}}]}, 
    {Arrowheads[{{0.0070183610820866126`, 1.}}], 
     ArrowBox[{{0.5788041461461652, 0.711980847186466}, {0.5640529967109774, 
      0.7165905813849622}}]}, 
    {Arrowheads[{{0.008684463369355888, 1.}}], 
     ArrowBox[{{0.5806480398255637, 0.7831789319051126}, {0.562209103031579, 
      0.7882496395234584}}]}, 
    {Arrowheads[{{0.010357579114101918`, 1.}}], 
     ArrowBox[{{0.5824919335049621, 0.8543770166237592}, {0.5603652093521805, 
      0.8599086976619547}}]}, 
    {Arrowheads[{{0.01203478356897771, 1.}}], 
     ArrowBox[{{0.5843358271843606, 0.9255751013424057}, {0.5585213156727821, 
      0.9315677558004507}}]}, 
    {Arrowheads[{{0.013714576747222394`, 1.}}], 
     ArrowBox[{{0.586179720863759, 0.9967731860610524}, {0.5566774219933834, 
      1.003226813938947}}]}, 
    {Arrowheads[{{0.009420307216132438, 1.}}], 
     ArrowBox[{{0.6324852409105263, 0.}, {0.6532290448037591, 0.}}]}, 
    {Arrowheads[{{0.007547866821864208, 1.}}], 
     ArrowBox[{{0.6345596212998496, 0.07096759800872181}, {0.6511546644144358,
       0.07188954484842104}}]}, 
    {Arrowheads[{{0.005713874389632382, 1.}}], 
     ArrowBox[{{0.6366340016891728, 0.14193519601744362`}, {
      0.6490802840251125, 0.14377908969684208`}}]}, 
    {Arrowheads[{{0.003971950274866477, 1.}}], 
     ArrowBox[{{0.6387083820784961, 0.2129027940261654}, {0.6470059036357892, 
      0.2156686345452631}}]}, 
    {Arrowheads[{{0.002520789340096403, 1.}}], 
     ArrowBox[{{0.6407827624678194, 0.28387039203488723`}, {0.644931523246466,
       0.28755817939368417`}}]}, 
    {Arrowheads[{{0.002093401603584992, 1.}}], 
     ArrowBox[{{0.6428571428571427, 0.354837990043609}, {0.6428571428571427, 
      0.3594477242421052}}]}, 
    {Arrowheads[{{0.0031401024053774726`, 1.}}], 
     ArrowBox[{{0.644931523246466, 0.42580558805233076`}, {0.6407827624678194,
       0.43133726909052617`}}]}, 
    {Arrowheads[{{0.004773690126541444, 1.}}], 
     ArrowBox[{{0.6470059036357892, 0.4967731860610526}, {0.6387083820784961, 
      0.5032268139389472}}]}, 
    {Arrowheads[{{0.006570080151553557, 1.}}], 
     ArrowBox[{{0.6490802840251125, 0.5677407840697744}, {0.6366340016891728, 
      0.5751163587873682}}]}, 
    {Arrowheads[{{0.008425778921681575, 1.}}], 
     ArrowBox[{{0.6511546644144358, 0.6387083820784961}, {0.6345596212998496, 
      0.6470059036357892}}]}, 
    {Arrowheads[{{0.010308807357880239`, 1.}}], 
     ArrowBox[{{0.6532290448037591, 0.7096759800872179}, {0.6324852409105263, 
      0.7188954484842103}}]}, 
    {Arrowheads[{{0.012206524047096056`, 1.}}], 
     ArrowBox[{{0.6553034251930824, 0.7806435780959396}, {0.630410860521203, 
      0.7907849933326312}}]}, 
    {Arrowheads[{{0.014113005028993647`, 1.}}], 
     ArrowBox[{{0.6573778055824057, 0.8516111761046614}, {0.6283364801318797, 
      0.8626745381810522}}]}, 
    {Arrowheads[{{0.016025122590797313`, 1.}}], 
     ArrowBox[{{0.6594521859717289, 0.9225787741133833}, {0.6262620997425564, 
      0.9345640830294734}}]}, 
    {Arrowheads[{{0.017941074622702554`, 1.}}], 
     ArrowBox[{{0.6615265663610522, 0.9935463721221051}, {0.6241877193532331, 
      1.0064536278778944`}}]}, 
    {Arrowheads[{{0.008373606414339967, 1.}}], 
     ArrowBox[{{0.7050662458887217, 0.}, {0.7235051826827065, 0.}}]}, 
    {Arrowheads[{{0.006311527722325256, 1.}}], 
     ArrowBox[{{0.7073711129879698, 0.07073711129879699}, {0.7212003155834584,
       0.07212003155834584}}]}, 
    {Arrowheads[{{0.004371150877534433, 1.}}], 
     ArrowBox[{{0.7096759800872179, 0.14147422259759398`}, {
      0.7188954484842103, 0.14424006311669169`}}]}, 
    {Arrowheads[{{0.002816383815417406, 1.}}], 
     ArrowBox[{{0.7119808471864659, 0.212211333896391}, {0.7165905813849622, 
      0.21636009467503756`}}]}, 
    {Arrowheads[{{0.002512081924301975, 1.}}], 
     ArrowBox[{{0.7142857142857141, 0.28294844519518797`}, {
      0.7142857142857141, 0.28848012623338337`}}]}, 
    {Arrowheads[{{0.003773933410932114, 1.}}], 
     ArrowBox[{{0.7165905813849621, 0.353685556493985}, {0.7119808471864659, 
      0.36060015779172927`}}]}, 
    {Arrowheads[{{0.0056327676308347355`, 1.}}], 
     ArrowBox[{{0.7188954484842103, 0.4244226677927819}, {0.7096759800872179, 
      0.43272018935007506`}}]}, 
    {Arrowheads[{{0.007665966930067873, 1.}}], 
     ArrowBox[{{0.7212003155834583, 0.4951597790915789}, {0.7073711129879698, 
      0.504840220908421}}]}, 
    {Arrowheads[{{0.009765219237676821, 1.}}], 
     ArrowBox[{{0.7235051826827065, 0.5658968903903758}, {0.7050662458887218, 
      0.5769602524667666}}]}, 
    {Arrowheads[{{0.011895606102421954`, 1.}}], 
     ArrowBox[{{0.7258100497819545, 0.6366340016891728}, {0.7027613787894736, 
      0.6490802840251125}}]}, 
    {Arrowheads[{{0.014042964869469328`, 1.}}], 
     ArrowBox[{{0.7281149168812027, 0.7073711129879698}, {0.7004565116902255, 
      0.7212003155834584}}]}, 
    {Arrowheads[{{0.016200548142066146`, 1.}}], 
     ArrowBox[{{0.7304197839804507, 0.7781082242867667}, {0.6981516445909774, 
      0.7933203471418041}}]}, 
    {Arrowheads[{{0.01836475259508668, 1.}}], 
     ArrowBox[{{0.7327246510796988, 0.8488453355855637}, {0.6958467774917293, 
      0.86544037870015}}]}, 
    {Arrowheads[{{0.020533484742029737`, 1.}}], 
     ArrowBox[{{0.7350295181789469, 0.9195824468843607}, {0.6935419103924813, 
      0.9375604102584959}}]}, 
    {Arrowheads[{{0.022705447219129562`, 1.}}], 
     ArrowBox[{{0.737334385278195, 0.9903195581831576}, {0.6912370432932331, 
      1.0096804418168417`}}]}, 
    {Arrowheads[{{0.006908225291830438, 1.}}], 
     ArrowBox[{{0.7781082242867667, 0.}, {0.7933203471418041, 0.}}]}, 
    {Arrowheads[{{0.004680988289823118, 1.}}], 
     ArrowBox[{{0.7806435780959396, 0.07050662458887219}, {0.7907849933326313,
       0.07235051826827066}}]}, 
    {Arrowheads[{{0.0028473340174100734`, 1.}}], 
     ArrowBox[{{0.7831789319051126, 0.14101324917774438`}, {
      0.7882496395234584, 0.14470103653654132`}}]}, 
    {Arrowheads[{{0.0025120819243019876`, 1.}}], 
     ArrowBox[{{0.7857142857142855, 0.21151987376661657`}, {
      0.7857142857142855, 0.217051554804812}}]}, 
    {Arrowheads[{{0.004064650677804127, 1.}}], 
     ArrowBox[{{0.7882496395234584, 0.28202649835548876`}, {
      0.7831789319051126, 0.28940207307308263`}}]}, 
    {Arrowheads[{{0.006224130430928211, 1.}}], 
     ArrowBox[{{0.7907849933326313, 0.3525331229443609}, {0.7806435780959398, 
      0.36175259134135324`}}]}, 
    {Arrowheads[{{0.008542002052230178, 1.}}], 
     ArrowBox[{{0.7933203471418042, 0.4230397475332331}, {0.7781082242867668, 
      0.4341031096096239}}]}, 
    {Arrowheads[{{0.010917847015317072`, 1.}}], 
     ArrowBox[{{0.795855700950977, 0.4935463721221052}, {0.7755728704775938, 
      0.5064536278778946}}]}, 
    {Arrowheads[{{0.013320681393603508`, 1.}}], 
     ArrowBox[{{0.7983910547601499, 0.5640529967109774}, {0.7730375166684209, 
      0.5788041461461652}}]}, 
    {Arrowheads[{{0.01573814814647472, 1.}}], 
     ArrowBox[{{0.8009264085693228, 0.6345596212998496}, {0.7705021628592481, 
      0.6511546644144358}}]}, 
    {Arrowheads[{{0.01816440602720997, 1.}}], 
     ArrowBox[{{0.8034617623784958, 0.7050662458887217}, {0.7679668090500752, 
      0.7235051826827064}}]}, 
    {Arrowheads[{{0.020596348475221612`, 1.}}], 
     ArrowBox[{{0.8059971161876687, 0.7755728704775939}, {0.7654314552409023, 
      0.7958557009509771}}]}, 
    {Arrowheads[{{0.02303217487895249, 1.}}], 
     ArrowBox[{{0.8085324699968416, 0.8460794950664661}, {0.7628961014317294, 
      0.8682062192192478}}]}, 
    {Arrowheads[{{0.025470770968837948`, 1.}}], 
     ArrowBox[{{0.8110678238060145, 0.9165861196553382}, {0.7603607476225566, 
      0.9405567374875183}}]}, 
    {Arrowheads[{{0.027911410798987103`, 1.}}], 
     ArrowBox[{{0.8136031776151874, 0.9870927442442103}, {0.7578253938133837, 
      1.012907255755789}}]}, 
    {Arrowheads[{{0.00502416384860395, 1.}}], 
     ArrowBox[{{0.8516111761046614, 0.}, {0.8626745381810522, 0.}}]}, 
    {Arrowheads[{{0.0027214220846604963`, 1.}}], 
     ArrowBox[{{0.8543770166237592, 0.07027613787894738}, {0.8599086976619547,
       0.07258100497819546}}]}, 
    {Arrowheads[{{0.0020934016035849792`, 1.}}], 
     ArrowBox[{{0.8571428571428569, 0.14055227575789475`}, {
      0.8571428571428569, 0.14516200995639092`}}]}, 
    {Arrowheads[{{0.004021293163978721, 1.}}], 
     ArrowBox[{{0.8599086976619545, 0.21082841363684213`}, {
      0.8543770166237592, 0.2177430149345864}}]}, 
    {Arrowheads[{{0.0065399956783768224`, 1.}}], 
     ArrowBox[{{0.8626745381810523, 0.2811045515157895}, {0.8516111761046615, 
      0.29032401991278184`}}]}, 
    {Arrowheads[{{0.009175214687486548, 1.}}], 
     ArrowBox[{{0.86544037870015, 0.3513806893947369}, {0.8488453355855637, 
      0.3629050248909773}}]}, 
    {Arrowheads[{{0.011849466738022646`, 1.}}], 
     ArrowBox[{{0.8682062192192477, 0.4216568272736842}, {0.8460794950664661, 
      0.43548602986917273`}}]}, 
    {Arrowheads[{{0.014541232262614383`, 1.}}], 
     ArrowBox[{{0.8709720597383453, 0.4919329651526316}, {0.8433136545473683, 
      0.5080670348473681}}]}, 
    {Arrowheads[{{0.01724231091764807, 1.}}], 
     ArrowBox[{{0.8737379002574431, 0.5622091030315789}, {0.8405478140282706, 
      0.5806480398255636}}]}, 
    {Arrowheads[{{0.019948920075336128`, 1.}}], 
     ArrowBox[{{0.8765037407765408, 0.6324852409105263}, {0.8377819735091729, 
      0.6532290448037591}}]}, 
    {Arrowheads[{{0.022659077979679757`, 1.}}], 
     ArrowBox[{{0.8792695812956385, 0.7027613787894736}, {0.8350161329900752, 
      0.7258100497819545}}]}, 
    {Arrowheads[{{0.025371647442214394`, 1.}}], 
     ArrowBox[{{0.8820354218147363, 0.773037516668421}, {0.8322502924709775, 
      0.79839105476015}}]}, 
    {Arrowheads[{{0.028085929738938545`, 1.}}], 
     ArrowBox[{{0.8848012623338339, 0.8433136545473683}, {0.8294844519518798, 
      0.8709720597383453}}]}, 
    {Arrowheads[{{0.030801472058895475`, 1.}}], 
     ArrowBox[{{0.8875671028529316, 0.9135897924263157}, {0.826718611432782, 
      0.9435530647165408}}]}, 
    {Arrowheads[{{0.03351796815164963, 1.}}], 
     ArrowBox[{{0.8903329433720294, 0.983865930305263}, {0.8239527709136845, 
      1.0161340696947363`}}]}, 
    {Arrowheads[{{0.0027214220846605046`, 1.}}], 
     ArrowBox[{{0.9255751013424057, 0.}, {0.9315677558004508, 0.}}]}, 
    {Arrowheads[{{0.0012560409621509938`, 1.}}], 
     ArrowBox[{{0.9285714285714283, 0.07004565116902257}, {0.9285714285714283,
       0.07281149168812029}}]}, 
    {Arrowheads[{{0.0037036055077832508`, 1.}}], 
     ArrowBox[{{0.9315677558004508, 0.14009130233804515`}, {
      0.9255751013424058, 0.14562298337624058`}}]}, 
    {Arrowheads[{{0.0066199171247774595`, 1.}}], 
     ArrowBox[{{0.9345640830294732, 0.2101369535070677}, {0.9225787741133832, 
      0.21843447506436084`}}]}, 
    {Arrowheads[{{0.009586316594162668, 1.}}], 
     ArrowBox[{{0.9375604102584958, 0.2801826046760903}, {0.9195824468843607, 
      0.2912459667524811}}]}, 
    {Arrowheads[{{0.012567385689596476`, 1.}}], 
     ArrowBox[{{0.9405567374875183, 0.3502282558451128}, {0.9165861196553382, 
      0.36405745844060133`}}]}, 
    {Arrowheads[{{0.015554692360236086`, 1.}}], 
     ArrowBox[{{0.9435530647165409, 0.42027390701413536`}, {
      0.9135897924263158, 0.4368689501287216}}]}, 
    {Arrowheads[{{0.01854522256256468, 1.}}], 
     ArrowBox[{{0.9465493919455633, 0.4903195581831579}, {0.9105934651972931, 
      0.5096804418168418}}]}, 
    {Arrowheads[{{0.021537633562940178`, 1.}}], 
     ArrowBox[{{0.9495457191745859, 0.5603652093521805}, {0.9075971379682707, 
      0.5824919335049622}}]}, 
    {Arrowheads[{{0.02453123709091889, 1.}}], 
     ArrowBox[{{0.9525420464036084, 0.630410860521203}, {0.9046008107392481, 
      0.6553034251930824}}]}, 
    {Arrowheads[{{0.027525644062459657`, 1.}}], 
     ArrowBox[{{0.9555383736326309, 0.7004565116902255}, {0.9016044835102256, 
      0.7281149168812026}}]}, 
    {Arrowheads[{{0.03052061799863368, 1.}}], 
     ArrowBox[{{0.9585347008616535, 0.7705021628592481}, {0.8986081562812032, 
      0.8009264085693228}}]}, 
    {Arrowheads[{{0.03351600690874116, 1.}}], 
     ArrowBox[{{0.9615310280906759, 0.8405478140282706}, {0.8956118290521805, 
      0.8737379002574431}}]}, 
    {Arrowheads[{{0.03651170866062012, 1.}}], 
     ArrowBox[{{0.9645273553196985, 0.9105934651972931}, {0.8926155018231581, 
      0.9465493919455633}}]}, 
    {Arrowheads[{{0.039507652089844324`, 1.}}], 
     ArrowBox[{{0.967523682548721, 0.9806391163663157}, {0.8896191745941355, 
      1.0193608836336836`}}]}, 
    {Arrowheads[{{0.003276691802876194, 1.}}], 
     ArrowBox[{{1.003226813938947, 0.06981516445909776}, {0.9967731860610524, 
      0.07304197839804509}}]}, 
    {Arrowheads[{{0.006553383605752388, 1.}}], 
     ArrowBox[{{1.0064536278778944`, 0.13963032891819552`}, {
      0.993546372122105, 0.14608395679609018`}}]}, 
    {Arrowheads[{{0.00983007540862853, 1.}}], 
     ArrowBox[{{1.0096804418168417`, 0.2094454933772933}, {0.9903195581831576,
       0.21912593519413526`}}]}, 
    {Arrowheads[{{0.013106767211504639`, 1.}}], 
     ArrowBox[{{1.012907255755789, 0.27926065783639104`}, {0.9870927442442105,
       0.29216791359218036`}}]}, 
    {Arrowheads[{{0.016383459014380826`, 1.}}], 
     ArrowBox[{{1.0161340696947363`, 0.3490758222954888}, {0.983865930305263, 
      0.3652098919902254}}]}, 
    {Arrowheads[{{0.019660150817256968`, 1.}}], 
     ArrowBox[{{1.0193608836336836`, 0.4188909867545865}, {0.9806391163663157,
       0.43825187038827046`}}]}, 
    {Arrowheads[{{0.02293684262013315, 1.}}], 
     ArrowBox[{{1.022587697572631, 0.48870615121368427`}, {0.9774123024273683,
       0.5112938487863155}}]}, 
    {Arrowheads[{{0.026213534423009253`, 1.}}], 
     ArrowBox[{{1.0258145115115782`, 0.558521315672782}, {0.9741854884884211, 
      0.5843358271843605}}]}, 
    {Arrowheads[{{0.02949022622588542, 1.}}], 
     ArrowBox[{{1.0290413254505255`, 0.6283364801318797}, {0.9709586745494738,
       0.6573778055824057}}]}, 
    {Arrowheads[{{0.03276691802876161, 1.}}], 
     ArrowBox[{{1.0322681393894728`, 0.6981516445909774}, {0.9677318606105264,
       0.7304197839804507}}]}, 
    {Arrowheads[{{0.03604360983163784, 1.}}], 
     ArrowBox[{{1.0354949533284203`, 0.7679668090500752}, {0.9645050466715791,
       0.8034617623784958}}]}, 
    {Arrowheads[{{0.03932030163451403, 1.}}], 
     ArrowBox[{{1.0387217672673676`, 0.8377819735091729}, {0.9612782327326317,
       0.8765037407765408}}]}, 
    {Arrowheads[{{0.04259699343739019, 1.}}], 
     ArrowBox[{{1.041948581206315, 0.9075971379682707}, {0.9580514187936844, 
      0.949545719174586}}]}, 
    {Arrowheads[{{0.04587368524026626, 1.}}], 
     ArrowBox[{{1.0451753951452623`, 0.9774123024273684}, {0.9548246048547372,
       1.022587697572631}}]}}},
  AspectRatio->1,
  DisplayFunction->Identity,
  Frame->True,
  FrameLabel->{
    FormBox["X", TraditionalForm], 
    FormBox["Y", TraditionalForm]},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
    "TransparentPolygonMesh" -> True},
  PlotRange->{{-0.050507627227610534`, 
   1.0505076272276106`}, {-0.050507627227610534`, 1.0505076272276106`}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.05], 
     Scaled[0.05]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.843710562413434*^9, 3.8437106609632196`*^9, 3.843816812986032*^9, 
   3.843874624613784*^9, 3.8438748434853363`*^9, 3.843874888637971*^9, {
   3.843875415656024*^9, 3.843875420658629*^9}, 3.843876531353256*^9, 
   3.8438767808011427`*^9, 3.843876909291584*^9, 3.8440076945692253`*^9, 
   3.844007892111094*^9, 3.844046895206736*^9, 3.84434752370015*^9, 
   3.844352367972134*^9, {3.844733737813755*^9, 3.844733759044175*^9}, 
   3.8447344261237926`*^9, 3.844734635848254*^9, 3.8447385896557903`*^9, 
   3.8447420166375504`*^9, 3.844742201393441*^9, 3.844820944884345*^9, 
   3.8448212644533567`*^9, 3.844821314864456*^9, 3.844858215874978*^9, 
   3.844858325869919*^9, {3.844864347195841*^9, 3.844864366812335*^9}, 
   3.844865209076828*^9, 3.8448684466296463`*^9, {3.8448695383258467`*^9, 
   3.844869567779907*^9}, 3.844869900461193*^9, 3.844870113418002*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"a3f0f028-8cb4-4168-9349-47e2a96d7202"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"null", "=", 
  RowBox[{"ContourPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dx", "\[Equal]", "0"}], ",", 
      RowBox[{"dy", "\[Equal]", "0"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "0.01"}], ",", "1.05"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", 
      RowBox[{"-", "0.01"}], ",", "1.05"}], "}"}], ",", 
    RowBox[{"PlotPoints", "->", "100"}], ",", 
    RowBox[{"ContourStyle", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Red", ",", "Blue"}], "}"}]}], ",", 
    RowBox[{"FrameLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"X", ",", "Y"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.844007783115794*^9, 3.8440078206308107`*^9}, {
  3.8448212357503138`*^9, 3.844821236217937*^9}, {3.844821343957*^9, 
  3.84482135439806*^9}, {3.84486653561971*^9, 3.844866556547511*^9}, {
  3.844868862189109*^9, 3.844868876045882*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"590710c8-d08b-4e26-96ef-3aa2cd589026"],

Cell[BoxData[
 GraphicsBox[{GraphicsComplexBox[CompressedData["
1:eJxMXAk4VG0bPiSVCm2yVxJKSaIUnYdIvjYiJVJIpVIholJR9iSkIpQka/Zk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    "], {{}, {}, 
     TagBox[
      TooltipBox[
       {RGBColor[1, 0, 0], AbsoluteThickness[1.6], 
        LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
         18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 
         35, 36}], LineBox[CompressedData["
1:eJwl2EMUIIqOQMH+bdu2bdu2bdu2bdu2bdu2bffUO7Ook112N4skaNiuYtv/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         "]]},
       RowBox[{
         RowBox[{
           RowBox[{
             RowBox[{"(", 
               RowBox[{"1", "-", 
                 TagBox["x", HoldForm]}], ")"}], " ", 
             TagBox["x", HoldForm]}], "-", 
           RowBox[{
             TagBox["x", HoldForm], " ", 
             TagBox["y", HoldForm]}]}], "\[Equal]", "0"}]],
      Annotation[#, (1 - HoldForm[$CellContext`x]) HoldForm[$CellContext`x] - 
        HoldForm[$CellContext`x] HoldForm[$CellContext`y] == 0, "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       {RGBColor[0, 0, 1], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJwNxFVgFQQAAMBHjFS6FKW7QSmRLunuHrHBmm5Gd0l3dxp0d5ekEgooDSoK
Sin3cZc1OKphZJxAIJBbLYMCgVa0pg1taUd7OhBMRzrRmS6EEEpXuhFGOBFE
EkU0MXSnBz3pRW/60Jd+9GcAAxnEYIYQy1CGMZwRjGQUoxnDWMYxnglMZBKT
mcJUvmYa05nBTGYxmznMZR7zWcBCFrGYJSxlGctZwUpWsZo1rGUd69nARjax
mW/4lu/4ni1sZRvb2cFOdrGbPexlH/s5wEEOcZgjHOUYxznBSU5xmjOc5Rzn
ucAPXOQSl7nCVa7xIz9xnRvc5BY/8wu3ucNdfuU37nGfBzzkEY95wlOe8Tt/
8CfP+Yu/ecFL/uFfXvGaN7zlHf/xP4EEgUAc4hKP+ASRgIQkIjFJSMoHfEgy
kpOClKQiNWlISzrSk4GP+JiMfMKnZCIzWchKNrKTg5zkIjd5yEs+8lOAghSi
MEUoSjE+43OKU4KSlKI0X1CGLylLOcpTgYpUojJVqEo1qvMVNahJLWpTh7rU
oz4NaEgjGtOEpjSjOS1oSSta04a2tKM9HQimI53oTBdCCKUr3QgjnAgiiSKa
GLrTg570ojd96Es/+jOAgQxiMEOI5T2CyJg7
         "]], LineBox[CompressedData["
1:eJwN02MDFQYAAMC3bC3bLXPZtrZsc9m2bdu2bdu2bbf7cD/hEtVvXbHVH4FA
YEDQQKBviECgH/0ZwEAGMZghDGUYwxnBSEYxmjGMZRzjmcBEJjGZKUxlGtOZ
wUxmMZs5zGUe81nAQhaxmCUsZRnLWcFKVrGaNaxlHevZwEY2sZktbGUb29nB
Tnaxmz3sZR/7OcBBDnGYIxzlGMc5wUlOcZoznOUc57nARS5xmStc5RrXucFN
bnGbO9zlHvd5wEMe8ZgnPOUZz3nBS17xmje85R3v+cBHPvGZL3zlG9/5wU9+
8ZtAyEDgD4IQlGAEJwQhCUVowhCWcIQnAhGJRGSi8CdRiUZ0YhCTWMQmDnGJ
R3wSkJBEJCYJSUlGclLwFylJRWrSkJZ0pCcDGclEZrLwN1nJRnZykJNc5CYP
eclHfgpQkEIUpghFKUZxSlCSUpSmDGUpR3kqUJF/+JdKVKYKValGdWpQk1rU
pg51qUd9GtCQRjSmCU1pRnNa0JL/aEVr2tCWdrSnAx3pRGe60JVudKcHPelF
b/rQl370ZwADGcRghjCUYQxnBCMZxWjGMJZxjGcCE5nEZKYwlWlMZwYzmcVs
5jCXecxnAQtZxGKWsJRlLGcFK1nFatawlnWsZwMb2cRmtrCVbWxnBzvZxW72
sJd97OcABznEYY5wlGMc5wQnOcVpznCWc5znAhe5xGWucJVrXOcGN7nFbe5w
l3vc5wEPecRjnvCUZzznBS95xWve8JZ3vOcDH/nEZ77wlW985wc/+cVvAqH8
JwhBCUZwQhCSUIQmDGEJR3giEJFIRCYKfxKVaEQnBjGJRWziEJd4xCcBCUlE
YpKQlGQkJwV/kZJUpCYNaUlHejKQkUxkJgt/k5VsZCcHOclFbvKQl3zkpwAF
KURhilCUYhSnBCUpRWnKUJZylKcCFfmHf6lEZapQlWpUpwY1qUVt6lCXetSn
AQ1pRGOa0JRmNKcFLfmPVrSmDW1pR3s60JFOdKYLXelGd3rQk170pg996Ud/
BjCQQQxmCEMZxnBGMJJRjGYMYxnHeCYwkUlMZgpTmcZ0ZjCTWcxmDnOZx3wW
sJBFLGYJS1nGclawklWsZg1rWcd6NrCRTWxmC1vZxnZ2sJNd7GYPe9nHfg5w
kEMc5ghHOcZxTnCSU5zmDGc5x3kucJFLXOYKV7nGdW5wk1vc5g53ucd9HvCQ
RzzmCU95xnNe8JJXvOYNb3nHez7wkU985gtf+cZ3fvCTX/wmENp/ghCUYAQn
BCEJRWjCEJZwhCcCEYlEZKLwJ1GJRnRiEJNYxCYOcYlHfBKQkEQkJglJSUZy
UvAXKUlFatKQlnSkJwMZyURmsvA3WclGdnKQk1zkJg95yUd+ClCQQhSmCEUp
RnFKUJJSlKYMZSlHeSpQkX/4l0pUpgpVqUZ1alCTWtSmDnWpR30a0JBGNKYJ
TWlGc1rQkv9oRWva0JZ2tKcDHelEZ7rQlW50pwc96UVv+tCXfvRnAAMZxGCG
MJRhDGcEIxnFaMYwlnGMZwITmcRkpjCVaUxnBjOZxWzmMJd5zGcBC1nEYpaw
lGUsZwUrWcVq1rCWdaxnAxvZxGa2sJVtbGcHO9nFbvawl33s5wAHOcRhjnCU
YxznBCc5xWnOcJZznOcCF7nEZa5wlWtc5wY3ucVt7nCXe9znAQ95xGOe8JRn
POcFL3nFa97wlne85wMf+cRnvvCVb3znBz/5xW8CYfwnCEEJxv9LAvtA
         "]]},
       RowBox[{
         RowBox[{
           RowBox[{
             RowBox[{"-", "0.5`"}], " ", 
             TagBox["y", HoldForm]}], "+", 
           RowBox[{
             TagBox["x", HoldForm], " ", 
             TagBox["y", HoldForm]}]}], "\[Equal]", "0"}]],
      Annotation[#, (-0.5) HoldForm[$CellContext`y] + 
        HoldForm[$CellContext`x] HoldForm[$CellContext`y] == 0, 
       "Tooltip"]& ]}], {}},
  AspectRatio->1,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0.},
  DisplayFunction->Identity,
  Frame->True,
  FrameLabel->{{
     FormBox["Y", TraditionalForm], None}, {
     FormBox["X", TraditionalForm], None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "GridLinesInFront" -> 
    True},
  PlotRange->{{-0.01, 1.05}, {-0.01, 1.05}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.8440077956487722`*^9, 3.8440078038562613`*^9}, 
   3.8440078422794027`*^9, 3.844007892482121*^9, 3.8440469017671747`*^9, 
   3.844347524437175*^9, 3.844352368636463*^9, {3.844733738316814*^9, 
   3.84473375942309*^9}, 3.84473442678552*^9, 3.844734636581057*^9, 
   3.844738590489708*^9, 3.844742017298709*^9, 3.8447422020621758`*^9, 
   3.8448209456473627`*^9, 3.8448212605828257`*^9, {3.844821318175112*^9, 
   3.844821363065463*^9}, 3.844858216572465*^9, 3.844864367487611*^9, 
   3.8448652140652313`*^9, 3.84486844747852*^9, {3.844868868716777*^9, 
   3.844868876829776*^9}, 3.844869901171007*^9, 3.844870118474454*^9},
 CellLabel->"Out[56]=",ExpressionUUID->"f58e5839-d488-4574-953f-3ad468eb62d2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"null", ",", "vect", ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
      RowBox[{"Point", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}], "/.", "steady"}], "]"}]}], "}"}]}]}],
   "]"}]], "Input",
 CellChangeTimes->{{3.843874857377335*^9, 3.8438748961450253`*^9}, {
   3.8438756247584753`*^9, 3.843875671423819*^9}, {3.8438757406570997`*^9, 
   3.843875798061758*^9}, {3.843875967803645*^9, 3.843876000896954*^9}, {
   3.844007836115501*^9, 3.844007838906128*^9}, {3.8448211832428703`*^9, 
   3.844821183661207*^9}, 3.844821222688694*^9},
 CellLabel->"In[57]:=",ExpressionUUID->"215e5e33-c86a-457b-bab4-af0919b449c5"],

Cell[BoxData[
 GraphicsBox[{{GraphicsComplexBox[CompressedData["
1:eJxMXAk4VG0bPiSVCm2yVxJKSaIUnYdIvjYiJVJIpVIholJR9iSkIpQka/Zk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     "], {{}, {}, 
      TagBox[
       TooltipBox[
        {RGBColor[1, 0, 0], AbsoluteThickness[1.6], 
         LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
          18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 
          35, 36}], LineBox[CompressedData["
1:eJwl2EMUIIqOQMH+bdu2bdu2bdu2bdu2bdu2bffUO7Ook112N4skaNiuYtv/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          "]]},
        RowBox[{
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{"1", "-", 
                  TagBox["x", HoldForm]}], ")"}], " ", 
              TagBox["x", HoldForm]}], "-", 
            RowBox[{
              TagBox["x", HoldForm], " ", 
              TagBox["y", HoldForm]}]}], "\[Equal]", "0"}]],
       Annotation[#, (1 - HoldForm[$CellContext`x]) HoldForm[$CellContext`x] - 
         HoldForm[$CellContext`x] HoldForm[$CellContext`y] == 0, 
        "Tooltip"]& ], 
      TagBox[
       TooltipBox[
        {RGBColor[0, 0, 1], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJwNxFVgFQQAAMBHjFS6FKW7QSmRLunuHrHBmm5Gd0l3dxp0d5ekEgooDSoK
Sin3cZc1OKphZJxAIJBbLYMCgVa0pg1taUd7OhBMRzrRmS6EEEpXuhFGOBFE
EkU0MXSnBz3pRW/60Jd+9GcAAxnEYIYQy1CGMZwRjGQUoxnDWMYxnglMZBKT
mcJUvmYa05nBTGYxmznMZR7zWcBCFrGYJSxlGctZwUpWsZo1rGUd69nARjax
mW/4lu/4ni1sZRvb2cFOdrGbPexlH/s5wEEOcZgjHOUYxznBSU5xmjOc5Rzn
ucAPXOQSl7nCVa7xIz9xnRvc5BY/8wu3ucNdfuU37nGfBzzkEY95wlOe8Tt/
8CfP+Yu/ecFL/uFfXvGaN7zlHf/xP4EEgUAc4hKP+ASRgIQkIjFJSMoHfEgy
kpOClKQiNWlISzrSk4GP+JiMfMKnZCIzWchKNrKTg5zkIjd5yEs+8lOAghSi
MEUoSjE+43OKU4KSlKI0X1CGLylLOcpTgYpUojJVqEo1qvMVNahJLWpTh7rU
oz4NaEgjGtOEpjSjOS1oSSta04a2tKM9HQimI53oTBdCCKUr3QgjnAgiiSKa
GLrTg570ojd96Es/+jOAgQxiMEOI5T2CyJg7
          "]], LineBox[CompressedData["
1:eJwN02MDFQYAAMC3bC3bLXPZtrZsc9m2bdu2bdu2bbf7cD/hEtVvXbHVH4FA
YEDQQKBviECgH/0ZwEAGMZghDGUYwxnBSEYxmjGMZRzjmcBEJjGZKUxlGtOZ
wUxmMZs5zGUe81nAQhaxmCUsZRnLWcFKVrGaNaxlHevZwEY2sZktbGUb29nB
Tnaxmz3sZR/7OcBBDnGYIxzlGMc5wUlOcZoznOUc57nARS5xmStc5RrXucFN
bnGbO9zlHvd5wEMe8ZgnPOUZz3nBS17xmje85R3v+cBHPvGZL3zlG9/5wU9+
8ZtAyEDgD4IQlGAEJwQhCUVowhCWcIQnAhGJRGSi8CdRiUZ0YhCTWMQmDnGJ
R3wSkJBEJCYJSUlGclLwFylJRWrSkJZ0pCcDGclEZrLwN1nJRnZykJNc5CYP
eclHfgpQkEIUpghFKUZxSlCSUpSmDGUpR3kqUJF/+JdKVKYKValGdWpQk1rU
pg51qUd9GtCQRjSmCU1pRnNa0JL/aEVr2tCWdrSnAx3pRGe60JVudKcHPelF
b/rQl370ZwADGcRghjCUYQxnBCMZxWjGMJZxjGcCE5nEZKYwlWlMZwYzmcVs
5jCXecxnAQtZxGKWsJRlLGcFK1nFatawlnWsZwMb2cRmtrCVbWxnBzvZxW72
sJd97OcABznEYY5wlGMc5wQnOcVpznCWc5znAhe5xGWucJVrXOcGN7nFbe5w
l3vc5wEPecRjnvCUZzznBS95xWve8JZ3vOcDH/nEZ77wlW985wc/+cVvAqH8
JwhBCUZwQhCSUIQmDGEJR3giEJFIRCYKfxKVaEQnBjGJRWziEJd4xCcBCUlE
YpKQlGQkJwV/kZJUpCYNaUlHejKQkUxkJgt/k5VsZCcHOclFbvKQl3zkpwAF
KURhilCUYhSnBCUpRWnKUJZylKcCFfmHf6lEZapQlWpUpwY1qUVt6lCXetSn
AQ1pRGOa0JRmNKcFLfmPVrSmDW1pR3s60JFOdKYLXelGd3rQk170pg996Ud/
BjCQQQxmCEMZxnBGMJJRjGYMYxnHeCYwkUlMZgpTmcZ0ZjCTWcxmDnOZx3wW
sJBFLGYJS1nGclawklWsZg1rWcd6NrCRTWxmC1vZxnZ2sJNd7GYPe9nHfg5w
kEMc5ghHOcZxTnCSU5zmDGc5x3kucJFLXOYKV7nGdW5wk1vc5g53ucd9HvCQ
RzzmCU95xnNe8JJXvOYNb3nHez7wkU985gtf+cZ3fvCTX/wmENp/ghCUYAQn
BCEJRWjCEJZwhCcCEYlEZKLwJ1GJRnRiEJNYxCYOcYlHfBKQkEQkJglJSUZy
UvAXKUlFatKQlnSkJwMZyURmsvA3WclGdnKQk1zkJg95yUd+ClCQQhSmCEUp
RnFKUJJSlKYMZSlHeSpQkX/4l0pUpgpVqUZ1alCTWtSmDnWpR30a0JBGNKYJ
TWlGc1rQkv9oRWva0JZ2tKcDHelEZ7rQlW50pwc96UVv+tCXfvRnAAMZxGCG
MJRhDGcEIxnFaMYwlnGMZwITmcRkpjCVaUxnBjOZxWzmMJd5zGcBC1nEYpaw
lGUsZwUrWcVq1rCWdaxnAxvZxGa2sJVtbGcHO9nFbvawl33s5wAHOcRhjnCU
YxznBCc5xWnOcJZznOcCF7nEZa5wlWtc5wY3ucVt7nCXe9znAQ95xGOe8JRn
POcFL3nFa97wlne85wMf+cRnvvCVb3znBz/5xW8CYfwnCEEJxv9LAvtA
          "]]},
        RowBox[{
          RowBox[{
            RowBox[{
              RowBox[{"-", "0.5`"}], " ", 
              TagBox["y", HoldForm]}], "+", 
            RowBox[{
              TagBox["x", HoldForm], " ", 
              TagBox["y", HoldForm]}]}], "\[Equal]", "0"}]],
       Annotation[#, (-0.5) HoldForm[$CellContext`y] + 
         HoldForm[$CellContext`x] HoldForm[$CellContext`y] == 0, 
        "Tooltip"]& ]}], {}}, {{}, 
    {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], 
     {Arrowheads[{{0.001465381122509492, 1.}}], 
      ArrowBox[{{0., 0.07304197839804509}, {0., 0.06981516445909776}}]}, 
     {Arrowheads[{{0.002930762245018984, 1.}}], 
      ArrowBox[{{0., 0.14608395679609018`}, {0., 0.13963032891819552`}}]}, 
     {Arrowheads[{{0.0043961433675284755`, 1.}}], 
      ArrowBox[{{0., 0.21912593519413526`}, {0., 0.20944549337729326`}}]}, 
     {Arrowheads[{{0.005861524490037968, 1.}}], 
      ArrowBox[{{0., 0.29216791359218036`}, {0., 0.27926065783639104`}}]}, 
     {Arrowheads[{{0.007326905612547447, 1.}}], 
      ArrowBox[{{0., 0.3652098919902254}, {0., 0.3490758222954888}}]}, 
     {Arrowheads[{{0.008792286735056951, 1.}}], 
      ArrowBox[{{0., 0.43825187038827046`}, {0., 0.41889098675458647`}}]}, 
     {Arrowheads[{{0.010257667857566431`, 1.}}], 
      ArrowBox[{{0., 0.5112938487863156}, {0., 0.48870615121368427`}}]}, 
     {Arrowheads[{{0.011723048980075935`, 1.}}], 
      ArrowBox[{{0., 0.5843358271843606}, {0., 0.558521315672782}}]}, 
     {Arrowheads[{{0.013188430102585413`, 1.}}], 
      ArrowBox[{{0., 0.6573778055824057}, {0., 0.6283364801318797}}]}, 
     {Arrowheads[{{0.014653811225094893`, 1.}}], 
      ArrowBox[{{0., 0.7304197839804507}, {0., 0.6981516445909774}}]}, 
     {Arrowheads[{{0.016119192347604373`, 1.}}], 
      ArrowBox[{{0., 0.8034617623784958}, {0., 0.7679668090500752}}]}, 
     {Arrowheads[{{0.017584573470113902`, 1.}}], 
      ArrowBox[{{0., 0.8765037407765408}, {0., 0.8377819735091728}}]}, 
     {Arrowheads[{{0.019049954592623382`, 1.}}], 
      ArrowBox[{{0., 0.9495457191745859}, {0., 0.9075971379682706}}]}, 
     {Arrowheads[{{0.02051533571513281, 1.}}], 
      ArrowBox[{{0., 1.022587697572631}, {0., 0.9774123024273684}}]}, 
     {Arrowheads[{{0.0027214220846604794`, 1.}}], 
      ArrowBox[{{0.06843224419954891, 0.}, {0.07442489865759394, 0.}}]}, 
     {Arrowheads[{{0.0028085929738938574`, 1.}}], 
      ArrowBox[{{0.06866273090947371, 0.07281149168812028}, {
       0.07419441194766913, 0.07004565116902256}}]}, 
     {Arrowheads[{{0.003407810914034745, 1.}}], 
      ArrowBox[{{0.06889321761939853, 0.14562298337624055`}, {
       0.07396392523774432, 0.14009130233804512`}}]}, 
     {Arrowheads[{{0.004310577729412021, 1.}}], 
      ArrowBox[{{0.06912370432932333, 0.21843447506436084`}, {
       0.07373343852781951, 0.2101369535070677}}]}, 
     {Arrowheads[{{0.0053658093424451625`, 1.}}], 
      ArrowBox[{{0.06935419103924814, 0.2912459667524811}, {
       0.07350295181789471, 0.28018260467609024`}}]}, 
     {Arrowheads[{{0.006499666440696832, 1.}}], 
      ArrowBox[{{0.06958467774917296, 0.3640574584406014}, {
       0.0732724651079699, 0.35022825584511286`}}]}, 
     {Arrowheads[{{0.007677391626317494, 1.}}], 
      ArrowBox[{{0.06981516445909776, 0.4368689501287216}, {
       0.07304197839804509, 0.42027390701413536`}}]}, 
     {Arrowheads[{{0.008881550817850453, 1.}}], 
      ArrowBox[{{0.07004565116902257, 0.5096804418168419}, {
       0.07281149168812029, 0.49031955818315787`}}]}, 
     {Arrowheads[{{0.010102696277675058`, 1.}}], 
      ArrowBox[{{0.07027613787894738, 0.5824919335049621}, {
       0.07258100497819547, 0.5603652093521804}}]}, 
     {Arrowheads[{{0.011335339590436587`, 1.}}], 
      ArrowBox[{{0.07050662458887219, 0.6553034251930824}, {
       0.07235051826827067, 0.630410860521203}}]}, 
     {Arrowheads[{{0.012576100332963665`, 1.}}], 
      ArrowBox[{{0.07073711129879699, 0.7281149168812027}, {
       0.07212003155834584, 0.7004565116902256}}]}, 
     {Arrowheads[{{0.013822792769252532`, 1.}}], 
      ArrowBox[{{0.07096759800872181, 0.8009264085693228}, {
       0.07188954484842104, 0.770502162859248}}]}, 
     {Arrowheads[{{0.015073945226824668`, 1.}}], 
      ArrowBox[{{0.07119808471864661, 0.8737379002574431}, {
       0.07165905813849623, 0.8405478140282706}}]}, 
     {Arrowheads[{{0.016328532507962876`, 1.}}], 
      ArrowBox[{{0.07142857142857142, 0.9465493919455634}, {
       0.07142857142857142, 0.9105934651972932}}]}, 
     {Arrowheads[{{0.017585819498350724`, 1.}}], 
      ArrowBox[{{0.07165905813849623, 1.0193608836336836`}, {
       0.07119808471864661, 0.9806391163663156}}]}, 
     {Arrowheads[{{0.005024163848603963, 1.}}], 
      ArrowBox[{{0.13732546181894742`, 0.}, {0.14838882389533825`, 0.}}]}, 
     {Arrowheads[{{0.004722929291669655, 1.}}], 
      ArrowBox[{{0.13778643523879705`, 0.07258100497819547}, {
       0.14792785047548865`, 0.07027613787894738}}]}, 
     {Arrowheads[{{0.004680988289823098, 1.}}], 
      ArrowBox[{{0.13824740865864665`, 0.14516200995639095`}, {
       0.14746687705563902`, 0.14055227575789475`}}]}, 
     {Arrowheads[{{0.00490499675878263, 1.}}], 
      ArrowBox[{{0.13870838207849628`, 0.21774301493458642`}, {
       0.14700590363578941`, 0.21082841363684215`}}]}, 
     {Arrowheads[{{0.0053617242186383375`, 1.}}], 
      ArrowBox[{{0.13916935549834591`, 0.2903240199127819}, {
       0.1465449302159398, 0.2811045515157895}}]}, 
     {Arrowheads[{{0.005998244038771246, 1.}}], 
      ArrowBox[{{0.13963032891819552`, 0.3629050248909773}, {
       0.14608395679609018`, 0.3513806893947369}}]}, 
     {Arrowheads[{{0.006763987585694876, 1.}}], 
      ArrowBox[{{0.14009130233804515`, 0.4354860298691728}, {
       0.14562298337624058`, 0.42165682727368425`}}]}, 
     {Arrowheads[{{0.007620096858247398, 1.}}], 
      ArrowBox[{{0.14055227575789475`, 0.5080670348473683}, {
       0.14516200995639095`, 0.4919329651526316}}]}, 
     {Arrowheads[{{0.008539436501173042, 1.}}], 
      ArrowBox[{{0.14101324917774438`, 0.5806480398255637}, {
       0.14470103653654134`, 0.5622091030315789}}]}, 
     {Arrowheads[{{0.009503674391777007, 1.}}], 
      ArrowBox[{{0.14147422259759398`, 0.6532290448037591}, {
       0.14424006311669169`, 0.6324852409105263}}]}, 
     {Arrowheads[{{0.010500449023309768`, 1.}}], 
      ArrowBox[{{0.14193519601744362`, 0.7258100497819545}, {
       0.14377908969684208`, 0.7027613787894736}}]}, 
     {Arrowheads[{{0.011521318674361656`, 1.}}], 
      ArrowBox[{{0.14239616943729322`, 0.7983910547601499}, {
       0.14331811627699245`, 0.7730375166684209}}]}, 
     {Arrowheads[{{0.0125604096215099, 1.}}], 
      ArrowBox[{{0.14285714285714285`, 0.8709720597383455}, {
       0.14285714285714285`, 0.8433136545473684}}]}, 
     {Arrowheads[{{0.013613550135174186`, 1.}}], 
      ArrowBox[{{0.14331811627699245`, 0.9435530647165409}, {
       0.14239616943729322`, 0.9135897924263157}}]}, 
     {Arrowheads[{{0.01467771631639404, 1.}}], 
      ArrowBox[{{0.14377908969684208`, 1.0161340696947363`}, {
       0.14193519601744362`, 0.983865930305263}}]}, 
     {Arrowheads[{{0.006908225291830451, 1.}}], 
      ArrowBox[{{0.20667965285819556`, 0.}, {0.22189177571323296`, 0.}}]}, 
     {Arrowheads[{{0.0063357829278513425`, 1.}}], 
      ArrowBox[{{0.20737111298797, 0.07235051826827066}, {
       0.22120031558345857`, 0.07050662458887219}}]}, 
     {Arrowheads[{{0.0058950724399251505`, 1.}}], 
      ArrowBox[{{0.20806257311774443`, 0.14470103653654132`}, {
       0.22050885545368412`, 0.14101324917774438`}}]}, 
     {Arrowheads[{{0.005617185947787715, 1.}}], 
      ArrowBox[{{0.20875403324751884`, 0.21705155480481197`}, {
       0.21981739532390968`, 0.21151987376661655`}}]}, 
     {Arrowheads[{{0.005526738822219532, 1.}}], 
      ArrowBox[{{0.2094454933772933, 0.28940207307308263`}, {
       0.21912593519413529`, 0.28202649835548876`}}]}, 
     {Arrowheads[{{0.0056327676308347355`, 1.}}], 
      ArrowBox[{{0.2101369535070677, 0.3617525913413533}, {
       0.21843447506436084`, 0.3525331229443609}}]}, 
     {Arrowheads[{{0.005924733369011345, 1.}}], 
      ArrowBox[{{0.21082841363684213`, 0.4341031096096239}, {
       0.2177430149345864, 0.42303974753323303`}}]}, 
     {Arrowheads[{{0.0063771486529419505`, 1.}}], 
      ArrowBox[{{0.21151987376661657`, 0.5064536278778945}, {
       0.217051554804812, 0.4935463721221052}}]}, 
     {Arrowheads[{{0.006958789372190282, 1.}}], 
      ArrowBox[{{0.212211333896391, 0.5788041461461652}, {
       0.21636009467503756`, 0.5640529967109774}}]}, 
     {Arrowheads[{{0.007640198901091776, 1.}}], 
      ArrowBox[{{0.2129027940261654, 0.6511546644144358}, {0.2156686345452631,
        0.6345596212998496}}]}, 
     {Arrowheads[{{0.00839712415693169, 1.}}], 
      ArrowBox[{{0.21359425415593986`, 0.7235051826827065}, {
       0.21497717441548872`, 0.7050662458887217}}]}, 
     {Arrowheads[{{0.009210967055773935, 1.}}], 
      ArrowBox[{{0.21428571428571427`, 0.7958557009509771}, {
       0.21428571428571427`, 0.7755728704775939}}]}, 
     {Arrowheads[{{0.010067934208919261`, 1.}}], 
      ArrowBox[{{0.2149771744154887, 0.8682062192192477}, {
       0.21359425415593986`, 0.846079495066466}}]}, 
     {Arrowheads[{{0.010957912643594392`, 1.}}], 
      ArrowBox[{{0.21566863454526314`, 0.9405567374875183}, {
       0.21290279402616544`, 0.9165861196553382}}]}, 
     {Arrowheads[{{0.011873481583390445`, 1.}}], 
      ArrowBox[{{0.21636009467503756`, 1.012907255755789}, {0.212211333896391,
        0.9870927442442103}}]}, 
     {Arrowheads[{{0.008373606414339943, 1.}}], 
      ArrowBox[{{0.2764948173172933, 0.}, {0.29493375411127803`, 0.}}]}, 
     {Arrowheads[{{0.007562368020289221, 1.}}], 
      ArrowBox[{{0.27741676415699257`, 0.07212003155834586}, {
       0.29401180727157883`, 0.070737111298797}}]}, 
     {Arrowheads[{{0.006815621828069488, 1.}}], 
      ArrowBox[{{0.27833871099669183`, 0.1442400631166917}, {
       0.2930898604318796, 0.141474222597594}}]}, 
     {Arrowheads[{{0.006156878825278887, 1.}}], 
      ArrowBox[{{0.27926065783639104`, 0.21636009467503756`}, {
       0.29216791359218036`, 0.212211333896391}}]}, 
     {Arrowheads[{{0.005617185947787719, 1.}}], 
      ArrowBox[{{0.2801826046760903, 0.2884801262333834}, {
       0.29124596675248116`, 0.282948445195188}}]}, 
     {Arrowheads[{{0.00523350400896248, 1.}}], 
      ArrowBox[{{0.2811045515157895, 0.3606001577917292}, {0.2903240199127819,
        0.3536855564939849}}]}, 
     {Arrowheads[{{0.005041578680192806, 1.}}], 
      ArrowBox[{{0.28202649835548876`, 0.43272018935007506`}, {
       0.28940207307308263`, 0.4244226677927819}}]}, 
     {Arrowheads[{{0.005063262989641066, 1.}}], 
      ArrowBox[{{0.28294844519518797`, 0.5048402209084208}, {
       0.28848012623338337`, 0.49515977909157893`}}]}, 
     {Arrowheads[{{0.005295933699821953, 1.}}], 
      ArrowBox[{{0.28387039203488723`, 0.5769602524667667}, {
       0.28755817939368417`, 0.5658968903903759}}]}, 
     {Arrowheads[{{0.005713874389632382, 1.}}], 
      ArrowBox[{{0.28479233887458644`, 0.6490802840251125}, {
       0.2866362325539849, 0.6366340016891728}}]}, 
     {Arrowheads[{{0.0062802048107549755`, 1.}}], 
      ArrowBox[{{0.2857142857142857, 0.7212003155834583}, {0.2857142857142857,
        0.7073711129879697}}]}, 
     {Arrowheads[{{0.006958789372190286, 1.}}], 
      ArrowBox[{{0.2866362325539849, 0.7933203471418042}, {
       0.28479233887458644`, 0.7781082242867668}}]}, 
     {Arrowheads[{{0.0077200836604879985`, 1.}}], 
      ArrowBox[{{0.28755817939368417`, 0.86544037870015}, {
       0.28387039203488723`, 0.8488453355855637}}]}, 
     {Arrowheads[{{0.008542002052230217, 1.}}], 
      ArrowBox[{{0.2884801262333834, 0.9375604102584958}, {0.282948445195188, 
       0.9195824468843606}}]}, 
     {Arrowheads[{{0.009408670019329083, 1.}}], 
      ArrowBox[{{0.28940207307308263`, 1.0096804418168417`}, {
       0.28202649835548876`, 0.9903195581831578}}]}, 
     {Arrowheads[{{0.009420307216132438, 1.}}], 
      ArrowBox[{{0.3467709551962407, 0.}, {0.3675147590894735, 0.}}]}, 
     {Arrowheads[{{0.008384066888642452, 1.}}], 
      ArrowBox[{{0.3479233887458647, 0.07188954484842104}, {
       0.36636232553984943`, 0.07096759800872181}}]}, 
     {Arrowheads[{{0.007374599561942466, 1.}}], 
      ArrowBox[{{0.3490758222954888, 0.14377908969684208`}, {
       0.3652098919902254, 0.14193519601744362`}}]}, 
     {Arrowheads[{{0.006404577375879754, 1.}}], 
      ArrowBox[{{0.3502282558451128, 0.21566863454526314`}, {
       0.36405745844060133`, 0.21290279402616544`}}]}, 
     {Arrowheads[{{0.005494929989282582, 1.}}], 
      ArrowBox[{{0.3513806893947369, 0.28755817939368417`}, {
       0.3629050248909773, 0.28387039203488723`}}]}, 
     {Arrowheads[{{0.00468098828982311, 1.}}], 
      ArrowBox[{{0.3525331229443609, 0.3594477242421052}, {0.3617525913413533,
        0.354837990043609}}]}, 
     {Arrowheads[{{0.004021293163978746, 1.}}], 
      ArrowBox[{{0.353685556493985, 0.4313372690905262}, {
       0.36060015779172927`, 0.4258055880523308}}]}, 
     {Arrowheads[{{0.0036016243017173415`, 1.}}], 
      ArrowBox[{{0.354837990043609, 0.5032268139389472}, {0.3594477242421052, 
       0.49677318606105253`}}]}, 
     {Arrowheads[{{0.0035091805410433063`, 1.}}], 
      ArrowBox[{{0.3559904235932331, 0.5751163587873682}, {
       0.35829529069248117`, 0.5677407840697744}}]}, 
     {Arrowheads[{{0.0037681228864529753`, 1.}}], 
      ArrowBox[{{0.3571428571428571, 0.6470059036357892}, {0.3571428571428571,
        0.6387083820784961}}]}, 
     {Arrowheads[{{0.004315657964209156, 1.}}], 
      ArrowBox[{{0.3582952906924811, 0.7188954484842103}, {0.355990423593233, 
       0.7096759800872179}}]}, 
     {Arrowheads[{{0.005058933563462821, 1.}}], 
      ArrowBox[{{0.3594477242421052, 0.7907849933326313}, {0.354837990043609, 
       0.7806435780959396}}]}, 
     {Arrowheads[{{0.005924733369011316, 1.}}], 
      ArrowBox[{{0.3606001577917292, 0.8626745381810523}, {0.353685556493985, 
       0.8516111761046615}}]}, 
     {Arrowheads[{{0.006866867826533419, 1.}}], 
      ArrowBox[{{0.3617525913413533, 0.9345640830294734}, {
       0.35253312294436095`, 0.9225787741133833}}]}, 
     {Arrowheads[{{0.007857928070372083, 1.}}], 
      ArrowBox[{{0.3629050248909773, 1.0064536278778944`}, {
       0.3513806893947369, 0.993546372122105}}]}, 
     {Arrowheads[{{0.010048327697207926`, 1.}}], 
      ArrowBox[{{0.41750806649503763`, 0.}, {0.4396347906478193, 0.}}]}, 
     {Arrowheads[{{0.00879477852672808, 1.}}], 
      ArrowBox[{{0.4188909867545865, 0.07165905813849624}, {
       0.4382518703882705, 0.07119808471864662}}]}, 
     {Arrowheads[{{0.007547866821864208, 1.}}], 
      ArrowBox[{{0.42027390701413536`, 0.14331811627699248`}, {
       0.4368689501287216, 0.14239616943729325`}}]}, 
     {Arrowheads[{{0.006311527722325232, 1.}}], 
      ArrowBox[{{0.4216568272736842, 0.2149771744154887}, {
       0.43548602986917273`, 0.21359425415593983`}}]}, 
     {Arrowheads[{{0.005093465934061192, 1.}}], 
      ArrowBox[{{0.4230397475332331, 0.28663623255398496`}, {
       0.43410310960962395`, 0.2847923388745865}}]}, 
     {Arrowheads[{{0.0039107969336036556`, 1.}}], 
      ArrowBox[{{0.4244226677927819, 0.3582952906924811}, {
       0.43272018935007506`, 0.355990423593233}}]}, 
     {Arrowheads[{{0.0028085929738938544`, 1.}}], 
      ArrowBox[{{0.42580558805233076`, 0.42995434883097733`}, {
       0.43133726909052617`, 0.4271885083118796}}]}, 
     {Arrowheads[{{0.0019300209151220167`, 1.}}], 
      ArrowBox[{{0.42718850831187966`, 0.5016134069694735}, {
       0.4299543488309774, 0.4983865930305262}}]}, 
     {Arrowheads[{{0.0016747212828679835`, 1.}}], 
      ArrowBox[{{0.4285714285714285, 0.5732724651079698}, {0.4285714285714285,
        0.5695846777491729}}]}, 
     {Arrowheads[{{0.002264360046559253, 1.}}], 
      ArrowBox[{{0.42995434883097733`, 0.644931523246466}, {
       0.42718850831187966`, 0.6407827624678194}}]}, 
     {Arrowheads[{{0.0032699978391884195`, 1.}}], 
      ArrowBox[{{0.4313372690905262, 0.7165905813849621}, {0.4258055880523308,
        0.7119808471864659}}]}, 
     {Arrowheads[{{0.004416035520556906, 1.}}], 
      ArrowBox[{{0.43272018935007506`, 0.7882496395234584}, {
       0.4244226677927819, 0.7831789319051126}}]}, 
     {Arrowheads[{{0.005617185947787709, 1.}}], 
      ArrowBox[{{0.4341031096096239, 0.8599086976619545}, {0.4230397475332331,
        0.8543770166237591}}]}, 
     {Arrowheads[{{0.0068444949140099125`, 1.}}], 
      ArrowBox[{{0.43548602986917273`, 0.9315677558004508}, {
       0.4216568272736842, 0.9255751013424057}}]}, 
     {Arrowheads[{{0.008086060084272931, 1.}}], 
      ArrowBox[{{0.4368689501287216, 1.003226813938947}, {
       0.42027390701413536`, 0.9967731860610523}}]}, 
     {Arrowheads[{{0.010257667857566455`, 1.}}], 
      ArrowBox[{{0.4887061512136842, 0.}, {0.5112938487863156, 0.}}]}, 
     {Arrowheads[{{0.0087922867350569, 1.}}], 
      ArrowBox[{{0.4903195581831579, 0.07142857142857142}, {
       0.5096804418168418, 0.07142857142857142}}]}, 
     {Arrowheads[{{0.0073269056125474215`, 1.}}], 
      ArrowBox[{{0.4919329651526316, 0.14285714285714285`}, {
       0.5080670348473681, 0.14285714285714285`}}]}, 
     {Arrowheads[{{0.005861524490037993, 1.}}], 
      ArrowBox[{{0.4935463721221052, 0.21428571428571427`}, {
       0.5064536278778946, 0.21428571428571427`}}]}, 
     {Arrowheads[{{0.004396143367528514, 1.}}], 
      ArrowBox[{{0.4951597790915789, 0.2857142857142857}, {0.504840220908421, 
       0.2857142857142857}}]}, 
     {Arrowheads[{{0.0029307622450189586`, 1.}}], 
      ArrowBox[{{0.4967731860610526, 0.3571428571428571}, {0.5032268139389472,
        0.3571428571428571}}]}, 
     {Arrowheads[{{0.0014653811225094793`, 1.}}], 
      ArrowBox[{{0.49838659303052624`, 0.4285714285714285}, {
       0.5016134069694735, 0.4285714285714285}}]}, 
     {Arrowheads[{{0.0014653811225094793`, 1.}}], 
      ArrowBox[{{0.5016134069694735, 0.5714285714285713}, {
       0.49838659303052624`, 0.5714285714285713}}]}, 
     {Arrowheads[{{0.002930762245018984, 1.}}], 
      ArrowBox[{{0.5032268139389472, 0.6428571428571427}, {
       0.49677318606105253`, 0.6428571428571427}}]}, 
     {Arrowheads[{{0.004396143367528437, 1.}}], 
      ArrowBox[{{0.5048402209084208, 0.7142857142857141}, {
       0.49515977909157893`, 0.7142857142857141}}]}, 
     {Arrowheads[{{0.005861524490037917, 1.}}], 
      ArrowBox[{{0.5064536278778945, 0.7857142857142855}, {0.4935463721221053,
        0.7857142857142855}}]}, 
     {Arrowheads[{{0.0073269056125474215`, 1.}}], 
      ArrowBox[{{0.5080670348473681, 0.8571428571428569}, {0.4919329651526316,
        0.8571428571428569}}]}, 
     {Arrowheads[{{0.008792286735056951, 1.}}], 
      ArrowBox[{{0.5096804418168419, 0.9285714285714283}, {0.4903195581831579,
        0.9285714285714283}}]}, 
     {Arrowheads[{{0.010257667857566455`, 1.}}], 
      ArrowBox[{{0.5112938487863156, 0.9999999999999997}, {0.4887061512136842,
        0.9999999999999997}}]}, 
     {Arrowheads[{{0.01004832769720795, 1.}}], 
      ArrowBox[{{0.5603652093521805, 0.}, {0.5824919335049622, 0.}}]}, 
     {Arrowheads[{{0.008376222757604669, 1.}}], 
      ArrowBox[{{0.5622091030315789, 0.07119808471864661}, {
       0.5806480398255637, 0.07165905813849623}}]}, 
     {Arrowheads[{{0.006711956139279525, 1.}}], 
      ArrowBox[{{0.5640529967109774, 0.14239616943729322`}, {
       0.5788041461461653, 0.14331811627699245`}}]}, 
     {Arrowheads[{{0.005063262989641083, 1.}}], 
      ArrowBox[{{0.5658968903903758, 0.21359425415593986`}, {
       0.5769602524667666, 0.21497717441548872`}}]}, 
     {Arrowheads[{{0.003452526371367304, 1.}}], 
      ArrowBox[{{0.5677407840697744, 0.28479233887458644`}, {
       0.5751163587873682, 0.2866362325539849}}]}, 
     {Arrowheads[{{0.0019749111230037766`, 1.}}], 
      ArrowBox[{{0.5695846777491728, 0.3559904235932331}, {0.5732724651079697,
        0.35829529069248117`}}]}, 
     {Arrowheads[{{0.0012560409621510003`, 1.}}], 
      ArrowBox[{{0.5714285714285713, 0.42718850831187966`}, {
       0.5714285714285713, 0.4299543488309774}}]}, 
     {Arrowheads[{{0.0022253164290720827`, 1.}}], 
      ArrowBox[{{0.5732724651079697, 0.49838659303052624`}, {
       0.5695846777491728, 0.5016134069694735}}]}, 
     {Arrowheads[{{0.0037447906318584653`, 1.}}], 
      ArrowBox[{{0.5751163587873682, 0.5695846777491728}, {0.5677407840697744,
        0.5732724651079697}}]}, 
     {Arrowheads[{{0.005365809342445138, 1.}}], 
      ArrowBox[{{0.5769602524667667, 0.6407827624678194}, {0.5658968903903759,
        0.644931523246466}}]}, 
     {Arrowheads[{{0.0070183610820866126`, 1.}}], 
      ArrowBox[{{0.5788041461461652, 0.711980847186466}, {0.5640529967109774, 
       0.7165905813849622}}]}, 
     {Arrowheads[{{0.008684463369355888, 1.}}], 
      ArrowBox[{{0.5806480398255637, 0.7831789319051126}, {0.562209103031579, 
       0.7882496395234584}}]}, 
     {Arrowheads[{{0.010357579114101918`, 1.}}], 
      ArrowBox[{{0.5824919335049621, 0.8543770166237592}, {0.5603652093521805,
        0.8599086976619547}}]}, 
     {Arrowheads[{{0.01203478356897771, 1.}}], 
      ArrowBox[{{0.5843358271843606, 0.9255751013424057}, {0.5585213156727821,
        0.9315677558004507}}]}, 
     {Arrowheads[{{0.013714576747222394`, 1.}}], 
      ArrowBox[{{0.586179720863759, 0.9967731860610524}, {0.5566774219933834, 
       1.003226813938947}}]}, 
     {Arrowheads[{{0.009420307216132438, 1.}}], 
      ArrowBox[{{0.6324852409105263, 0.}, {0.6532290448037591, 0.}}]}, 
     {Arrowheads[{{0.007547866821864208, 1.}}], 
      ArrowBox[{{0.6345596212998496, 0.07096759800872181}, {
       0.6511546644144358, 0.07188954484842104}}]}, 
     {Arrowheads[{{0.005713874389632382, 1.}}], 
      ArrowBox[{{0.6366340016891728, 0.14193519601744362`}, {
       0.6490802840251125, 0.14377908969684208`}}]}, 
     {Arrowheads[{{0.003971950274866477, 1.}}], 
      ArrowBox[{{0.6387083820784961, 0.2129027940261654}, {0.6470059036357892,
        0.2156686345452631}}]}, 
     {Arrowheads[{{0.002520789340096403, 1.}}], 
      ArrowBox[{{0.6407827624678194, 0.28387039203488723`}, {
       0.644931523246466, 0.28755817939368417`}}]}, 
     {Arrowheads[{{0.002093401603584992, 1.}}], 
      ArrowBox[{{0.6428571428571427, 0.354837990043609}, {0.6428571428571427, 
       0.3594477242421052}}]}, 
     {Arrowheads[{{0.0031401024053774726`, 1.}}], 
      ArrowBox[{{0.644931523246466, 0.42580558805233076`}, {
       0.6407827624678194, 0.43133726909052617`}}]}, 
     {Arrowheads[{{0.004773690126541444, 1.}}], 
      ArrowBox[{{0.6470059036357892, 0.4967731860610526}, {0.6387083820784961,
        0.5032268139389472}}]}, 
     {Arrowheads[{{0.006570080151553557, 1.}}], 
      ArrowBox[{{0.6490802840251125, 0.5677407840697744}, {0.6366340016891728,
        0.5751163587873682}}]}, 
     {Arrowheads[{{0.008425778921681575, 1.}}], 
      ArrowBox[{{0.6511546644144358, 0.6387083820784961}, {0.6345596212998496,
        0.6470059036357892}}]}, 
     {Arrowheads[{{0.010308807357880239`, 1.}}], 
      ArrowBox[{{0.6532290448037591, 0.7096759800872179}, {0.6324852409105263,
        0.7188954484842103}}]}, 
     {Arrowheads[{{0.012206524047096056`, 1.}}], 
      ArrowBox[{{0.6553034251930824, 0.7806435780959396}, {0.630410860521203, 
       0.7907849933326312}}]}, 
     {Arrowheads[{{0.014113005028993647`, 1.}}], 
      ArrowBox[{{0.6573778055824057, 0.8516111761046614}, {0.6283364801318797,
        0.8626745381810522}}]}, 
     {Arrowheads[{{0.016025122590797313`, 1.}}], 
      ArrowBox[{{0.6594521859717289, 0.9225787741133833}, {0.6262620997425564,
        0.9345640830294734}}]}, 
     {Arrowheads[{{0.017941074622702554`, 1.}}], 
      ArrowBox[{{0.6615265663610522, 0.9935463721221051}, {0.6241877193532331,
        1.0064536278778944`}}]}, 
     {Arrowheads[{{0.008373606414339967, 1.}}], 
      ArrowBox[{{0.7050662458887217, 0.}, {0.7235051826827065, 0.}}]}, 
     {Arrowheads[{{0.006311527722325256, 1.}}], 
      ArrowBox[{{0.7073711129879698, 0.07073711129879699}, {
       0.7212003155834584, 0.07212003155834584}}]}, 
     {Arrowheads[{{0.004371150877534433, 1.}}], 
      ArrowBox[{{0.7096759800872179, 0.14147422259759398`}, {
       0.7188954484842103, 0.14424006311669169`}}]}, 
     {Arrowheads[{{0.002816383815417406, 1.}}], 
      ArrowBox[{{0.7119808471864659, 0.212211333896391}, {0.7165905813849622, 
       0.21636009467503756`}}]}, 
     {Arrowheads[{{0.002512081924301975, 1.}}], 
      ArrowBox[{{0.7142857142857141, 0.28294844519518797`}, {
       0.7142857142857141, 0.28848012623338337`}}]}, 
     {Arrowheads[{{0.003773933410932114, 1.}}], 
      ArrowBox[{{0.7165905813849621, 0.353685556493985}, {0.7119808471864659, 
       0.36060015779172927`}}]}, 
     {Arrowheads[{{0.0056327676308347355`, 1.}}], 
      ArrowBox[{{0.7188954484842103, 0.4244226677927819}, {0.7096759800872179,
        0.43272018935007506`}}]}, 
     {Arrowheads[{{0.007665966930067873, 1.}}], 
      ArrowBox[{{0.7212003155834583, 0.4951597790915789}, {0.7073711129879698,
        0.504840220908421}}]}, 
     {Arrowheads[{{0.009765219237676821, 1.}}], 
      ArrowBox[{{0.7235051826827065, 0.5658968903903758}, {0.7050662458887218,
        0.5769602524667666}}]}, 
     {Arrowheads[{{0.011895606102421954`, 1.}}], 
      ArrowBox[{{0.7258100497819545, 0.6366340016891728}, {0.7027613787894736,
        0.6490802840251125}}]}, 
     {Arrowheads[{{0.014042964869469328`, 1.}}], 
      ArrowBox[{{0.7281149168812027, 0.7073711129879698}, {0.7004565116902255,
        0.7212003155834584}}]}, 
     {Arrowheads[{{0.016200548142066146`, 1.}}], 
      ArrowBox[{{0.7304197839804507, 0.7781082242867667}, {0.6981516445909774,
        0.7933203471418041}}]}, 
     {Arrowheads[{{0.01836475259508668, 1.}}], 
      ArrowBox[{{0.7327246510796988, 0.8488453355855637}, {0.6958467774917293,
        0.86544037870015}}]}, 
     {Arrowheads[{{0.020533484742029737`, 1.}}], 
      ArrowBox[{{0.7350295181789469, 0.9195824468843607}, {0.6935419103924813,
        0.9375604102584959}}]}, 
     {Arrowheads[{{0.022705447219129562`, 1.}}], 
      ArrowBox[{{0.737334385278195, 0.9903195581831576}, {0.6912370432932331, 
       1.0096804418168417`}}]}, 
     {Arrowheads[{{0.006908225291830438, 1.}}], 
      ArrowBox[{{0.7781082242867667, 0.}, {0.7933203471418041, 0.}}]}, 
     {Arrowheads[{{0.004680988289823118, 1.}}], 
      ArrowBox[{{0.7806435780959396, 0.07050662458887219}, {
       0.7907849933326313, 0.07235051826827066}}]}, 
     {Arrowheads[{{0.0028473340174100734`, 1.}}], 
      ArrowBox[{{0.7831789319051126, 0.14101324917774438`}, {
       0.7882496395234584, 0.14470103653654132`}}]}, 
     {Arrowheads[{{0.0025120819243019876`, 1.}}], 
      ArrowBox[{{0.7857142857142855, 0.21151987376661657`}, {
       0.7857142857142855, 0.217051554804812}}]}, 
     {Arrowheads[{{0.004064650677804127, 1.}}], 
      ArrowBox[{{0.7882496395234584, 0.28202649835548876`}, {
       0.7831789319051126, 0.28940207307308263`}}]}, 
     {Arrowheads[{{0.006224130430928211, 1.}}], 
      ArrowBox[{{0.7907849933326313, 0.3525331229443609}, {0.7806435780959398,
        0.36175259134135324`}}]}, 
     {Arrowheads[{{0.008542002052230178, 1.}}], 
      ArrowBox[{{0.7933203471418042, 0.4230397475332331}, {0.7781082242867668,
        0.4341031096096239}}]}, 
     {Arrowheads[{{0.010917847015317072`, 1.}}], 
      ArrowBox[{{0.795855700950977, 0.4935463721221052}, {0.7755728704775938, 
       0.5064536278778946}}]}, 
     {Arrowheads[{{0.013320681393603508`, 1.}}], 
      ArrowBox[{{0.7983910547601499, 0.5640529967109774}, {0.7730375166684209,
        0.5788041461461652}}]}, 
     {Arrowheads[{{0.01573814814647472, 1.}}], 
      ArrowBox[{{0.8009264085693228, 0.6345596212998496}, {0.7705021628592481,
        0.6511546644144358}}]}, 
     {Arrowheads[{{0.01816440602720997, 1.}}], 
      ArrowBox[{{0.8034617623784958, 0.7050662458887217}, {0.7679668090500752,
        0.7235051826827064}}]}, 
     {Arrowheads[{{0.020596348475221612`, 1.}}], 
      ArrowBox[{{0.8059971161876687, 0.7755728704775939}, {0.7654314552409023,
        0.7958557009509771}}]}, 
     {Arrowheads[{{0.02303217487895249, 1.}}], 
      ArrowBox[{{0.8085324699968416, 0.8460794950664661}, {0.7628961014317294,
        0.8682062192192478}}]}, 
     {Arrowheads[{{0.025470770968837948`, 1.}}], 
      ArrowBox[{{0.8110678238060145, 0.9165861196553382}, {0.7603607476225566,
        0.9405567374875183}}]}, 
     {Arrowheads[{{0.027911410798987103`, 1.}}], 
      ArrowBox[{{0.8136031776151874, 0.9870927442442103}, {0.7578253938133837,
        1.012907255755789}}]}, 
     {Arrowheads[{{0.00502416384860395, 1.}}], 
      ArrowBox[{{0.8516111761046614, 0.}, {0.8626745381810522, 0.}}]}, 
     {Arrowheads[{{0.0027214220846604963`, 1.}}], 
      ArrowBox[{{0.8543770166237592, 0.07027613787894738}, {
       0.8599086976619547, 0.07258100497819546}}]}, 
     {Arrowheads[{{0.0020934016035849792`, 1.}}], 
      ArrowBox[{{0.8571428571428569, 0.14055227575789475`}, {
       0.8571428571428569, 0.14516200995639092`}}]}, 
     {Arrowheads[{{0.004021293163978721, 1.}}], 
      ArrowBox[{{0.8599086976619545, 0.21082841363684213`}, {
       0.8543770166237592, 0.2177430149345864}}]}, 
     {Arrowheads[{{0.0065399956783768224`, 1.}}], 
      ArrowBox[{{0.8626745381810523, 0.2811045515157895}, {0.8516111761046615,
        0.29032401991278184`}}]}, 
     {Arrowheads[{{0.009175214687486548, 1.}}], 
      ArrowBox[{{0.86544037870015, 0.3513806893947369}, {0.8488453355855637, 
       0.3629050248909773}}]}, 
     {Arrowheads[{{0.011849466738022646`, 1.}}], 
      ArrowBox[{{0.8682062192192477, 0.4216568272736842}, {0.8460794950664661,
        0.43548602986917273`}}]}, 
     {Arrowheads[{{0.014541232262614383`, 1.}}], 
      ArrowBox[{{0.8709720597383453, 0.4919329651526316}, {0.8433136545473683,
        0.5080670348473681}}]}, 
     {Arrowheads[{{0.01724231091764807, 1.}}], 
      ArrowBox[{{0.8737379002574431, 0.5622091030315789}, {0.8405478140282706,
        0.5806480398255636}}]}, 
     {Arrowheads[{{0.019948920075336128`, 1.}}], 
      ArrowBox[{{0.8765037407765408, 0.6324852409105263}, {0.8377819735091729,
        0.6532290448037591}}]}, 
     {Arrowheads[{{0.022659077979679757`, 1.}}], 
      ArrowBox[{{0.8792695812956385, 0.7027613787894736}, {0.8350161329900752,
        0.7258100497819545}}]}, 
     {Arrowheads[{{0.025371647442214394`, 1.}}], 
      ArrowBox[{{0.8820354218147363, 0.773037516668421}, {0.8322502924709775, 
       0.79839105476015}}]}, 
     {Arrowheads[{{0.028085929738938545`, 1.}}], 
      ArrowBox[{{0.8848012623338339, 0.8433136545473683}, {0.8294844519518798,
        0.8709720597383453}}]}, 
     {Arrowheads[{{0.030801472058895475`, 1.}}], 
      ArrowBox[{{0.8875671028529316, 0.9135897924263157}, {0.826718611432782, 
       0.9435530647165408}}]}, 
     {Arrowheads[{{0.03351796815164963, 1.}}], 
      ArrowBox[{{0.8903329433720294, 0.983865930305263}, {0.8239527709136845, 
       1.0161340696947363`}}]}, 
     {Arrowheads[{{0.0027214220846605046`, 1.}}], 
      ArrowBox[{{0.9255751013424057, 0.}, {0.9315677558004508, 0.}}]}, 
     {Arrowheads[{{0.0012560409621509938`, 1.}}], 
      ArrowBox[{{0.9285714285714283, 0.07004565116902257}, {
       0.9285714285714283, 0.07281149168812029}}]}, 
     {Arrowheads[{{0.0037036055077832508`, 1.}}], 
      ArrowBox[{{0.9315677558004508, 0.14009130233804515`}, {
       0.9255751013424058, 0.14562298337624058`}}]}, 
     {Arrowheads[{{0.0066199171247774595`, 1.}}], 
      ArrowBox[{{0.9345640830294732, 0.2101369535070677}, {0.9225787741133832,
        0.21843447506436084`}}]}, 
     {Arrowheads[{{0.009586316594162668, 1.}}], 
      ArrowBox[{{0.9375604102584958, 0.2801826046760903}, {0.9195824468843607,
        0.2912459667524811}}]}, 
     {Arrowheads[{{0.012567385689596476`, 1.}}], 
      ArrowBox[{{0.9405567374875183, 0.3502282558451128}, {0.9165861196553382,
        0.36405745844060133`}}]}, 
     {Arrowheads[{{0.015554692360236086`, 1.}}], 
      ArrowBox[{{0.9435530647165409, 0.42027390701413536`}, {
       0.9135897924263158, 0.4368689501287216}}]}, 
     {Arrowheads[{{0.01854522256256468, 1.}}], 
      ArrowBox[{{0.9465493919455633, 0.4903195581831579}, {0.9105934651972931,
        0.5096804418168418}}]}, 
     {Arrowheads[{{0.021537633562940178`, 1.}}], 
      ArrowBox[{{0.9495457191745859, 0.5603652093521805}, {0.9075971379682707,
        0.5824919335049622}}]}, 
     {Arrowheads[{{0.02453123709091889, 1.}}], 
      ArrowBox[{{0.9525420464036084, 0.630410860521203}, {0.9046008107392481, 
       0.6553034251930824}}]}, 
     {Arrowheads[{{0.027525644062459657`, 1.}}], 
      ArrowBox[{{0.9555383736326309, 0.7004565116902255}, {0.9016044835102256,
        0.7281149168812026}}]}, 
     {Arrowheads[{{0.03052061799863368, 1.}}], 
      ArrowBox[{{0.9585347008616535, 0.7705021628592481}, {0.8986081562812032,
        0.8009264085693228}}]}, 
     {Arrowheads[{{0.03351600690874116, 1.}}], 
      ArrowBox[{{0.9615310280906759, 0.8405478140282706}, {0.8956118290521805,
        0.8737379002574431}}]}, 
     {Arrowheads[{{0.03651170866062012, 1.}}], 
      ArrowBox[{{0.9645273553196985, 0.9105934651972931}, {0.8926155018231581,
        0.9465493919455633}}]}, 
     {Arrowheads[{{0.039507652089844324`, 1.}}], 
      ArrowBox[{{0.967523682548721, 0.9806391163663157}, {0.8896191745941355, 
       1.0193608836336836`}}]}, 
     {Arrowheads[{{0.003276691802876194, 1.}}], 
      ArrowBox[{{1.003226813938947, 0.06981516445909776}, {0.9967731860610524,
        0.07304197839804509}}]}, 
     {Arrowheads[{{0.006553383605752388, 1.}}], 
      ArrowBox[{{1.0064536278778944`, 0.13963032891819552`}, {
       0.993546372122105, 0.14608395679609018`}}]}, 
     {Arrowheads[{{0.00983007540862853, 1.}}], 
      ArrowBox[{{1.0096804418168417`, 0.2094454933772933}, {
       0.9903195581831576, 0.21912593519413526`}}]}, 
     {Arrowheads[{{0.013106767211504639`, 1.}}], 
      ArrowBox[{{1.012907255755789, 0.27926065783639104`}, {
       0.9870927442442105, 0.29216791359218036`}}]}, 
     {Arrowheads[{{0.016383459014380826`, 1.}}], 
      ArrowBox[{{1.0161340696947363`, 0.3490758222954888}, {0.983865930305263,
        0.3652098919902254}}]}, 
     {Arrowheads[{{0.019660150817256968`, 1.}}], 
      ArrowBox[{{1.0193608836336836`, 0.4188909867545865}, {
       0.9806391163663157, 0.43825187038827046`}}]}, 
     {Arrowheads[{{0.02293684262013315, 1.}}], 
      ArrowBox[{{1.022587697572631, 0.48870615121368427`}, {
       0.9774123024273683, 0.5112938487863155}}]}, 
     {Arrowheads[{{0.026213534423009253`, 1.}}], 
      ArrowBox[{{1.0258145115115782`, 0.558521315672782}, {0.9741854884884211,
        0.5843358271843605}}]}, 
     {Arrowheads[{{0.02949022622588542, 1.}}], 
      ArrowBox[{{1.0290413254505255`, 0.6283364801318797}, {
       0.9709586745494738, 0.6573778055824057}}]}, 
     {Arrowheads[{{0.03276691802876161, 1.}}], 
      ArrowBox[{{1.0322681393894728`, 0.6981516445909774}, {
       0.9677318606105264, 0.7304197839804507}}]}, 
     {Arrowheads[{{0.03604360983163784, 1.}}], 
      ArrowBox[{{1.0354949533284203`, 0.7679668090500752}, {
       0.9645050466715791, 0.8034617623784958}}]}, 
     {Arrowheads[{{0.03932030163451403, 1.}}], 
      ArrowBox[{{1.0387217672673676`, 0.8377819735091729}, {
       0.9612782327326317, 0.8765037407765408}}]}, 
     {Arrowheads[{{0.04259699343739019, 1.}}], 
      ArrowBox[{{1.041948581206315, 0.9075971379682707}, {0.9580514187936844, 
       0.949545719174586}}]}, 
     {Arrowheads[{{0.04587368524026626, 1.}}], 
      ArrowBox[{{1.0451753951452623`, 0.9774123024273684}, {
       0.9548246048547372, 1.022587697572631}}]}}}},
  AspectRatio->1,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0.},
  DisplayFunction->Identity,
  Epilog->{
    PointSize[0.02], 
    PointBox[{{0.5, 0.5}, {0, 0}, {1, 0}}]},
  Frame->True,
  FrameLabel->{{
     FormBox["Y", TraditionalForm], None}, {
     FormBox["X", TraditionalForm], None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "GridLinesInFront" -> 
    True},
  PlotRange->{{-0.01, 1.05}, {-0.01, 1.05}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.8438759802972*^9, 3.8438760013921947`*^9}, 
   3.8438765321399107`*^9, 3.843876781874516*^9, {3.843876886276601*^9, 
   3.843876910236565*^9}, {3.8440076678807497`*^9, 3.844007747933015*^9}, 
   3.844007846369605*^9, 3.8440078925249977`*^9, 3.8443475245939083`*^9, 
   3.8443523687713633`*^9, {3.8447337383280277`*^9, 3.8447337594652767`*^9}, 
   3.8447344268320227`*^9, 3.844734636748191*^9, 3.8447385906797*^9, 
   3.844742017340632*^9, 3.844742202214727*^9, 3.8448209458078737`*^9, 
   3.8448213724553747`*^9, 3.844858216765918*^9, 3.844864367541585*^9, 
   3.844865217425724*^9, 3.844868447647442*^9, 3.844868889611609*^9, 
   3.844869901318644*^9, 3.8448701223225737`*^9},
 CellLabel->"Out[57]=",ExpressionUUID->"4fb18766-cf82-4f0e-960b-586849499dc5"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"nsol", "=", 
   RowBox[{"NDSolve", "[", 
    RowBox[{"model", ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"x", "[", "t", "]"}], ",", 
       RowBox[{"y", "[", "t", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nsol", "[", 
   RowBox[{"[", "1", "]"}], "]"}], "/.", 
  RowBox[{"t", "\[Rule]", "tmax"}]}]}], "Input",
 CellChangeTimes->{{3.843712260081038*^9, 3.843712364930106*^9}, {
   3.8437197873380747`*^9, 3.843719788973928*^9}, {3.8438174186817217`*^9, 
   3.843817420188092*^9}, {3.8438746366331577`*^9, 3.8438746377331*^9}, {
   3.844007991930209*^9, 3.8440080007609043`*^9}, 3.844008727475926*^9, 
   3.8440470517066402`*^9, {3.8440472579214907`*^9, 3.844047260923238*^9}, {
   3.844733730381996*^9, 3.84473373093591*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"24bb4c88-3be4-4223-b4ae-3fdf485a87ed"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"x", "[", "50", "]"}], "\[Rule]", "0.5000023763424137`"}], ",", 
   RowBox[{
    RowBox[{"y", "[", "50", "]"}], "\[Rule]", "0.49999444607100396`"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.8437123425623426`*^9, 3.843712365693823*^9}, 
   3.8437193417596197`*^9, 3.843719406564382*^9, 3.843719489517001*^9, 
   3.843719533532308*^9, 3.843816827925189*^9, 3.843817420872403*^9, 
   3.843817513778754*^9, {3.843874633422373*^9, 3.843874639933079*^9}, 
   3.843875467596714*^9, 3.843875499179714*^9, 3.843876532224586*^9, 
   3.843876781962646*^9, 3.843876910324451*^9, 3.844006043381193*^9, 
   3.844007892576186*^9, 3.844008003018504*^9, 3.844008728169714*^9, 
   3.844046932510077*^9, 3.84404705303436*^9, 3.8440472614358463`*^9, 
   3.8443475246172256`*^9, 3.844352368790563*^9, {3.844733738416379*^9, 
   3.844733759504155*^9}, 3.844734426854556*^9, 3.844734636774267*^9, 
   3.8447385907048264`*^9, 3.8447420173614407`*^9, 3.844742202238398*^9, 
   3.844820945855627*^9, 3.844858216819343*^9, 3.844864367639114*^9, 
   3.844865222115005*^9, 3.844865351240602*^9, 3.844865627815587*^9, 
   3.84486844767452*^9, 3.844869901344688*^9, 3.844870133928525*^9},
 CellLabel->"Out[59]=",ExpressionUUID->"7ca28b99-c6ba-403b-a5db-a96a8ded6e12"]
}, Open  ]],

Cell[TextData[StyleBox["NDSolve delivers an object that can be evaluated at \
any t for both x and y. We pull out x[t] and y[t] :",
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.8440470461395082`*^9, 3.84404706071084*^9}, {
  3.844047094962041*^9, 3.844047268636485*^9}, {3.844347855824091*^9, 
  3.84434785987471*^9}, {3.844866313300707*^9, 3.844866314143734*^9}, {
  3.844866347096589*^9, 
  3.844866353706419*^9}},ExpressionUUID->"a6f6fbcc-37ba-4ead-813f-\
492b842c7b85"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"xt", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"x", "[", "t", "]"}], "/.", 
    RowBox[{"nsol", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";", 
  RowBox[{
   RowBox[{"yt", "[", "t_", "]"}], "=", 
   RowBox[{
    RowBox[{"y", "[", "t", "]"}], "/.", 
    RowBox[{"nsol", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8437123838038673`*^9, 3.8437124583983727`*^9}, {
   3.843719396392915*^9, 3.843719396668366*^9}, {3.843719492593924*^9, 
   3.843719496988838*^9}, 3.844008737071156*^9, {3.8448652308800993`*^9, 
   3.844865232369626*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"b0aef8f5-d176-48d4-ade3-a6d04a623aea"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"timeplt", "=", 
  RowBox[{"Plot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"xt", "[", "t", "]"}], ",", 
      RowBox[{"yt", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
    RowBox[{"PlotRange", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "tmax"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "1"}], "}"}]}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"Time", ",", "\"\<X,Y\>\""}], "}"}]}], ",", 
    RowBox[{"PlotLegends", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"X", ",", "Y"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.84371929946583*^9, 3.843719332385811*^9}, {
  3.843719499935388*^9, 3.843719513492681*^9}, {3.843817427331757*^9, 
  3.8438174298726254`*^9}, {3.843874658451398*^9, 3.8438746594494257`*^9}, {
  3.843876042462261*^9, 3.8438760467145147`*^9}, {3.844858221389909*^9, 
  3.844858270638535*^9}, {3.84486447036231*^9, 3.844864523184327*^9}, {
  3.844865234556551*^9, 3.8448652355106297`*^9}, {3.8448653866394997`*^9, 
  3.8448653870812893`*^9}, {3.844865577415979*^9, 3.844865611092579*^9}, {
  3.844868905278872*^9, 3.8448689110974407`*^9}, {3.84486931319564*^9, 
  3.844869335286365*^9}},
 CellLabel->"In[61]:=",ExpressionUUID->"36a88994-6b2b-4ff9-a0af-f0101eff3be9"],

Cell[BoxData[
 TemplateBox[{GraphicsBox[{{{{}, {}, 
       TagBox[{
         Directive[
          Opacity[1.], 
          RGBColor[0.368417, 0.506779, 0.709798], 
          AbsoluteThickness[1.6]], 
         LineBox[CompressedData["
1:eJwd2Hk8lF8XAHAkWfuFbKXNvu+GMO6ZMTOmlEpkL0u2LNkqWaKStCFJUdJq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          "]]}, 
        Annotation[#, "Charting`Private`Tag$8812#1"]& ], 
       TagBox[{
         Directive[
          Opacity[1.], 
          RGBColor[0.880722, 0.611041, 0.142051], 
          AbsoluteThickness[1.6]], 
         LineBox[CompressedData["
1:eJwd2Xk4lF0UAHAJUSpLWYoSsiXbWGdwzzCYVBKypNBKVISQbFGRJEmyS5Ql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          "]]}, 
        Annotation[#, "Charting`Private`Tag$8812#2"]& ]}}, {}}, {
    DisplayFunction -> Identity, Ticks -> {Automatic, Automatic}, 
     AxesOrigin -> {0, 0}, FrameTicks -> {{Automatic, 
        Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
        Charting`ScaledFrameTicks[{Identity, Identity}]}}, 
     GridLines -> {None, None}, DisplayFunction -> Identity, 
     PlotRangePadding -> {{0, 0}, {0, 0}}, PlotRangeClipping -> True, 
     ImagePadding -> All, DisplayFunction -> Identity, AspectRatio -> 
     NCache[GoldenRatio^(-1), 0.6180339887498948], Axes -> {True, True}, 
     AxesLabel -> {
       FormBox["Time", TraditionalForm], 
       FormBox["\"X,Y\"", TraditionalForm]}, AxesOrigin -> {0, 0}, 
     DisplayFunction :> Identity, Frame -> {{False, False}, {False, False}}, 
     FrameLabel -> {{None, None}, {None, None}}, 
     FrameTicks -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     GridLines -> {None, None}, GridLinesStyle -> Directive[
       GrayLevel[0.5, 0.4]], 
     Method -> {
      "DefaultBoundaryStyle" -> Automatic, 
       "DefaultGraphicsInteraction" -> {
        "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
         "Effects" -> {
          "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
           "Droplines" -> {
            "freeformCursorMode" -> True, 
             "placement" -> {"x" -> "All", "y" -> "None"}}}}, 
       "DefaultMeshStyle" -> AbsolutePointSize[6], "ScalingFunctions" -> None,
        "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& ), "CopiedValueFunction" -> ({
           (Identity[#]& )[
            Part[#, 1]], 
           (Identity[#]& )[
            Part[#, 2]]}& )}}, PlotRange -> {{0, 50}, {0, 1}}, 
     PlotRangeClipping -> True, 
     PlotRangePadding -> {{Automatic, Automatic}, {Automatic, Automatic}}, 
     Ticks -> {Automatic, Automatic}}],FormBox[
    FormBox[
     TemplateBox[{"X", "Y"}, "LineLegend", DisplayFunction -> (FormBox[
        StyleBox[
         StyleBox[
          PaneBox[
           TagBox[
            GridBox[{{
               TagBox[
                GridBox[{{
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #}, {
                   GraphicsBox[{{
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {
                    LineBox[{{0, 10}, {20, 10}}]}}, {
                    Directive[
                    EdgeForm[
                    Directive[
                    Opacity[0.3], 
                    GrayLevel[0]]], 
                    PointSize[0.5], 
                    Opacity[1.], 
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    AbsoluteThickness[1.6]], {}}}, AspectRatio -> Full, 
                    ImageSize -> {20, 10}, PlotRangePadding -> None, 
                    ImagePadding -> Automatic, 
                    BaselinePosition -> (Scaled[0.1] -> Baseline)], #2}}, 
                 GridBoxAlignment -> {
                  "Columns" -> {Center, Left}, "Rows" -> {{Baseline}}}, 
                 AutoDelete -> False, 
                 GridBoxDividers -> {
                  "Columns" -> {{False}}, "Rows" -> {{False}}}, 
                 GridBoxItemSize -> {"Columns" -> {{All}}, "Rows" -> {{All}}},
                  GridBoxSpacings -> {
                  "Columns" -> {{0.5}}, "Rows" -> {{0.8}}}], "Grid"]}}, 
             GridBoxAlignment -> {"Columns" -> {{Left}}, "Rows" -> {{Top}}}, 
             AutoDelete -> False, 
             GridBoxItemSize -> {
              "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
             GridBoxSpacings -> {"Columns" -> {{1}}, "Rows" -> {{0}}}], 
            "Grid"], Alignment -> Left, AppearanceElements -> None, 
           ImageMargins -> {{5, 5}, {5, 5}}, ImageSizeAction -> 
           "ResizeToFit"], LineIndent -> 0, StripOnInput -> False], {
         FontFamily -> "Arial"}, Background -> Automatic, StripOnInput -> 
         False], TraditionalForm]& ), 
      InterpretationFunction :> (RowBox[{"LineLegend", "[", 
         RowBox[{
           RowBox[{"{", 
             RowBox[{
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.368417, 0.506779, 0.709798], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.24561133333333335`, 0.3378526666666667, 
                    0.4731986666666667], FrameTicks -> None, PlotRangePadding -> 
                    None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.368417`", ",", "0.506779`", ",", "0.709798`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.368417, 0.506779, 0.709798]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.368417, 0.506779, 0.709798], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}], 
               ",", 
               RowBox[{"Directive", "[", 
                 RowBox[{
                   RowBox[{"Opacity", "[", "1.`", "]"}], ",", 
                   InterpretationBox[
                    ButtonBox[
                    TooltipBox[
                    GraphicsBox[{{
                    GrayLevel[0], 
                    RectangleBox[{0, 0}]}, {
                    GrayLevel[0], 
                    RectangleBox[{1, -1}]}, {
                    RGBColor[0.880722, 0.611041, 0.142051], 
                    RectangleBox[{0, -1}, {2, 1}]}}, DefaultBaseStyle -> 
                    "ColorSwatchGraphics", AspectRatio -> 1, Frame -> True, 
                    FrameStyle -> 
                    RGBColor[
                    0.587148, 0.40736066666666665`, 0.09470066666666668], 
                    FrameTicks -> None, PlotRangePadding -> None, ImageSize -> 
                    Dynamic[{
                    Automatic, 1.35 CurrentValue["FontCapHeight"]/
                    AbsoluteCurrentValue[Magnification]}]], 
                    StyleBox[
                    RowBox[{"RGBColor", "[", 
                    RowBox[{"0.880722`", ",", "0.611041`", ",", "0.142051`"}],
                     "]"}], NumberMarks -> False]], Appearance -> None, 
                    BaseStyle -> {}, BaselinePosition -> Baseline, 
                    DefaultBaseStyle -> {}, ButtonFunction :> 
                    With[{Typeset`box$ = EvaluationBox[]}, 
                    If[
                    Not[
                    AbsoluteCurrentValue["Deployed"]], 
                    SelectionMove[Typeset`box$, All, Expression]; 
                    FrontEnd`Private`$ColorSelectorInitialAlpha = 1; 
                    FrontEnd`Private`$ColorSelectorInitialColor = 
                    RGBColor[0.880722, 0.611041, 0.142051]; 
                    FrontEnd`Private`$ColorSelectorUseMakeBoxes = True; 
                    MathLink`CallFrontEnd[
                    FrontEnd`AttachCell[Typeset`box$, 
                    FrontEndResource["RGBColorValueSelector"], {
                    0, {Left, Bottom}}, {Left, Top}, 
                    "ClosingActions" -> {
                    "SelectionDeparture", "ParentChanged", 
                    "EvaluatorQuit"}]]]], BaseStyle -> Inherited, Evaluator -> 
                    Automatic, Method -> "Preemptive"], 
                    RGBColor[0.880722, 0.611041, 0.142051], Editable -> False,
                     Selectable -> False], ",", 
                   RowBox[{"AbsoluteThickness", "[", "1.6`", "]"}]}], "]"}]}],
              "}"}], ",", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], ",", 
           RowBox[{"LegendMarkers", "\[Rule]", "None"}], ",", 
           RowBox[{"LabelStyle", "\[Rule]", 
             RowBox[{"{", "}"}]}], ",", 
           RowBox[{"LegendLayout", "\[Rule]", "\"Column\""}]}], "]"}]& ), 
      Editable -> True], TraditionalForm], TraditionalForm]},
  "Legended",
  DisplayFunction->(GridBox[{{
      TagBox[
       ItemBox[
        PaneBox[
         TagBox[#, "SkipImageSizeLevel"], Alignment -> {Center, Baseline}, 
         BaselinePosition -> Baseline], DefaultBaseStyle -> "Labeled"], 
       "SkipImageSizeLevel"], 
      ItemBox[#2, DefaultBaseStyle -> "LabeledLabel"]}}, 
    GridBoxAlignment -> {"Columns" -> {{Center}}, "Rows" -> {{Center}}}, 
    AutoDelete -> False, GridBoxItemSize -> Automatic, 
    BaselinePosition -> {1, 1}]& ),
  Editable->True,
  InterpretationFunction->(RowBox[{"Legended", "[", 
     RowBox[{#, ",", 
       RowBox[{"Placed", "[", 
         RowBox[{#2, ",", "After"}], "]"}]}], "]"}]& )]], "Output",
 CellChangeTimes->{
  3.843719332867976*^9, {3.84371940304631*^9, 3.843719421383725*^9}, {
   3.843719502585821*^9, 3.843719536657538*^9}, 3.843816836167644*^9, 
   3.843817442953781*^9, 3.843817517273651*^9, 3.8438746633205833`*^9, {
   3.8438754743145123`*^9, 3.8438755035470543`*^9}, 3.843876047236991*^9, 
   3.843876532395295*^9, 3.843876782132635*^9, 3.843876910515571*^9, 
   3.844007892705475*^9, 3.844347524742124*^9, 3.844352368866482*^9, {
   3.844733738602933*^9, 3.844733759573638*^9}, 3.8447344270345907`*^9, 
   3.844734636892557*^9, 3.844738590827421*^9, 3.844742017558901*^9, 
   3.844742202323633*^9, 3.844820945938675*^9, 3.844858216898724*^9, {
   3.8448582510763483`*^9, 3.844858271193375*^9}, 3.8448643677118797`*^9, 
   3.844864472667501*^9, {3.844864506464657*^9, 3.844864523831451*^9}, 
   3.844865236073448*^9, 3.844865356338457*^9, 3.844865388490349*^9, {
   3.844865611639268*^9, 3.8448656320865507`*^9}, 3.844868447789588*^9, 
   3.844868913854965*^9, {3.844869322463627*^9, 3.8448693359560413`*^9}, 
   3.844869901509853*^9, 3.844870141270509*^9},
 CellLabel->"Out[61]=",ExpressionUUID->"3478cac9-0002-48cd-84f8-9fd51e10b890"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"traject", "=", 
  RowBox[{"ParametricPlot", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"xt", "[", "t", "]"}], ",", 
      RowBox[{"yt", "[", "t", "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
    RowBox[{"AxesOrigin", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0"}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"X", ",", "Y"}], "}"}]}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.843816839548003*^9, 3.843816852868846*^9}, {
   3.84381695910546*^9, 3.843816964625874*^9}, {3.8438170372968607`*^9, 
   3.843817040644693*^9}, {3.843817102281459*^9, 3.843817102484931*^9}, {
   3.8438173086924057`*^9, 3.8438173096686974`*^9}, {3.843817371057225*^9, 
   3.84381738958951*^9}, {3.843817435400429*^9, 3.843817439725212*^9}, {
   3.843874672689774*^9, 3.8438746736621637`*^9}, {3.843875517644739*^9, 
   3.843875537454399*^9}, 3.844007876042226*^9, {3.8448582923832283`*^9, 
   3.844858295168223*^9}, {3.844864451073824*^9, 3.8448644531274652`*^9}, {
   3.844864532635697*^9, 3.8448645335171623`*^9}, {3.8448664064887238`*^9, 
   3.8448664353858767`*^9}, {3.8448664774316053`*^9, 3.844866507866083*^9}, {
   3.844868924748331*^9, 3.8448689323472013`*^9}},
 CellLabel->"In[62]:=",ExpressionUUID->"1d1df491-7301-4b26-b5d2-3e6d21dd1d7d"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], FaceForm[Opacity[0.3]], LineBox[CompressedData["
1:eJwl23c81l8bB3CS9StkFBJRKBShzHQKkcpWVkpKmZGEjErRsCIpRRllZkeE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       "]]},
     Annotation[#, "Charting`Private`Tag$8891#1"]& ]}, {}},
  Axes->{True, True},
  AxesLabel->{
    FormBox["X", TraditionalForm], 
    FormBox["Y", TraditionalForm]},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{
   "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "ScalingFunctions" -> 
    None},
  PlotRange->{{0, 1.}, {0, 0.5533492542331077}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.05], 
     Scaled[0.05]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.843816999123507*^9, 3.843817102962921*^9, 3.84381731298001*^9, {
   3.843817372553947*^9, 3.8438173901544533`*^9}, 3.84381752244619*^9, {
   3.843875512322906*^9, 3.8438755380260878`*^9}, 3.843876056511417*^9, 
   3.8438765324577103`*^9, 3.843876782195138*^9, 3.843876910605206*^9, 
   3.844007892762472*^9, 3.844347524817181*^9, 3.844352368924193*^9, {
   3.844733738707683*^9, 3.84473375962453*^9}, 3.8447344270975*^9, 
   3.844734636972275*^9, 3.844738590910164*^9, 3.844742017615994*^9, 
   3.844742202387536*^9, 3.844820946000475*^9, 3.844858216958701*^9, 
   3.844858296244053*^9, 3.844864367770157*^9, 3.844864534157497*^9, 
   3.8448653034919977`*^9, 3.8448656416221733`*^9, {3.844866408674172*^9, 
   3.844866437859108*^9}, 3.844866479036828*^9, 3.844866509185546*^9, 
   3.844868447857074*^9, 3.844868933091498*^9, 3.844869901598918*^9, 
   3.84487014346354*^9},
 CellLabel->"Out[62]=",ExpressionUUID->"2c227e82-62a1-42ce-a651-37478afffe28"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"null", ",", "vect", ",", "traject", ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
      RowBox[{"Point", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}], "/.", "steady"}], "]"}]}], "}"}]}]}],
   "]"}]], "Input",
 CellChangeTimes->{{3.843719437244361*^9, 3.8437194466346188`*^9}, {
   3.8437195770094223`*^9, 3.843719707781052*^9}, {3.843875558369369*^9, 
   3.843875562799529*^9}, {3.843876086779413*^9, 3.843876087164549*^9}, 
   3.8440078577602167`*^9, {3.8448701473149557`*^9, 3.844870148260941*^9}},
 CellLabel->"In[63]:=",ExpressionUUID->"8fd24b43-fa24-4713-bf80-e2c07f21b211"],

Cell[BoxData[
 GraphicsBox[{{GraphicsComplexBox[CompressedData["
1:eJxMXAk4VG0bPiSVCm2yVxJKSaIUnYdIvjYiJVJIpVIholJR9iSkIpQka/Zk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     "], {{}, {}, 
      TagBox[
       TooltipBox[
        {RGBColor[1, 0, 0], AbsoluteThickness[1.6], 
         LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
          18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 
          35, 36}], LineBox[CompressedData["
1:eJwl2EMUIIqOQMH+bdu2bdu2bdu2bdu2bdu2bffUO7Ook112N4skaNiuYtv/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          "]]},
        RowBox[{
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{"1", "-", 
                  TagBox["x", HoldForm]}], ")"}], " ", 
              TagBox["x", HoldForm]}], "-", 
            RowBox[{
              TagBox["x", HoldForm], " ", 
              TagBox["y", HoldForm]}]}], "\[Equal]", "0"}]],
       Annotation[#, (1 - HoldForm[$CellContext`x]) HoldForm[$CellContext`x] - 
         HoldForm[$CellContext`x] HoldForm[$CellContext`y] == 0, 
        "Tooltip"]& ], 
      TagBox[
       TooltipBox[
        {RGBColor[0, 0, 1], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJwNxFVgFQQAAMBHjFS6FKW7QSmRLunuHrHBmm5Gd0l3dxp0d5ekEgooDSoK
Sin3cZc1OKphZJxAIJBbLYMCgVa0pg1taUd7OhBMRzrRmS6EEEpXuhFGOBFE
EkU0MXSnBz3pRW/60Jd+9GcAAxnEYIYQy1CGMZwRjGQUoxnDWMYxnglMZBKT
mcJUvmYa05nBTGYxmznMZR7zWcBCFrGYJSxlGctZwUpWsZo1rGUd69nARjax
mW/4lu/4ni1sZRvb2cFOdrGbPexlH/s5wEEOcZgjHOUYxznBSU5xmjOc5Rzn
ucAPXOQSl7nCVa7xIz9xnRvc5BY/8wu3ucNdfuU37nGfBzzkEY95wlOe8Tt/
8CfP+Yu/ecFL/uFfXvGaN7zlHf/xP4EEgUAc4hKP+ASRgIQkIjFJSMoHfEgy
kpOClKQiNWlISzrSk4GP+JiMfMKnZCIzWchKNrKTg5zkIjd5yEs+8lOAghSi
MEUoSjE+43OKU4KSlKI0X1CGLylLOcpTgYpUojJVqEo1qvMVNahJLWpTh7rU
oz4NaEgjGtOEpjSjOS1oSSta04a2tKM9HQimI53oTBdCCKUr3QgjnAgiiSKa
GLrTg570ojd96Es/+jOAgQxiMEOI5T2CyJg7
          "]], LineBox[CompressedData["
1:eJwN02MDFQYAAMC3bC3bLXPZtrZsc9m2bdu2bdu2bbf7cD/hEtVvXbHVH4FA
YEDQQKBviECgH/0ZwEAGMZghDGUYwxnBSEYxmjGMZRzjmcBEJjGZKUxlGtOZ
wUxmMZs5zGUe81nAQhaxmCUsZRnLWcFKVrGaNaxlHevZwEY2sZktbGUb29nB
Tnaxmz3sZR/7OcBBDnGYIxzlGMc5wUlOcZoznOUc57nARS5xmStc5RrXucFN
bnGbO9zlHvd5wEMe8ZgnPOUZz3nBS17xmje85R3v+cBHPvGZL3zlG9/5wU9+
8ZtAyEDgD4IQlGAEJwQhCUVowhCWcIQnAhGJRGSi8CdRiUZ0YhCTWMQmDnGJ
R3wSkJBEJCYJSUlGclLwFylJRWrSkJZ0pCcDGclEZrLwN1nJRnZykJNc5CYP
eclHfgpQkEIUpghFKUZxSlCSUpSmDGUpR3kqUJF/+JdKVKYKValGdWpQk1rU
pg51qUd9GtCQRjSmCU1pRnNa0JL/aEVr2tCWdrSnAx3pRGe60JVudKcHPelF
b/rQl370ZwADGcRghjCUYQxnBCMZxWjGMJZxjGcCE5nEZKYwlWlMZwYzmcVs
5jCXecxnAQtZxGKWsJRlLGcFK1nFatawlnWsZwMb2cRmtrCVbWxnBzvZxW72
sJd97OcABznEYY5wlGMc5wQnOcVpznCWc5znAhe5xGWucJVrXOcGN7nFbe5w
l3vc5wEPecRjnvCUZzznBS95xWve8JZ3vOcDH/nEZ77wlW985wc/+cVvAqH8
JwhBCUZwQhCSUIQmDGEJR3giEJFIRCYKfxKVaEQnBjGJRWziEJd4xCcBCUlE
YpKQlGQkJwV/kZJUpCYNaUlHejKQkUxkJgt/k5VsZCcHOclFbvKQl3zkpwAF
KURhilCUYhSnBCUpRWnKUJZylKcCFfmHf6lEZapQlWpUpwY1qUVt6lCXetSn
AQ1pRGOa0JRmNKcFLfmPVrSmDW1pR3s60JFOdKYLXelGd3rQk170pg996Ud/
BjCQQQxmCEMZxnBGMJJRjGYMYxnHeCYwkUlMZgpTmcZ0ZjCTWcxmDnOZx3wW
sJBFLGYJS1nGclawklWsZg1rWcd6NrCRTWxmC1vZxnZ2sJNd7GYPe9nHfg5w
kEMc5ghHOcZxTnCSU5zmDGc5x3kucJFLXOYKV7nGdW5wk1vc5g53ucd9HvCQ
RzzmCU95xnNe8JJXvOYNb3nHez7wkU985gtf+cZ3fvCTX/wmENp/ghCUYAQn
BCEJRWjCEJZwhCcCEYlEZKLwJ1GJRnRiEJNYxCYOcYlHfBKQkEQkJglJSUZy
UvAXKUlFatKQlnSkJwMZyURmsvA3WclGdnKQk1zkJg95yUd+ClCQQhSmCEUp
RnFKUJJSlKYMZSlHeSpQkX/4l0pUpgpVqUZ1alCTWtSmDnWpR30a0JBGNKYJ
TWlGc1rQkv9oRWva0JZ2tKcDHelEZ7rQlW50pwc96UVv+tCXfvRnAAMZxGCG
MJRhDGcEIxnFaMYwlnGMZwITmcRkpjCVaUxnBjOZxWzmMJd5zGcBC1nEYpaw
lGUsZwUrWcVq1rCWdaxnAxvZxGa2sJVtbGcHO9nFbvawl33s5wAHOcRhjnCU
YxznBCc5xWnOcJZznOcCF7nEZa5wlWtc5wY3ucVt7nCXe9znAQ95xGOe8JRn
POcFL3nFa97wlne85wMf+cRnvvCVb3znBz/5xW8CYfwnCEEJxv9LAvtA
          "]]},
        RowBox[{
          RowBox[{
            RowBox[{
              RowBox[{"-", "0.5`"}], " ", 
              TagBox["y", HoldForm]}], "+", 
            RowBox[{
              TagBox["x", HoldForm], " ", 
              TagBox["y", HoldForm]}]}], "\[Equal]", "0"}]],
       Annotation[#, (-0.5) HoldForm[$CellContext`y] + 
         HoldForm[$CellContext`x] HoldForm[$CellContext`y] == 0, 
        "Tooltip"]& ]}], {}}, {{}, 
    {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], 
     {Arrowheads[{{0.001465381122509492, 1.}}], 
      ArrowBox[{{0., 0.07304197839804509}, {0., 0.06981516445909776}}]}, 
     {Arrowheads[{{0.002930762245018984, 1.}}], 
      ArrowBox[{{0., 0.14608395679609018`}, {0., 0.13963032891819552`}}]}, 
     {Arrowheads[{{0.0043961433675284755`, 1.}}], 
      ArrowBox[{{0., 0.21912593519413526`}, {0., 0.20944549337729326`}}]}, 
     {Arrowheads[{{0.005861524490037968, 1.}}], 
      ArrowBox[{{0., 0.29216791359218036`}, {0., 0.27926065783639104`}}]}, 
     {Arrowheads[{{0.007326905612547447, 1.}}], 
      ArrowBox[{{0., 0.3652098919902254}, {0., 0.3490758222954888}}]}, 
     {Arrowheads[{{0.008792286735056951, 1.}}], 
      ArrowBox[{{0., 0.43825187038827046`}, {0., 0.41889098675458647`}}]}, 
     {Arrowheads[{{0.010257667857566431`, 1.}}], 
      ArrowBox[{{0., 0.5112938487863156}, {0., 0.48870615121368427`}}]}, 
     {Arrowheads[{{0.011723048980075935`, 1.}}], 
      ArrowBox[{{0., 0.5843358271843606}, {0., 0.558521315672782}}]}, 
     {Arrowheads[{{0.013188430102585413`, 1.}}], 
      ArrowBox[{{0., 0.6573778055824057}, {0., 0.6283364801318797}}]}, 
     {Arrowheads[{{0.014653811225094893`, 1.}}], 
      ArrowBox[{{0., 0.7304197839804507}, {0., 0.6981516445909774}}]}, 
     {Arrowheads[{{0.016119192347604373`, 1.}}], 
      ArrowBox[{{0., 0.8034617623784958}, {0., 0.7679668090500752}}]}, 
     {Arrowheads[{{0.017584573470113902`, 1.}}], 
      ArrowBox[{{0., 0.8765037407765408}, {0., 0.8377819735091728}}]}, 
     {Arrowheads[{{0.019049954592623382`, 1.}}], 
      ArrowBox[{{0., 0.9495457191745859}, {0., 0.9075971379682706}}]}, 
     {Arrowheads[{{0.02051533571513281, 1.}}], 
      ArrowBox[{{0., 1.022587697572631}, {0., 0.9774123024273684}}]}, 
     {Arrowheads[{{0.0027214220846604794`, 1.}}], 
      ArrowBox[{{0.06843224419954891, 0.}, {0.07442489865759394, 0.}}]}, 
     {Arrowheads[{{0.0028085929738938574`, 1.}}], 
      ArrowBox[{{0.06866273090947371, 0.07281149168812028}, {
       0.07419441194766913, 0.07004565116902256}}]}, 
     {Arrowheads[{{0.003407810914034745, 1.}}], 
      ArrowBox[{{0.06889321761939853, 0.14562298337624055`}, {
       0.07396392523774432, 0.14009130233804512`}}]}, 
     {Arrowheads[{{0.004310577729412021, 1.}}], 
      ArrowBox[{{0.06912370432932333, 0.21843447506436084`}, {
       0.07373343852781951, 0.2101369535070677}}]}, 
     {Arrowheads[{{0.0053658093424451625`, 1.}}], 
      ArrowBox[{{0.06935419103924814, 0.2912459667524811}, {
       0.07350295181789471, 0.28018260467609024`}}]}, 
     {Arrowheads[{{0.006499666440696832, 1.}}], 
      ArrowBox[{{0.06958467774917296, 0.3640574584406014}, {
       0.0732724651079699, 0.35022825584511286`}}]}, 
     {Arrowheads[{{0.007677391626317494, 1.}}], 
      ArrowBox[{{0.06981516445909776, 0.4368689501287216}, {
       0.07304197839804509, 0.42027390701413536`}}]}, 
     {Arrowheads[{{0.008881550817850453, 1.}}], 
      ArrowBox[{{0.07004565116902257, 0.5096804418168419}, {
       0.07281149168812029, 0.49031955818315787`}}]}, 
     {Arrowheads[{{0.010102696277675058`, 1.}}], 
      ArrowBox[{{0.07027613787894738, 0.5824919335049621}, {
       0.07258100497819547, 0.5603652093521804}}]}, 
     {Arrowheads[{{0.011335339590436587`, 1.}}], 
      ArrowBox[{{0.07050662458887219, 0.6553034251930824}, {
       0.07235051826827067, 0.630410860521203}}]}, 
     {Arrowheads[{{0.012576100332963665`, 1.}}], 
      ArrowBox[{{0.07073711129879699, 0.7281149168812027}, {
       0.07212003155834584, 0.7004565116902256}}]}, 
     {Arrowheads[{{0.013822792769252532`, 1.}}], 
      ArrowBox[{{0.07096759800872181, 0.8009264085693228}, {
       0.07188954484842104, 0.770502162859248}}]}, 
     {Arrowheads[{{0.015073945226824668`, 1.}}], 
      ArrowBox[{{0.07119808471864661, 0.8737379002574431}, {
       0.07165905813849623, 0.8405478140282706}}]}, 
     {Arrowheads[{{0.016328532507962876`, 1.}}], 
      ArrowBox[{{0.07142857142857142, 0.9465493919455634}, {
       0.07142857142857142, 0.9105934651972932}}]}, 
     {Arrowheads[{{0.017585819498350724`, 1.}}], 
      ArrowBox[{{0.07165905813849623, 1.0193608836336836`}, {
       0.07119808471864661, 0.9806391163663156}}]}, 
     {Arrowheads[{{0.005024163848603963, 1.}}], 
      ArrowBox[{{0.13732546181894742`, 0.}, {0.14838882389533825`, 0.}}]}, 
     {Arrowheads[{{0.004722929291669655, 1.}}], 
      ArrowBox[{{0.13778643523879705`, 0.07258100497819547}, {
       0.14792785047548865`, 0.07027613787894738}}]}, 
     {Arrowheads[{{0.004680988289823098, 1.}}], 
      ArrowBox[{{0.13824740865864665`, 0.14516200995639095`}, {
       0.14746687705563902`, 0.14055227575789475`}}]}, 
     {Arrowheads[{{0.00490499675878263, 1.}}], 
      ArrowBox[{{0.13870838207849628`, 0.21774301493458642`}, {
       0.14700590363578941`, 0.21082841363684215`}}]}, 
     {Arrowheads[{{0.0053617242186383375`, 1.}}], 
      ArrowBox[{{0.13916935549834591`, 0.2903240199127819}, {
       0.1465449302159398, 0.2811045515157895}}]}, 
     {Arrowheads[{{0.005998244038771246, 1.}}], 
      ArrowBox[{{0.13963032891819552`, 0.3629050248909773}, {
       0.14608395679609018`, 0.3513806893947369}}]}, 
     {Arrowheads[{{0.006763987585694876, 1.}}], 
      ArrowBox[{{0.14009130233804515`, 0.4354860298691728}, {
       0.14562298337624058`, 0.42165682727368425`}}]}, 
     {Arrowheads[{{0.007620096858247398, 1.}}], 
      ArrowBox[{{0.14055227575789475`, 0.5080670348473683}, {
       0.14516200995639095`, 0.4919329651526316}}]}, 
     {Arrowheads[{{0.008539436501173042, 1.}}], 
      ArrowBox[{{0.14101324917774438`, 0.5806480398255637}, {
       0.14470103653654134`, 0.5622091030315789}}]}, 
     {Arrowheads[{{0.009503674391777007, 1.}}], 
      ArrowBox[{{0.14147422259759398`, 0.6532290448037591}, {
       0.14424006311669169`, 0.6324852409105263}}]}, 
     {Arrowheads[{{0.010500449023309768`, 1.}}], 
      ArrowBox[{{0.14193519601744362`, 0.7258100497819545}, {
       0.14377908969684208`, 0.7027613787894736}}]}, 
     {Arrowheads[{{0.011521318674361656`, 1.}}], 
      ArrowBox[{{0.14239616943729322`, 0.7983910547601499}, {
       0.14331811627699245`, 0.7730375166684209}}]}, 
     {Arrowheads[{{0.0125604096215099, 1.}}], 
      ArrowBox[{{0.14285714285714285`, 0.8709720597383455}, {
       0.14285714285714285`, 0.8433136545473684}}]}, 
     {Arrowheads[{{0.013613550135174186`, 1.}}], 
      ArrowBox[{{0.14331811627699245`, 0.9435530647165409}, {
       0.14239616943729322`, 0.9135897924263157}}]}, 
     {Arrowheads[{{0.01467771631639404, 1.}}], 
      ArrowBox[{{0.14377908969684208`, 1.0161340696947363`}, {
       0.14193519601744362`, 0.983865930305263}}]}, 
     {Arrowheads[{{0.006908225291830451, 1.}}], 
      ArrowBox[{{0.20667965285819556`, 0.}, {0.22189177571323296`, 0.}}]}, 
     {Arrowheads[{{0.0063357829278513425`, 1.}}], 
      ArrowBox[{{0.20737111298797, 0.07235051826827066}, {
       0.22120031558345857`, 0.07050662458887219}}]}, 
     {Arrowheads[{{0.0058950724399251505`, 1.}}], 
      ArrowBox[{{0.20806257311774443`, 0.14470103653654132`}, {
       0.22050885545368412`, 0.14101324917774438`}}]}, 
     {Arrowheads[{{0.005617185947787715, 1.}}], 
      ArrowBox[{{0.20875403324751884`, 0.21705155480481197`}, {
       0.21981739532390968`, 0.21151987376661655`}}]}, 
     {Arrowheads[{{0.005526738822219532, 1.}}], 
      ArrowBox[{{0.2094454933772933, 0.28940207307308263`}, {
       0.21912593519413529`, 0.28202649835548876`}}]}, 
     {Arrowheads[{{0.0056327676308347355`, 1.}}], 
      ArrowBox[{{0.2101369535070677, 0.3617525913413533}, {
       0.21843447506436084`, 0.3525331229443609}}]}, 
     {Arrowheads[{{0.005924733369011345, 1.}}], 
      ArrowBox[{{0.21082841363684213`, 0.4341031096096239}, {
       0.2177430149345864, 0.42303974753323303`}}]}, 
     {Arrowheads[{{0.0063771486529419505`, 1.}}], 
      ArrowBox[{{0.21151987376661657`, 0.5064536278778945}, {
       0.217051554804812, 0.4935463721221052}}]}, 
     {Arrowheads[{{0.006958789372190282, 1.}}], 
      ArrowBox[{{0.212211333896391, 0.5788041461461652}, {
       0.21636009467503756`, 0.5640529967109774}}]}, 
     {Arrowheads[{{0.007640198901091776, 1.}}], 
      ArrowBox[{{0.2129027940261654, 0.6511546644144358}, {0.2156686345452631,
        0.6345596212998496}}]}, 
     {Arrowheads[{{0.00839712415693169, 1.}}], 
      ArrowBox[{{0.21359425415593986`, 0.7235051826827065}, {
       0.21497717441548872`, 0.7050662458887217}}]}, 
     {Arrowheads[{{0.009210967055773935, 1.}}], 
      ArrowBox[{{0.21428571428571427`, 0.7958557009509771}, {
       0.21428571428571427`, 0.7755728704775939}}]}, 
     {Arrowheads[{{0.010067934208919261`, 1.}}], 
      ArrowBox[{{0.2149771744154887, 0.8682062192192477}, {
       0.21359425415593986`, 0.846079495066466}}]}, 
     {Arrowheads[{{0.010957912643594392`, 1.}}], 
      ArrowBox[{{0.21566863454526314`, 0.9405567374875183}, {
       0.21290279402616544`, 0.9165861196553382}}]}, 
     {Arrowheads[{{0.011873481583390445`, 1.}}], 
      ArrowBox[{{0.21636009467503756`, 1.012907255755789}, {0.212211333896391,
        0.9870927442442103}}]}, 
     {Arrowheads[{{0.008373606414339943, 1.}}], 
      ArrowBox[{{0.2764948173172933, 0.}, {0.29493375411127803`, 0.}}]}, 
     {Arrowheads[{{0.007562368020289221, 1.}}], 
      ArrowBox[{{0.27741676415699257`, 0.07212003155834586}, {
       0.29401180727157883`, 0.070737111298797}}]}, 
     {Arrowheads[{{0.006815621828069488, 1.}}], 
      ArrowBox[{{0.27833871099669183`, 0.1442400631166917}, {
       0.2930898604318796, 0.141474222597594}}]}, 
     {Arrowheads[{{0.006156878825278887, 1.}}], 
      ArrowBox[{{0.27926065783639104`, 0.21636009467503756`}, {
       0.29216791359218036`, 0.212211333896391}}]}, 
     {Arrowheads[{{0.005617185947787719, 1.}}], 
      ArrowBox[{{0.2801826046760903, 0.2884801262333834}, {
       0.29124596675248116`, 0.282948445195188}}]}, 
     {Arrowheads[{{0.00523350400896248, 1.}}], 
      ArrowBox[{{0.2811045515157895, 0.3606001577917292}, {0.2903240199127819,
        0.3536855564939849}}]}, 
     {Arrowheads[{{0.005041578680192806, 1.}}], 
      ArrowBox[{{0.28202649835548876`, 0.43272018935007506`}, {
       0.28940207307308263`, 0.4244226677927819}}]}, 
     {Arrowheads[{{0.005063262989641066, 1.}}], 
      ArrowBox[{{0.28294844519518797`, 0.5048402209084208}, {
       0.28848012623338337`, 0.49515977909157893`}}]}, 
     {Arrowheads[{{0.005295933699821953, 1.}}], 
      ArrowBox[{{0.28387039203488723`, 0.5769602524667667}, {
       0.28755817939368417`, 0.5658968903903759}}]}, 
     {Arrowheads[{{0.005713874389632382, 1.}}], 
      ArrowBox[{{0.28479233887458644`, 0.6490802840251125}, {
       0.2866362325539849, 0.6366340016891728}}]}, 
     {Arrowheads[{{0.0062802048107549755`, 1.}}], 
      ArrowBox[{{0.2857142857142857, 0.7212003155834583}, {0.2857142857142857,
        0.7073711129879697}}]}, 
     {Arrowheads[{{0.006958789372190286, 1.}}], 
      ArrowBox[{{0.2866362325539849, 0.7933203471418042}, {
       0.28479233887458644`, 0.7781082242867668}}]}, 
     {Arrowheads[{{0.0077200836604879985`, 1.}}], 
      ArrowBox[{{0.28755817939368417`, 0.86544037870015}, {
       0.28387039203488723`, 0.8488453355855637}}]}, 
     {Arrowheads[{{0.008542002052230217, 1.}}], 
      ArrowBox[{{0.2884801262333834, 0.9375604102584958}, {0.282948445195188, 
       0.9195824468843606}}]}, 
     {Arrowheads[{{0.009408670019329083, 1.}}], 
      ArrowBox[{{0.28940207307308263`, 1.0096804418168417`}, {
       0.28202649835548876`, 0.9903195581831578}}]}, 
     {Arrowheads[{{0.009420307216132438, 1.}}], 
      ArrowBox[{{0.3467709551962407, 0.}, {0.3675147590894735, 0.}}]}, 
     {Arrowheads[{{0.008384066888642452, 1.}}], 
      ArrowBox[{{0.3479233887458647, 0.07188954484842104}, {
       0.36636232553984943`, 0.07096759800872181}}]}, 
     {Arrowheads[{{0.007374599561942466, 1.}}], 
      ArrowBox[{{0.3490758222954888, 0.14377908969684208`}, {
       0.3652098919902254, 0.14193519601744362`}}]}, 
     {Arrowheads[{{0.006404577375879754, 1.}}], 
      ArrowBox[{{0.3502282558451128, 0.21566863454526314`}, {
       0.36405745844060133`, 0.21290279402616544`}}]}, 
     {Arrowheads[{{0.005494929989282582, 1.}}], 
      ArrowBox[{{0.3513806893947369, 0.28755817939368417`}, {
       0.3629050248909773, 0.28387039203488723`}}]}, 
     {Arrowheads[{{0.00468098828982311, 1.}}], 
      ArrowBox[{{0.3525331229443609, 0.3594477242421052}, {0.3617525913413533,
        0.354837990043609}}]}, 
     {Arrowheads[{{0.004021293163978746, 1.}}], 
      ArrowBox[{{0.353685556493985, 0.4313372690905262}, {
       0.36060015779172927`, 0.4258055880523308}}]}, 
     {Arrowheads[{{0.0036016243017173415`, 1.}}], 
      ArrowBox[{{0.354837990043609, 0.5032268139389472}, {0.3594477242421052, 
       0.49677318606105253`}}]}, 
     {Arrowheads[{{0.0035091805410433063`, 1.}}], 
      ArrowBox[{{0.3559904235932331, 0.5751163587873682}, {
       0.35829529069248117`, 0.5677407840697744}}]}, 
     {Arrowheads[{{0.0037681228864529753`, 1.}}], 
      ArrowBox[{{0.3571428571428571, 0.6470059036357892}, {0.3571428571428571,
        0.6387083820784961}}]}, 
     {Arrowheads[{{0.004315657964209156, 1.}}], 
      ArrowBox[{{0.3582952906924811, 0.7188954484842103}, {0.355990423593233, 
       0.7096759800872179}}]}, 
     {Arrowheads[{{0.005058933563462821, 1.}}], 
      ArrowBox[{{0.3594477242421052, 0.7907849933326313}, {0.354837990043609, 
       0.7806435780959396}}]}, 
     {Arrowheads[{{0.005924733369011316, 1.}}], 
      ArrowBox[{{0.3606001577917292, 0.8626745381810523}, {0.353685556493985, 
       0.8516111761046615}}]}, 
     {Arrowheads[{{0.006866867826533419, 1.}}], 
      ArrowBox[{{0.3617525913413533, 0.9345640830294734}, {
       0.35253312294436095`, 0.9225787741133833}}]}, 
     {Arrowheads[{{0.007857928070372083, 1.}}], 
      ArrowBox[{{0.3629050248909773, 1.0064536278778944`}, {
       0.3513806893947369, 0.993546372122105}}]}, 
     {Arrowheads[{{0.010048327697207926`, 1.}}], 
      ArrowBox[{{0.41750806649503763`, 0.}, {0.4396347906478193, 0.}}]}, 
     {Arrowheads[{{0.00879477852672808, 1.}}], 
      ArrowBox[{{0.4188909867545865, 0.07165905813849624}, {
       0.4382518703882705, 0.07119808471864662}}]}, 
     {Arrowheads[{{0.007547866821864208, 1.}}], 
      ArrowBox[{{0.42027390701413536`, 0.14331811627699248`}, {
       0.4368689501287216, 0.14239616943729325`}}]}, 
     {Arrowheads[{{0.006311527722325232, 1.}}], 
      ArrowBox[{{0.4216568272736842, 0.2149771744154887}, {
       0.43548602986917273`, 0.21359425415593983`}}]}, 
     {Arrowheads[{{0.005093465934061192, 1.}}], 
      ArrowBox[{{0.4230397475332331, 0.28663623255398496`}, {
       0.43410310960962395`, 0.2847923388745865}}]}, 
     {Arrowheads[{{0.0039107969336036556`, 1.}}], 
      ArrowBox[{{0.4244226677927819, 0.3582952906924811}, {
       0.43272018935007506`, 0.355990423593233}}]}, 
     {Arrowheads[{{0.0028085929738938544`, 1.}}], 
      ArrowBox[{{0.42580558805233076`, 0.42995434883097733`}, {
       0.43133726909052617`, 0.4271885083118796}}]}, 
     {Arrowheads[{{0.0019300209151220167`, 1.}}], 
      ArrowBox[{{0.42718850831187966`, 0.5016134069694735}, {
       0.4299543488309774, 0.4983865930305262}}]}, 
     {Arrowheads[{{0.0016747212828679835`, 1.}}], 
      ArrowBox[{{0.4285714285714285, 0.5732724651079698}, {0.4285714285714285,
        0.5695846777491729}}]}, 
     {Arrowheads[{{0.002264360046559253, 1.}}], 
      ArrowBox[{{0.42995434883097733`, 0.644931523246466}, {
       0.42718850831187966`, 0.6407827624678194}}]}, 
     {Arrowheads[{{0.0032699978391884195`, 1.}}], 
      ArrowBox[{{0.4313372690905262, 0.7165905813849621}, {0.4258055880523308,
        0.7119808471864659}}]}, 
     {Arrowheads[{{0.004416035520556906, 1.}}], 
      ArrowBox[{{0.43272018935007506`, 0.7882496395234584}, {
       0.4244226677927819, 0.7831789319051126}}]}, 
     {Arrowheads[{{0.005617185947787709, 1.}}], 
      ArrowBox[{{0.4341031096096239, 0.8599086976619545}, {0.4230397475332331,
        0.8543770166237591}}]}, 
     {Arrowheads[{{0.0068444949140099125`, 1.}}], 
      ArrowBox[{{0.43548602986917273`, 0.9315677558004508}, {
       0.4216568272736842, 0.9255751013424057}}]}, 
     {Arrowheads[{{0.008086060084272931, 1.}}], 
      ArrowBox[{{0.4368689501287216, 1.003226813938947}, {
       0.42027390701413536`, 0.9967731860610523}}]}, 
     {Arrowheads[{{0.010257667857566455`, 1.}}], 
      ArrowBox[{{0.4887061512136842, 0.}, {0.5112938487863156, 0.}}]}, 
     {Arrowheads[{{0.0087922867350569, 1.}}], 
      ArrowBox[{{0.4903195581831579, 0.07142857142857142}, {
       0.5096804418168418, 0.07142857142857142}}]}, 
     {Arrowheads[{{0.0073269056125474215`, 1.}}], 
      ArrowBox[{{0.4919329651526316, 0.14285714285714285`}, {
       0.5080670348473681, 0.14285714285714285`}}]}, 
     {Arrowheads[{{0.005861524490037993, 1.}}], 
      ArrowBox[{{0.4935463721221052, 0.21428571428571427`}, {
       0.5064536278778946, 0.21428571428571427`}}]}, 
     {Arrowheads[{{0.004396143367528514, 1.}}], 
      ArrowBox[{{0.4951597790915789, 0.2857142857142857}, {0.504840220908421, 
       0.2857142857142857}}]}, 
     {Arrowheads[{{0.0029307622450189586`, 1.}}], 
      ArrowBox[{{0.4967731860610526, 0.3571428571428571}, {0.5032268139389472,
        0.3571428571428571}}]}, 
     {Arrowheads[{{0.0014653811225094793`, 1.}}], 
      ArrowBox[{{0.49838659303052624`, 0.4285714285714285}, {
       0.5016134069694735, 0.4285714285714285}}]}, 
     {Arrowheads[{{0.0014653811225094793`, 1.}}], 
      ArrowBox[{{0.5016134069694735, 0.5714285714285713}, {
       0.49838659303052624`, 0.5714285714285713}}]}, 
     {Arrowheads[{{0.002930762245018984, 1.}}], 
      ArrowBox[{{0.5032268139389472, 0.6428571428571427}, {
       0.49677318606105253`, 0.6428571428571427}}]}, 
     {Arrowheads[{{0.004396143367528437, 1.}}], 
      ArrowBox[{{0.5048402209084208, 0.7142857142857141}, {
       0.49515977909157893`, 0.7142857142857141}}]}, 
     {Arrowheads[{{0.005861524490037917, 1.}}], 
      ArrowBox[{{0.5064536278778945, 0.7857142857142855}, {0.4935463721221053,
        0.7857142857142855}}]}, 
     {Arrowheads[{{0.0073269056125474215`, 1.}}], 
      ArrowBox[{{0.5080670348473681, 0.8571428571428569}, {0.4919329651526316,
        0.8571428571428569}}]}, 
     {Arrowheads[{{0.008792286735056951, 1.}}], 
      ArrowBox[{{0.5096804418168419, 0.9285714285714283}, {0.4903195581831579,
        0.9285714285714283}}]}, 
     {Arrowheads[{{0.010257667857566455`, 1.}}], 
      ArrowBox[{{0.5112938487863156, 0.9999999999999997}, {0.4887061512136842,
        0.9999999999999997}}]}, 
     {Arrowheads[{{0.01004832769720795, 1.}}], 
      ArrowBox[{{0.5603652093521805, 0.}, {0.5824919335049622, 0.}}]}, 
     {Arrowheads[{{0.008376222757604669, 1.}}], 
      ArrowBox[{{0.5622091030315789, 0.07119808471864661}, {
       0.5806480398255637, 0.07165905813849623}}]}, 
     {Arrowheads[{{0.006711956139279525, 1.}}], 
      ArrowBox[{{0.5640529967109774, 0.14239616943729322`}, {
       0.5788041461461653, 0.14331811627699245`}}]}, 
     {Arrowheads[{{0.005063262989641083, 1.}}], 
      ArrowBox[{{0.5658968903903758, 0.21359425415593986`}, {
       0.5769602524667666, 0.21497717441548872`}}]}, 
     {Arrowheads[{{0.003452526371367304, 1.}}], 
      ArrowBox[{{0.5677407840697744, 0.28479233887458644`}, {
       0.5751163587873682, 0.2866362325539849}}]}, 
     {Arrowheads[{{0.0019749111230037766`, 1.}}], 
      ArrowBox[{{0.5695846777491728, 0.3559904235932331}, {0.5732724651079697,
        0.35829529069248117`}}]}, 
     {Arrowheads[{{0.0012560409621510003`, 1.}}], 
      ArrowBox[{{0.5714285714285713, 0.42718850831187966`}, {
       0.5714285714285713, 0.4299543488309774}}]}, 
     {Arrowheads[{{0.0022253164290720827`, 1.}}], 
      ArrowBox[{{0.5732724651079697, 0.49838659303052624`}, {
       0.5695846777491728, 0.5016134069694735}}]}, 
     {Arrowheads[{{0.0037447906318584653`, 1.}}], 
      ArrowBox[{{0.5751163587873682, 0.5695846777491728}, {0.5677407840697744,
        0.5732724651079697}}]}, 
     {Arrowheads[{{0.005365809342445138, 1.}}], 
      ArrowBox[{{0.5769602524667667, 0.6407827624678194}, {0.5658968903903759,
        0.644931523246466}}]}, 
     {Arrowheads[{{0.0070183610820866126`, 1.}}], 
      ArrowBox[{{0.5788041461461652, 0.711980847186466}, {0.5640529967109774, 
       0.7165905813849622}}]}, 
     {Arrowheads[{{0.008684463369355888, 1.}}], 
      ArrowBox[{{0.5806480398255637, 0.7831789319051126}, {0.562209103031579, 
       0.7882496395234584}}]}, 
     {Arrowheads[{{0.010357579114101918`, 1.}}], 
      ArrowBox[{{0.5824919335049621, 0.8543770166237592}, {0.5603652093521805,
        0.8599086976619547}}]}, 
     {Arrowheads[{{0.01203478356897771, 1.}}], 
      ArrowBox[{{0.5843358271843606, 0.9255751013424057}, {0.5585213156727821,
        0.9315677558004507}}]}, 
     {Arrowheads[{{0.013714576747222394`, 1.}}], 
      ArrowBox[{{0.586179720863759, 0.9967731860610524}, {0.5566774219933834, 
       1.003226813938947}}]}, 
     {Arrowheads[{{0.009420307216132438, 1.}}], 
      ArrowBox[{{0.6324852409105263, 0.}, {0.6532290448037591, 0.}}]}, 
     {Arrowheads[{{0.007547866821864208, 1.}}], 
      ArrowBox[{{0.6345596212998496, 0.07096759800872181}, {
       0.6511546644144358, 0.07188954484842104}}]}, 
     {Arrowheads[{{0.005713874389632382, 1.}}], 
      ArrowBox[{{0.6366340016891728, 0.14193519601744362`}, {
       0.6490802840251125, 0.14377908969684208`}}]}, 
     {Arrowheads[{{0.003971950274866477, 1.}}], 
      ArrowBox[{{0.6387083820784961, 0.2129027940261654}, {0.6470059036357892,
        0.2156686345452631}}]}, 
     {Arrowheads[{{0.002520789340096403, 1.}}], 
      ArrowBox[{{0.6407827624678194, 0.28387039203488723`}, {
       0.644931523246466, 0.28755817939368417`}}]}, 
     {Arrowheads[{{0.002093401603584992, 1.}}], 
      ArrowBox[{{0.6428571428571427, 0.354837990043609}, {0.6428571428571427, 
       0.3594477242421052}}]}, 
     {Arrowheads[{{0.0031401024053774726`, 1.}}], 
      ArrowBox[{{0.644931523246466, 0.42580558805233076`}, {
       0.6407827624678194, 0.43133726909052617`}}]}, 
     {Arrowheads[{{0.004773690126541444, 1.}}], 
      ArrowBox[{{0.6470059036357892, 0.4967731860610526}, {0.6387083820784961,
        0.5032268139389472}}]}, 
     {Arrowheads[{{0.006570080151553557, 1.}}], 
      ArrowBox[{{0.6490802840251125, 0.5677407840697744}, {0.6366340016891728,
        0.5751163587873682}}]}, 
     {Arrowheads[{{0.008425778921681575, 1.}}], 
      ArrowBox[{{0.6511546644144358, 0.6387083820784961}, {0.6345596212998496,
        0.6470059036357892}}]}, 
     {Arrowheads[{{0.010308807357880239`, 1.}}], 
      ArrowBox[{{0.6532290448037591, 0.7096759800872179}, {0.6324852409105263,
        0.7188954484842103}}]}, 
     {Arrowheads[{{0.012206524047096056`, 1.}}], 
      ArrowBox[{{0.6553034251930824, 0.7806435780959396}, {0.630410860521203, 
       0.7907849933326312}}]}, 
     {Arrowheads[{{0.014113005028993647`, 1.}}], 
      ArrowBox[{{0.6573778055824057, 0.8516111761046614}, {0.6283364801318797,
        0.8626745381810522}}]}, 
     {Arrowheads[{{0.016025122590797313`, 1.}}], 
      ArrowBox[{{0.6594521859717289, 0.9225787741133833}, {0.6262620997425564,
        0.9345640830294734}}]}, 
     {Arrowheads[{{0.017941074622702554`, 1.}}], 
      ArrowBox[{{0.6615265663610522, 0.9935463721221051}, {0.6241877193532331,
        1.0064536278778944`}}]}, 
     {Arrowheads[{{0.008373606414339967, 1.}}], 
      ArrowBox[{{0.7050662458887217, 0.}, {0.7235051826827065, 0.}}]}, 
     {Arrowheads[{{0.006311527722325256, 1.}}], 
      ArrowBox[{{0.7073711129879698, 0.07073711129879699}, {
       0.7212003155834584, 0.07212003155834584}}]}, 
     {Arrowheads[{{0.004371150877534433, 1.}}], 
      ArrowBox[{{0.7096759800872179, 0.14147422259759398`}, {
       0.7188954484842103, 0.14424006311669169`}}]}, 
     {Arrowheads[{{0.002816383815417406, 1.}}], 
      ArrowBox[{{0.7119808471864659, 0.212211333896391}, {0.7165905813849622, 
       0.21636009467503756`}}]}, 
     {Arrowheads[{{0.002512081924301975, 1.}}], 
      ArrowBox[{{0.7142857142857141, 0.28294844519518797`}, {
       0.7142857142857141, 0.28848012623338337`}}]}, 
     {Arrowheads[{{0.003773933410932114, 1.}}], 
      ArrowBox[{{0.7165905813849621, 0.353685556493985}, {0.7119808471864659, 
       0.36060015779172927`}}]}, 
     {Arrowheads[{{0.0056327676308347355`, 1.}}], 
      ArrowBox[{{0.7188954484842103, 0.4244226677927819}, {0.7096759800872179,
        0.43272018935007506`}}]}, 
     {Arrowheads[{{0.007665966930067873, 1.}}], 
      ArrowBox[{{0.7212003155834583, 0.4951597790915789}, {0.7073711129879698,
        0.504840220908421}}]}, 
     {Arrowheads[{{0.009765219237676821, 1.}}], 
      ArrowBox[{{0.7235051826827065, 0.5658968903903758}, {0.7050662458887218,
        0.5769602524667666}}]}, 
     {Arrowheads[{{0.011895606102421954`, 1.}}], 
      ArrowBox[{{0.7258100497819545, 0.6366340016891728}, {0.7027613787894736,
        0.6490802840251125}}]}, 
     {Arrowheads[{{0.014042964869469328`, 1.}}], 
      ArrowBox[{{0.7281149168812027, 0.7073711129879698}, {0.7004565116902255,
        0.7212003155834584}}]}, 
     {Arrowheads[{{0.016200548142066146`, 1.}}], 
      ArrowBox[{{0.7304197839804507, 0.7781082242867667}, {0.6981516445909774,
        0.7933203471418041}}]}, 
     {Arrowheads[{{0.01836475259508668, 1.}}], 
      ArrowBox[{{0.7327246510796988, 0.8488453355855637}, {0.6958467774917293,
        0.86544037870015}}]}, 
     {Arrowheads[{{0.020533484742029737`, 1.}}], 
      ArrowBox[{{0.7350295181789469, 0.9195824468843607}, {0.6935419103924813,
        0.9375604102584959}}]}, 
     {Arrowheads[{{0.022705447219129562`, 1.}}], 
      ArrowBox[{{0.737334385278195, 0.9903195581831576}, {0.6912370432932331, 
       1.0096804418168417`}}]}, 
     {Arrowheads[{{0.006908225291830438, 1.}}], 
      ArrowBox[{{0.7781082242867667, 0.}, {0.7933203471418041, 0.}}]}, 
     {Arrowheads[{{0.004680988289823118, 1.}}], 
      ArrowBox[{{0.7806435780959396, 0.07050662458887219}, {
       0.7907849933326313, 0.07235051826827066}}]}, 
     {Arrowheads[{{0.0028473340174100734`, 1.}}], 
      ArrowBox[{{0.7831789319051126, 0.14101324917774438`}, {
       0.7882496395234584, 0.14470103653654132`}}]}, 
     {Arrowheads[{{0.0025120819243019876`, 1.}}], 
      ArrowBox[{{0.7857142857142855, 0.21151987376661657`}, {
       0.7857142857142855, 0.217051554804812}}]}, 
     {Arrowheads[{{0.004064650677804127, 1.}}], 
      ArrowBox[{{0.7882496395234584, 0.28202649835548876`}, {
       0.7831789319051126, 0.28940207307308263`}}]}, 
     {Arrowheads[{{0.006224130430928211, 1.}}], 
      ArrowBox[{{0.7907849933326313, 0.3525331229443609}, {0.7806435780959398,
        0.36175259134135324`}}]}, 
     {Arrowheads[{{0.008542002052230178, 1.}}], 
      ArrowBox[{{0.7933203471418042, 0.4230397475332331}, {0.7781082242867668,
        0.4341031096096239}}]}, 
     {Arrowheads[{{0.010917847015317072`, 1.}}], 
      ArrowBox[{{0.795855700950977, 0.4935463721221052}, {0.7755728704775938, 
       0.5064536278778946}}]}, 
     {Arrowheads[{{0.013320681393603508`, 1.}}], 
      ArrowBox[{{0.7983910547601499, 0.5640529967109774}, {0.7730375166684209,
        0.5788041461461652}}]}, 
     {Arrowheads[{{0.01573814814647472, 1.}}], 
      ArrowBox[{{0.8009264085693228, 0.6345596212998496}, {0.7705021628592481,
        0.6511546644144358}}]}, 
     {Arrowheads[{{0.01816440602720997, 1.}}], 
      ArrowBox[{{0.8034617623784958, 0.7050662458887217}, {0.7679668090500752,
        0.7235051826827064}}]}, 
     {Arrowheads[{{0.020596348475221612`, 1.}}], 
      ArrowBox[{{0.8059971161876687, 0.7755728704775939}, {0.7654314552409023,
        0.7958557009509771}}]}, 
     {Arrowheads[{{0.02303217487895249, 1.}}], 
      ArrowBox[{{0.8085324699968416, 0.8460794950664661}, {0.7628961014317294,
        0.8682062192192478}}]}, 
     {Arrowheads[{{0.025470770968837948`, 1.}}], 
      ArrowBox[{{0.8110678238060145, 0.9165861196553382}, {0.7603607476225566,
        0.9405567374875183}}]}, 
     {Arrowheads[{{0.027911410798987103`, 1.}}], 
      ArrowBox[{{0.8136031776151874, 0.9870927442442103}, {0.7578253938133837,
        1.012907255755789}}]}, 
     {Arrowheads[{{0.00502416384860395, 1.}}], 
      ArrowBox[{{0.8516111761046614, 0.}, {0.8626745381810522, 0.}}]}, 
     {Arrowheads[{{0.0027214220846604963`, 1.}}], 
      ArrowBox[{{0.8543770166237592, 0.07027613787894738}, {
       0.8599086976619547, 0.07258100497819546}}]}, 
     {Arrowheads[{{0.0020934016035849792`, 1.}}], 
      ArrowBox[{{0.8571428571428569, 0.14055227575789475`}, {
       0.8571428571428569, 0.14516200995639092`}}]}, 
     {Arrowheads[{{0.004021293163978721, 1.}}], 
      ArrowBox[{{0.8599086976619545, 0.21082841363684213`}, {
       0.8543770166237592, 0.2177430149345864}}]}, 
     {Arrowheads[{{0.0065399956783768224`, 1.}}], 
      ArrowBox[{{0.8626745381810523, 0.2811045515157895}, {0.8516111761046615,
        0.29032401991278184`}}]}, 
     {Arrowheads[{{0.009175214687486548, 1.}}], 
      ArrowBox[{{0.86544037870015, 0.3513806893947369}, {0.8488453355855637, 
       0.3629050248909773}}]}, 
     {Arrowheads[{{0.011849466738022646`, 1.}}], 
      ArrowBox[{{0.8682062192192477, 0.4216568272736842}, {0.8460794950664661,
        0.43548602986917273`}}]}, 
     {Arrowheads[{{0.014541232262614383`, 1.}}], 
      ArrowBox[{{0.8709720597383453, 0.4919329651526316}, {0.8433136545473683,
        0.5080670348473681}}]}, 
     {Arrowheads[{{0.01724231091764807, 1.}}], 
      ArrowBox[{{0.8737379002574431, 0.5622091030315789}, {0.8405478140282706,
        0.5806480398255636}}]}, 
     {Arrowheads[{{0.019948920075336128`, 1.}}], 
      ArrowBox[{{0.8765037407765408, 0.6324852409105263}, {0.8377819735091729,
        0.6532290448037591}}]}, 
     {Arrowheads[{{0.022659077979679757`, 1.}}], 
      ArrowBox[{{0.8792695812956385, 0.7027613787894736}, {0.8350161329900752,
        0.7258100497819545}}]}, 
     {Arrowheads[{{0.025371647442214394`, 1.}}], 
      ArrowBox[{{0.8820354218147363, 0.773037516668421}, {0.8322502924709775, 
       0.79839105476015}}]}, 
     {Arrowheads[{{0.028085929738938545`, 1.}}], 
      ArrowBox[{{0.8848012623338339, 0.8433136545473683}, {0.8294844519518798,
        0.8709720597383453}}]}, 
     {Arrowheads[{{0.030801472058895475`, 1.}}], 
      ArrowBox[{{0.8875671028529316, 0.9135897924263157}, {0.826718611432782, 
       0.9435530647165408}}]}, 
     {Arrowheads[{{0.03351796815164963, 1.}}], 
      ArrowBox[{{0.8903329433720294, 0.983865930305263}, {0.8239527709136845, 
       1.0161340696947363`}}]}, 
     {Arrowheads[{{0.0027214220846605046`, 1.}}], 
      ArrowBox[{{0.9255751013424057, 0.}, {0.9315677558004508, 0.}}]}, 
     {Arrowheads[{{0.0012560409621509938`, 1.}}], 
      ArrowBox[{{0.9285714285714283, 0.07004565116902257}, {
       0.9285714285714283, 0.07281149168812029}}]}, 
     {Arrowheads[{{0.0037036055077832508`, 1.}}], 
      ArrowBox[{{0.9315677558004508, 0.14009130233804515`}, {
       0.9255751013424058, 0.14562298337624058`}}]}, 
     {Arrowheads[{{0.0066199171247774595`, 1.}}], 
      ArrowBox[{{0.9345640830294732, 0.2101369535070677}, {0.9225787741133832,
        0.21843447506436084`}}]}, 
     {Arrowheads[{{0.009586316594162668, 1.}}], 
      ArrowBox[{{0.9375604102584958, 0.2801826046760903}, {0.9195824468843607,
        0.2912459667524811}}]}, 
     {Arrowheads[{{0.012567385689596476`, 1.}}], 
      ArrowBox[{{0.9405567374875183, 0.3502282558451128}, {0.9165861196553382,
        0.36405745844060133`}}]}, 
     {Arrowheads[{{0.015554692360236086`, 1.}}], 
      ArrowBox[{{0.9435530647165409, 0.42027390701413536`}, {
       0.9135897924263158, 0.4368689501287216}}]}, 
     {Arrowheads[{{0.01854522256256468, 1.}}], 
      ArrowBox[{{0.9465493919455633, 0.4903195581831579}, {0.9105934651972931,
        0.5096804418168418}}]}, 
     {Arrowheads[{{0.021537633562940178`, 1.}}], 
      ArrowBox[{{0.9495457191745859, 0.5603652093521805}, {0.9075971379682707,
        0.5824919335049622}}]}, 
     {Arrowheads[{{0.02453123709091889, 1.}}], 
      ArrowBox[{{0.9525420464036084, 0.630410860521203}, {0.9046008107392481, 
       0.6553034251930824}}]}, 
     {Arrowheads[{{0.027525644062459657`, 1.}}], 
      ArrowBox[{{0.9555383736326309, 0.7004565116902255}, {0.9016044835102256,
        0.7281149168812026}}]}, 
     {Arrowheads[{{0.03052061799863368, 1.}}], 
      ArrowBox[{{0.9585347008616535, 0.7705021628592481}, {0.8986081562812032,
        0.8009264085693228}}]}, 
     {Arrowheads[{{0.03351600690874116, 1.}}], 
      ArrowBox[{{0.9615310280906759, 0.8405478140282706}, {0.8956118290521805,
        0.8737379002574431}}]}, 
     {Arrowheads[{{0.03651170866062012, 1.}}], 
      ArrowBox[{{0.9645273553196985, 0.9105934651972931}, {0.8926155018231581,
        0.9465493919455633}}]}, 
     {Arrowheads[{{0.039507652089844324`, 1.}}], 
      ArrowBox[{{0.967523682548721, 0.9806391163663157}, {0.8896191745941355, 
       1.0193608836336836`}}]}, 
     {Arrowheads[{{0.003276691802876194, 1.}}], 
      ArrowBox[{{1.003226813938947, 0.06981516445909776}, {0.9967731860610524,
        0.07304197839804509}}]}, 
     {Arrowheads[{{0.006553383605752388, 1.}}], 
      ArrowBox[{{1.0064536278778944`, 0.13963032891819552`}, {
       0.993546372122105, 0.14608395679609018`}}]}, 
     {Arrowheads[{{0.00983007540862853, 1.}}], 
      ArrowBox[{{1.0096804418168417`, 0.2094454933772933}, {
       0.9903195581831576, 0.21912593519413526`}}]}, 
     {Arrowheads[{{0.013106767211504639`, 1.}}], 
      ArrowBox[{{1.012907255755789, 0.27926065783639104`}, {
       0.9870927442442105, 0.29216791359218036`}}]}, 
     {Arrowheads[{{0.016383459014380826`, 1.}}], 
      ArrowBox[{{1.0161340696947363`, 0.3490758222954888}, {0.983865930305263,
        0.3652098919902254}}]}, 
     {Arrowheads[{{0.019660150817256968`, 1.}}], 
      ArrowBox[{{1.0193608836336836`, 0.4188909867545865}, {
       0.9806391163663157, 0.43825187038827046`}}]}, 
     {Arrowheads[{{0.02293684262013315, 1.}}], 
      ArrowBox[{{1.022587697572631, 0.48870615121368427`}, {
       0.9774123024273683, 0.5112938487863155}}]}, 
     {Arrowheads[{{0.026213534423009253`, 1.}}], 
      ArrowBox[{{1.0258145115115782`, 0.558521315672782}, {0.9741854884884211,
        0.5843358271843605}}]}, 
     {Arrowheads[{{0.02949022622588542, 1.}}], 
      ArrowBox[{{1.0290413254505255`, 0.6283364801318797}, {
       0.9709586745494738, 0.6573778055824057}}]}, 
     {Arrowheads[{{0.03276691802876161, 1.}}], 
      ArrowBox[{{1.0322681393894728`, 0.6981516445909774}, {
       0.9677318606105264, 0.7304197839804507}}]}, 
     {Arrowheads[{{0.03604360983163784, 1.}}], 
      ArrowBox[{{1.0354949533284203`, 0.7679668090500752}, {
       0.9645050466715791, 0.8034617623784958}}]}, 
     {Arrowheads[{{0.03932030163451403, 1.}}], 
      ArrowBox[{{1.0387217672673676`, 0.8377819735091729}, {
       0.9612782327326317, 0.8765037407765408}}]}, 
     {Arrowheads[{{0.04259699343739019, 1.}}], 
      ArrowBox[{{1.041948581206315, 0.9075971379682707}, {0.9580514187936844, 
       0.949545719174586}}]}, 
     {Arrowheads[{{0.04587368524026626, 1.}}], 
      ArrowBox[{{1.0451753951452623`, 0.9774123024273684}, {
       0.9548246048547372, 1.022587697572631}}]}}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], FaceForm[Opacity[0.3]], LineBox[CompressedData["
1:eJwl23c81l8bB3CS9StkFBJRKBShzHQKkcpWVkpKmZGEjErRsCIpRRllZkeE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        "]]},
      Annotation[#, "Charting`Private`Tag$8891#1"]& ]}, {}}},
  AspectRatio->1,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0.},
  DisplayFunction->Identity,
  Epilog->{
    PointSize[0.02], 
    PointBox[{{0.5, 0.5}, {0, 0}, {1, 0}}]},
  Frame->True,
  FrameLabel->{{
     FormBox["Y", TraditionalForm], None}, {
     FormBox["X", TraditionalForm], None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "GridLinesInFront" -> 
    True},
  PlotRange->{{-0.01, 1.05}, {-0.01, 1.05}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.843719447064638*^9, {3.8437196408575563`*^9, 3.8437196671855164`*^9}, 
   3.843719709031555*^9, 3.843874687348477*^9, 3.8438755632954607`*^9, 
   3.843876087944942*^9, 3.843876532543437*^9, 3.8438767822941933`*^9, 
   3.843876910667446*^9, 3.8440078585908403`*^9, 3.844007892806264*^9, 
   3.844347524884966*^9, 3.8443523689650593`*^9, {3.8447337388045387`*^9, 
   3.844733759705463*^9}, 3.844734427144719*^9, 3.8447346370321407`*^9, 
   3.8447385909779873`*^9, 3.8447420176591063`*^9, 3.8447422024448223`*^9, 
   3.844820946060506*^9, 3.844858217002452*^9, 3.8448643678256063`*^9, 
   3.844865647735009*^9, 3.8448684479226427`*^9, 3.844868938684792*^9, 
   3.84486990165578*^9, 3.8448701488307667`*^9},
 CellLabel->"Out[63]=",ExpressionUUID->"e1e9b3e6-e4b3-4a2f-9434-9eba5bd64c30"]
}, Open  ]],

Cell[TextData[StyleBox["Make a coarser vector field with equal length \
vectors:",
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.844008560505681*^9, 3.844008627969462*^9}, {
  3.844008680444035*^9, 3.8440087107316513`*^9}, {3.844008903527116*^9, 
  3.844008903639956*^9}},ExpressionUUID->"21d0e33e-4665-439d-9ca5-\
de1478fec445"],

Cell[BoxData[
 RowBox[{
  RowBox[{"vect", "=", 
   RowBox[{"VectorPlot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"dx", ",", "dy"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", "0", ",", "1"}], "}"}], ",", 
     RowBox[{"VectorScale", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Small", ",", "Small", ",", "None"}], "}"}]}], ",", 
     RowBox[{"VectorPoints", "\[Rule]", "Coarse"}]}], "]"}]}], ";"}]], "Input",\

 CellChangeTimes->{
  3.843876171129127*^9, {3.843876217214486*^9, 3.843876263122793*^9}, 
   3.844008883315583*^9},
 CellLabel->"In[64]:=",ExpressionUUID->"a94fda27-d367-4c03-932f-c9f4adca40a2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Show", "[", 
  RowBox[{"null", ",", "vect", ",", "traject", ",", 
   RowBox[{"Epilog", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"PointSize", "[", "0.02", "]"}], ",", 
      RowBox[{"Point", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}], "/.", "steady"}], "]"}]}], "}"}]}]}],
   "]"}]], "Input",
 CellChangeTimes->{3.84400795698706*^9},
 CellLabel->"In[65]:=",ExpressionUUID->"2ba42c85-61d9-4f91-993d-a30852e64f8a"],

Cell[BoxData[
 GraphicsBox[{{GraphicsComplexBox[CompressedData["
1:eJxMXAk4VG0bPiSVCm2yVxJKSaIUnYdIvjYiJVJIpVIholJR9iSkIpQka/Zk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     "], {{}, {}, 
      TagBox[
       TooltipBox[
        {RGBColor[1, 0, 0], AbsoluteThickness[1.6], 
         LineBox[{1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 
          18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 
          35, 36}], LineBox[CompressedData["
1:eJwl2EMUIIqOQMH+bdu2bdu2bdu2bdu2bdu2bffUO7Ook112N4skaNiuYtv/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          "]]},
        RowBox[{
          RowBox[{
            RowBox[{
              RowBox[{"(", 
                RowBox[{"1", "-", 
                  TagBox["x", HoldForm]}], ")"}], " ", 
              TagBox["x", HoldForm]}], "-", 
            RowBox[{
              TagBox["x", HoldForm], " ", 
              TagBox["y", HoldForm]}]}], "\[Equal]", "0"}]],
       Annotation[#, (1 - HoldForm[$CellContext`x]) HoldForm[$CellContext`x] - 
         HoldForm[$CellContext`x] HoldForm[$CellContext`y] == 0, 
        "Tooltip"]& ], 
      TagBox[
       TooltipBox[
        {RGBColor[0, 0, 1], AbsoluteThickness[1.6], LineBox[CompressedData["
1:eJwNxFVgFQQAAMBHjFS6FKW7QSmRLunuHrHBmm5Gd0l3dxp0d5ekEgooDSoK
Sin3cZc1OKphZJxAIJBbLYMCgVa0pg1taUd7OhBMRzrRmS6EEEpXuhFGOBFE
EkU0MXSnBz3pRW/60Jd+9GcAAxnEYIYQy1CGMZwRjGQUoxnDWMYxnglMZBKT
mcJUvmYa05nBTGYxmznMZR7zWcBCFrGYJSxlGctZwUpWsZo1rGUd69nARjax
mW/4lu/4ni1sZRvb2cFOdrGbPexlH/s5wEEOcZgjHOUYxznBSU5xmjOc5Rzn
ucAPXOQSl7nCVa7xIz9xnRvc5BY/8wu3ucNdfuU37nGfBzzkEY95wlOe8Tt/
8CfP+Yu/ecFL/uFfXvGaN7zlHf/xP4EEgUAc4hKP+ASRgIQkIjFJSMoHfEgy
kpOClKQiNWlISzrSk4GP+JiMfMKnZCIzWchKNrKTg5zkIjd5yEs+8lOAghSi
MEUoSjE+43OKU4KSlKI0X1CGLylLOcpTgYpUojJVqEo1qvMVNahJLWpTh7rU
oz4NaEgjGtOEpjSjOS1oSSta04a2tKM9HQimI53oTBdCCKUr3QgjnAgiiSKa
GLrTg570ojd96Es/+jOAgQxiMEOI5T2CyJg7
          "]], LineBox[CompressedData["
1:eJwN02MDFQYAAMC3bC3bLXPZtrZsc9m2bdu2bdu2bbf7cD/hEtVvXbHVH4FA
YEDQQKBviECgH/0ZwEAGMZghDGUYwxnBSEYxmjGMZRzjmcBEJjGZKUxlGtOZ
wUxmMZs5zGUe81nAQhaxmCUsZRnLWcFKVrGaNaxlHevZwEY2sZktbGUb29nB
Tnaxmz3sZR/7OcBBDnGYIxzlGMc5wUlOcZoznOUc57nARS5xmStc5RrXucFN
bnGbO9zlHvd5wEMe8ZgnPOUZz3nBS17xmje85R3v+cBHPvGZL3zlG9/5wU9+
8ZtAyEDgD4IQlGAEJwQhCUVowhCWcIQnAhGJRGSi8CdRiUZ0YhCTWMQmDnGJ
R3wSkJBEJCYJSUlGclLwFylJRWrSkJZ0pCcDGclEZrLwN1nJRnZykJNc5CYP
eclHfgpQkEIUpghFKUZxSlCSUpSmDGUpR3kqUJF/+JdKVKYKValGdWpQk1rU
pg51qUd9GtCQRjSmCU1pRnNa0JL/aEVr2tCWdrSnAx3pRGe60JVudKcHPelF
b/rQl370ZwADGcRghjCUYQxnBCMZxWjGMJZxjGcCE5nEZKYwlWlMZwYzmcVs
5jCXecxnAQtZxGKWsJRlLGcFK1nFatawlnWsZwMb2cRmtrCVbWxnBzvZxW72
sJd97OcABznEYY5wlGMc5wQnOcVpznCWc5znAhe5xGWucJVrXOcGN7nFbe5w
l3vc5wEPecRjnvCUZzznBS95xWve8JZ3vOcDH/nEZ77wlW985wc/+cVvAqH8
JwhBCUZwQhCSUIQmDGEJR3giEJFIRCYKfxKVaEQnBjGJRWziEJd4xCcBCUlE
YpKQlGQkJwV/kZJUpCYNaUlHejKQkUxkJgt/k5VsZCcHOclFbvKQl3zkpwAF
KURhilCUYhSnBCUpRWnKUJZylKcCFfmHf6lEZapQlWpUpwY1qUVt6lCXetSn
AQ1pRGOa0JRmNKcFLfmPVrSmDW1pR3s60JFOdKYLXelGd3rQk170pg996Ud/
BjCQQQxmCEMZxnBGMJJRjGYMYxnHeCYwkUlMZgpTmcZ0ZjCTWcxmDnOZx3wW
sJBFLGYJS1nGclawklWsZg1rWcd6NrCRTWxmC1vZxnZ2sJNd7GYPe9nHfg5w
kEMc5ghHOcZxTnCSU5zmDGc5x3kucJFLXOYKV7nGdW5wk1vc5g53ucd9HvCQ
RzzmCU95xnNe8JJXvOYNb3nHez7wkU985gtf+cZ3fvCTX/wmENp/ghCUYAQn
BCEJRWjCEJZwhCcCEYlEZKLwJ1GJRnRiEJNYxCYOcYlHfBKQkEQkJglJSUZy
UvAXKUlFatKQlnSkJwMZyURmsvA3WclGdnKQk1zkJg95yUd+ClCQQhSmCEUp
RnFKUJJSlKYMZSlHeSpQkX/4l0pUpgpVqUZ1alCTWtSmDnWpR30a0JBGNKYJ
TWlGc1rQkv9oRWva0JZ2tKcDHelEZ7rQlW50pwc96UVv+tCXfvRnAAMZxGCG
MJRhDGcEIxnFaMYwlnGMZwITmcRkpjCVaUxnBjOZxWzmMJd5zGcBC1nEYpaw
lGUsZwUrWcVq1rCWdaxnAxvZxGa2sJVtbGcHO9nFbvawl33s5wAHOcRhjnCU
YxznBCc5xWnOcJZznOcCF7nEZa5wlWtc5wY3ucVt7nCXe9znAQ95xGOe8JRn
POcFL3nFa97wlne85wMf+cRnvvCVb3znBz/5xW8CYfwnCEEJxv9LAvtA
          "]]},
        RowBox[{
          RowBox[{
            RowBox[{
              RowBox[{"-", "0.5`"}], " ", 
              TagBox["y", HoldForm]}], "+", 
            RowBox[{
              TagBox["x", HoldForm], " ", 
              TagBox["y", HoldForm]}]}], "\[Equal]", "0"}]],
       Annotation[#, (-0.5) HoldForm[$CellContext`y] + 
         HoldForm[$CellContext`x] HoldForm[$CellContext`y] == 0, 
        "Tooltip"]& ]}], {}}, {{}, 
    {RGBColor[0.2947336, 0.4054232, 0.5678384000000001], 
     {Arrowheads[{{0., 1.}}]}, 
     {Arrowheads[{{0.02737558905100222, 1.}}], 
      ArrowBox[{{0., 0.15353751798230397`}, {0., 0.06868470423991825}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0., 0.2646486290934151}, {0., 0.17979581535102934`}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0., 0.3757597402045262}, {0., 0.29090692646214045`}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0., 0.4868708513156373}, {0., 0.40201803757325155`}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0., 0.5979819624267484}, {0., 0.5131291486843627}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0., 0.7090930735378596}, {0., 0.6242402597954738}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0., 0.8202041846489707}, {0., 0.735351370906585}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0., 0.9313152957600819}, {0., 0.8464624820176961}}]}, 
     {Arrowheads[{{0.02737558905100222, 1.}}], 
      ArrowBox[{{0.06868470423991825, 0.}, {0.15353751798230397`, 0.}}]}, 
     {Arrowheads[{{0.027375589051002205`, 1.}}], 
      ArrowBox[{{0.07316377918909056, 0.13008477707212138`}, {
       0.14905844303313165`, 0.09213744515010083}}]}, 
     {Arrowheads[{{0.02737558905100221, 1.}}], 
      ArrowBox[{{0.08350037151260577, 0.25443475175381175`}, {
       0.13872185070961646`, 0.19000969269063264`}}]}, 
     {Arrowheads[{{0.0273755890510022, 1.}}], 
      ArrowBox[{{0.09287057410179667, 0.37163846105289366`}, {
       0.12935164812042554`, 0.295028205613773}}]}, 
     {Arrowheads[{{0.027375589051002205`, 1.}}], 
      ArrowBox[{{0.09945568076282393, 0.4852384506634495}, {
       0.12276654145939828`, 0.40365043822543933`}}]}, 
     {Arrowheads[{{0.027375589051002208`, 1.}}], 
      ArrowBox[{{0.10394258354470937`, 0.5973719663595658}, {
       0.11827963867751284`, 0.5137391447515455}}]}, 
     {Arrowheads[{{0.027375589051002232`, 1.}}], 
      ArrowBox[{{0.10708870197218716`, 0.7089019626253682}, {
       0.11513352025003505`, 0.6244313707079653}}]}, 
     {Arrowheads[{{0.0273755890510022, 1.}}], 
      ArrowBox[{{0.10938086170892569`, 0.8201688881313206}, {
       0.11284136051329652`, 0.7353866674242352}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.1111111111111111, 0.9313152957600819}, {0.1111111111111111,
        0.8464624820176961}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.17979581535102934`, 0.}, {0.2646486290934151, 0.}}]}, 
     {Arrowheads[{{0.027375589051002208`, 1.}}], 
      ArrowBox[{{0.18068760061550343`, 0.11976415727917752`}, {
       0.263756843828941, 0.1024580649430447}}]}, 
     {Arrowheads[{{0.027375589051002205`, 1.}}], 
      ArrowBox[{{0.18427489030020167`, 0.24119588818323248`}, {
       0.26016955414424275`, 0.20324855626121194`}}]}, 
     {Arrowheads[{{0.02737558905100221, 1.}}], 
      ArrowBox[{{0.1912705799717025, 0.36235049794319557`}, {
       0.2531738644727419, 0.30431616872347106`}}]}, 
     {Arrowheads[{{0.027375589051002208`, 1.}}], 
      ArrowBox[{{0.20039401596895223`, 0.4808247881998944}, {
       0.2440504284754922, 0.4080641006889945}}]}, 
     {Arrowheads[{{0.02737558905100219, 1.}}], 
      ArrowBox[{{0.20929168321965344`, 0.595963489938583}, {
       0.23515276122479098`, 0.5151476211725282}}]}, 
     {Arrowheads[{{0.0273755890510022, 1.}}], 
      ArrowBox[{{0.21661499046003024`, 0.7087209048831066}, {
       0.22782945398441418`, 0.624612428450227}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.2222222222222222, 0.8202041846489707}, {0.2222222222222222,
        0.735351370906585}}]}, 
     {Arrowheads[{{0.027375589051002205`, 1.}}], 
      ArrowBox[{{0.22644380749060397`, 0.9311047415727066}, {
       0.21800063695384045`, 0.8466730362050716}}]}, 
     {Arrowheads[{{0.027375589051002205`, 1.}}], 
      ArrowBox[{{0.29090692646214045`, 0.}, {0.3757597402045261, 0.}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.2911174806495158, 0.11533269637949285`}, {
       0.37554918601715087`, 0.10688952584272936`}}]}, 
     {Arrowheads[{{0.02737558905100222, 1.}}], 
      ArrowBox[{{0.2921736728991312, 0.23251213733077275`}, {
       0.3744929937675355, 0.2119323071136717}}]}, 
     {Arrowheads[{{0.027375589051002205`, 1.}}], 
      ArrowBox[{{0.29538600141131277`, 0.3523069992943436}, {
       0.37128066525535386`, 0.31435966737232307`}}]}, 
     {Arrowheads[{{0.027375589051002226`, 1.}}], 
      ArrowBox[{{0.3033333333333333, 0.47444444444444445`}, {
       0.3633333333333333, 0.4144444444444444}}]}, 
     {Arrowheads[{{0.027375589051002226`, 1.}}], 
      ArrowBox[{{0.3175765613901666, 0.5949474854134723}, {
       0.34909010527650003`, 0.5161636256976387}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.3333333333333333, 0.7090930735378596}, {0.3333333333333333,
        0.6242402597954738}}]}, 
     {Arrowheads[{{0.027375589051002205`, 1.}}], 
      ArrowBox[{{0.3449887636816205, 0.818571783996783}, {
       0.32167790298504617`, 0.7369837715587728}}]}, 
     {Arrowheads[{{0.027375589051002205`, 1.}}], 
      ArrowBox[{{0.3523069992943436, 0.9268362208109097}, {
       0.31435966737232307`, 0.8509415569668686}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.40201803757325155`, 0.}, {0.4868708513156373, 0.}}]}, 
     {Arrowheads[{{0.02737558905100221, 1.}}], 
      ArrowBox[{{0.40203873843170335`, 0.11243628942400927`}, {
       0.4868501504571855, 0.10978593279821294`}}]}, 
     {Arrowheads[{{0.02737558905100222, 1.}}], 
      ArrowBox[{{0.40216458863938576`, 0.22574554353931042`}, {
       0.4867243002495031, 0.21869890090513397`}}]}, 
     {Arrowheads[{{0.02737558905100222, 1.}}], 
      ArrowBox[{{0.40274470913918975`, 0.34115203370306857`}, {
       0.4861441797496991, 0.32551463296359806`}}]}, 
     {Arrowheads[{{0.027375589051002205`, 1.}}], 
      ArrowBox[{{0.4064971125224239, 0.4634181104054547}, {
       0.48239177636646496`, 0.4254707784834342}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.4444444444444444, 0.5979819624267484}, {0.4444444444444444,
        0.5131291486843627}}]}, 
     {Arrowheads[{{0.027375589051002208`, 1.}}], 
      ArrowBox[{{0.4783855699413987, 0.6921225107893825}, {0.4105033189474901,
        0.6412108225439511}}]}, 
     {Arrowheads[{{0.027375589051002208`, 1.}}], 
      ArrowBox[{{0.4833137082930324, 0.7947830807115351}, {
       0.40557518059585645`, 0.7607724748440207}}]}, 
     {Arrowheads[{{0.02737558905100222, 1.}}], 
      ArrowBox[{{0.48469366803944064`, 0.9023052967538878}, {
       0.4041952208494482, 0.8754724810238903}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.5131291486843628, 0.}, {0.5979819624267485, 0.}}]}, 
     {Arrowheads[{{0.02737558905100222, 1.}}], 
      ArrowBox[{{0.5131526992867165, 0.10969768256881647`}, {
       0.5979584118243947, 0.11252453965340574`}}]}, 
     {Arrowheads[{{0.027375589051002205`, 1.}}], 
      ArrowBox[{{0.513339702871738, 0.21800063695384045`}, {0.597771408239373,
        0.22644380749060394`}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.5149184278668398, 0.3211421950267186}, {0.5961926832442714,
        0.34552447163994804`}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.5555555555555556, 0.40201803757325155`}, {
       0.5555555555555556, 0.4868708513156373}}]}, 
     {Arrowheads[{{0.02737558905100221, 1.}}], 
      ArrowBox[{{0.5935028874775762, 0.5365818895945453}, {0.5176082236335351,
        0.5745292215165659}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.5961926832442713, 0.654475528360052}, {0.5149184278668397, 
       0.6788578049732814}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.5968721389479955, 0.7681372416528752}, {0.5142389721631155,
        0.7874183139026806}}]}, 
     {Arrowheads[{{0.02737558905100222, 1.}}], 
      ArrowBox[{{0.5971580702724477, 0.8805683859455106}, {0.5139530408386633,
        0.8972093918322674}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.6242402597954739, 0.}, {0.7090930735378597, 0.}}]}, 
     {Arrowheads[{{0.02737558905100222, 1.}}], 
      ArrowBox[{{0.6245678817399294, 0.10584876299526892`}, {
       0.7087654515934042, 0.11637345922695327`}}]}, 
     {Arrowheads[{{0.02737558905100218, 1.}}], 
      ArrowBox[{{0.6287193347446463, 0.2032485562612119}, {0.7046139985886872,
        0.2411958881832325}}]}, 
     {Arrowheads[{{0.027375589051002205`, 1.}}], 
      ArrowBox[{{0.6666666666666667, 0.29090692646214045`}, {
       0.6666666666666667, 0.3757597402045261}}]}, 
     {Arrowheads[{{0.027375589051002236`, 1.}}], 
      ArrowBox[{{0.6966666666666668, 0.4144444444444444}, {0.6366666666666667,
        0.47444444444444445`}}]}, 
     {Arrowheads[{{0.027375589051002246`, 1.}}], 
      ArrowBox[{{0.7026441877384682, 0.5330696048856798}, {0.6306891455948653,
        0.5780415062254315}}]}, 
     {Arrowheads[{{0.02737558905100221, 1.}}], 
      ArrowBox[{{0.7046139985886873, 0.6476930007056565}, {0.6287193347446463,
        0.6856403326276771}}]}, 
     {Arrowheads[{{0.027375589051002177`, 1.}}], 
      ArrowBox[{{0.7055359305152547, 0.7607724748440207}, {0.6277974028180788,
        0.7947830807115351}}]}, 
     {Arrowheads[{{0.027375589051002226`, 1.}}], 
      ArrowBox[{{0.7060585965245835, 0.8731321169457223}, {0.6272747368087499,
        0.9046456608320558}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.7353513709065851, 0.}, {0.8202041846489708, 0.}}]}, 
     {Arrowheads[{{0.02737558905100221, 1.}}], 
      ArrowBox[{{0.7378230522688004, 0.09684156628647626}, {
       0.8177325032867554, 0.12538065593574596`}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.777777777777778, 0.17979581535102934`}, {
       0.7777777777777779, 0.2646486290934151}}]}, 
     {Arrowheads[{{0.02737558905100222, 1.}}], 
      ArrowBox[{{0.8067260894831921, 0.3023172850775323}, {0.7488294660723636,
        0.36434938158913427`}}]}, 
     {Arrowheads[{{0.027375589051002246`, 1.}}], 
      ArrowBox[{{0.812301565111903, 0.41978459634864085`}, {
       0.7432539904436528, 0.46910429254024805`}}]}, 
     {Arrowheads[{{0.027375589051002232`, 1.}}], 
      ArrowBox[{{0.814234487313265, 0.5338551332130037}, {0.7413210682422907, 
       0.5772559778981075}}]}, 
     {Arrowheads[{{0.027375589051002208`, 1.}}], 
      ArrowBox[{{0.8151758056350259, 0.6466320088859981}, {0.7403797499205299,
        0.6867013244473352}}]}, 
     {Arrowheads[{{0.02737558905100221, 1.}}], 
      ArrowBox[{{0.8157251096997985, 0.7588041118167677}, {0.7398304458557574,
        0.7967514437387883}}]}, 
     {Arrowheads[{{0.02737558905100222, 1.}}], 
      ArrowBox[{{0.8160829054973382, 0.8706483518795746}, {0.7394726500582175,
        0.9071294258982034}}]}, 
     {Arrowheads[{{0.027375589051002222`, 1.}}], 
      ArrowBox[{{0.8464624820176962, 0.}, {0.931315295760082, 0.}}]}, 
     {Arrowheads[{{0.02737558905100222, 1.}}], 
      ArrowBox[{{0.8888888888888892, 0.06868470423991825}, {0.888888888888889,
        0.15353751798230397`}}]}, 
     {Arrowheads[{{0.0273755890510022, 1.}}], 
      ArrowBox[{{0.9208180139403006, 0.1942842378022372}, {0.8569597638374776,
        0.25016020664220723`}}]}, 
     {Arrowheads[{{0.02737558905100222, 1.}}], 
      ArrowBox[{{0.924359397717873, 0.3100558119143126}, {0.853418380059905, 
       0.35661085475235405`}}]}, 
     {Arrowheads[{{0.027375589051002187`, 1.}}], 
      ArrowBox[{{0.9255359239851577, 0.42306700730495433`}, {
       0.8522418537926204, 0.4658218815839345}}]}, 
     {Arrowheads[{{0.027375589051002236`, 1.}}], 
      ArrowBox[{{0.9261125938325807, 0.5351988419144742}, {0.8516651839451974,
        0.575912269196637}}]}, 
     {Arrowheads[{{0.027375589051002208`, 1.}}], 
      ArrowBox[{{0.9264531405575925, 0.6469454345405974}, {0.8513246372201856,
        0.686387898792736}}]}, 
     {Arrowheads[{{0.027375589051002208`, 1.}}], 
      ArrowBox[{{0.9266774617875145, 0.7584898603607712}, {0.8511003159902637,
        0.7970656951947847}}]}, 
     {Arrowheads[{{0.02737558905100221, 1.}}], 
      ArrowBox[{{0.9268362208109097, 0.8699152229278788}, {0.8509415569668686,
        0.9078625548498994}}]}}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], FaceForm[Opacity[0.3]], LineBox[CompressedData["
1:eJwl23c81l8bB3CS9StkFBJRKBShzHQKkcpWVkpKmZGEjErRsCIpRRllZkeE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        "]]},
      Annotation[#, "Charting`Private`Tag$8891#1"]& ]}, {}}},
  AspectRatio->1,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0.},
  DisplayFunction->Identity,
  Epilog->{
    PointSize[0.02], 
    PointBox[{{0.5, 0.5}, {0, 0}, {1, 0}}]},
  Frame->True,
  FrameLabel->{{
     FormBox["Y", TraditionalForm], None}, {
     FormBox["X", TraditionalForm], None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "GridLinesInFront" -> 
    True},
  PlotRange->{{-0.01, 1.05}, {-0.01, 1.05}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.843876277529128*^9, 3.843876532711896*^9, 3.8438767825003767`*^9, 
   3.843876910797089*^9, 3.844007892915432*^9, 3.8440088875122643`*^9, 
   3.844347525013555*^9, 3.844352369056163*^9, {3.8447337389349537`*^9, 
   3.844733759785408*^9}, 3.8447344272669888`*^9, 3.8447346371585617`*^9, 
   3.844738591103499*^9, 3.8447420177299843`*^9, 3.844742202549408*^9, 
   3.8448209461652107`*^9, 3.8448582170996733`*^9, 3.844864367925475*^9, 
   3.8448684480309467`*^9, 3.8448689499479027`*^9, 3.844869901769697*^9, 
   3.844870174049811*^9},
 CellLabel->"Out[65]=",ExpressionUUID->"45025e71-404f-4088-9c56-125e74d2e6de"]
}, Open  ]],

Cell[TextData[StyleBox["Save the numerical solution in a table called data, \
and provide a nice print of that table:",
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.8443523137107983`*^9, 3.844352351429357*^9}, {
  3.844352422738977*^9, 3.844352425394919*^9}, {3.844868973366975*^9, 
  3.844869007980702*^9}},ExpressionUUID->"8f8dadb4-3816-496a-8559-\
8fc3d94755e2"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tpoints", "=", 
   RowBox[{"Table", "[", 
    RowBox[{"t", ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "0", ",", "tmax", ",", "10"}], "}"}]}], "]"}]}], ";", 
  
  RowBox[{"data", "=", 
   RowBox[{"{", 
    RowBox[{"tpoints", ",", 
     RowBox[{"xt", "[", "tpoints", "]"}], ",", 
     RowBox[{"yt", "[", "tpoints", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"data", ",", 
   RowBox[{"TableHeadings", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\"\<Time\>\"", ",", "\"\<X\>\"", ",", "\"\<Y\>\""}], "}"}], 
      ",", "None"}], "}"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{3.8448656628120003`*^9},
 CellLabel->"In[66]:=",ExpressionUUID->"93e253d0-6c57-4692-9b72-0800097f2351"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      TagBox["\<\"Time\"\>",
       HoldForm], "0", "10", "20", "30", "40", "50"},
     {
      TagBox["\<\"X\"\>",
       HoldForm], "1.`", "0.6332395412821175`", "0.5002427383190976`", 
      "0.4992278485851209`", "0.5000461834518116`", "0.5000023763424137`"},
     {
      TagBox["\<\"Y\"\>",
       HoldForm], "0.01`", "0.47208212063801575`", "0.4911615167629354`", 
      "0.5006418897119322`", "0.5000200794095109`", "0.49999444607100396`"}
    },
    GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, "Rows" -> {{False}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, None}],
  Function[BoxForm`e$, 
   TableForm[
   BoxForm`e$, TableHeadings -> {{"Time", "X", "Y"}, None}]]]], "Output",
 CellChangeTimes->{
  3.844352369073666*^9, {3.84473373896778*^9, 3.844733759803499*^9}, 
   3.844734427283361*^9, 3.844734637175088*^9, 3.844738591124127*^9, 
   3.844742017744555*^9, 3.844742202566554*^9, 3.844820946193907*^9, 
   3.84485821711724*^9, 3.8448643679420013`*^9, 3.84486566344948*^9, 
   3.844868448050296*^9, 3.844868963608201*^9, 3.844869901787624*^9, 
   3.844870184514915*^9},
 CellLabel->
  "Out[67]//TableForm=",ExpressionUUID->"855e4a7e-dcc4-4de0-8a44-\
99fc48b45015"]
}, Open  ]],

Cell[TextData[StyleBox["Perform stability analysis  by computing the \
eigenvalues of the Jacobian:",
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.844008560505681*^9, 3.844008627969462*^9}, {
  3.844865672923449*^9, 
  3.844865673935297*^9}},ExpressionUUID->"e94cadd8-4467-4fd6-a403-\
3ef327271513"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"jacob", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{"dx", ",", "x"}], "]"}], ",", 
      RowBox[{"D", "[", 
       RowBox[{"dx", ",", "y"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{"dy", ",", "x"}], "]"}], ",", 
      RowBox[{"D", "[", 
       RowBox[{"dy", ",", "y"}], "]"}]}], "}"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.844006982853944*^9, 3.8440070452165117`*^9}, {
   3.844007192586482*^9, 3.844007199258897*^9}, {3.84400819581713*^9, 
   3.844008340102695*^9}, 3.84400855393919*^9},
 CellLabel->"In[68]:=",ExpressionUUID->"90e8b89b-0572-4d00-b208-bcb2d9f2f953"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "-", 
      RowBox[{"2", " ", "x"}], "-", "y"}], ",", 
     RowBox[{"-", "x"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", 
     RowBox[{
      RowBox[{"-", "0.5`"}], "+", "x"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.844006987826974*^9, 3.8440070458317757`*^9}, 
   3.8440072001063633`*^9, 3.84400789302593*^9, {3.844008198380383*^9, 
   3.8440082234364843`*^9}, {3.844008320957263*^9, 3.8440083408058577`*^9}, 
   3.844008555459844*^9, 3.8443475250333023`*^9, 3.844352369105172*^9, {
   3.84473373900921*^9, 3.844733759832765*^9}, 3.844734427315215*^9, 
   3.844734637203989*^9, 3.844738591154196*^9, 3.844742017778187*^9, 
   3.844742202602891*^9, 3.844820946234457*^9, 3.844858217148718*^9, 
   3.844864367977066*^9, 3.844865677001164*^9, 3.8448684480874243`*^9, 
   3.844869901826716*^9, 3.844870187459457*^9},
 CellLabel->"Out[68]=",ExpressionUUID->"f3f3ec18-105b-499c-a142-0a8d5b7ae329"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"Eigenvalues", "[", "jacob", "]"}], "/.", " ", 
  RowBox[{"steady", "[", 
   RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Eigenvalues", "[", "jacob", "]"}], "/.", " ", 
  RowBox[{"steady", "[", 
   RowBox[{"[", "2", "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Eigenvalues", "[", "jacob", "]"}], "/.", " ", 
  RowBox[{"steady", "[", 
   RowBox[{"[", "3", "]"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.84400705618716*^9, 3.844007059628345*^9}, {
  3.844008382118423*^9, 3.844008402222437*^9}, {3.8440084357061777`*^9, 
  3.844008484580068*^9}, {3.844869677723571*^9, 3.844869690462216*^9}},
 CellLabel->"In[69]:=",ExpressionUUID->"52a7fbbd-af86-4840-94a6-e1dd6b888d92"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "0.25`"}], "-", 
    RowBox[{"0.4330127018922193`", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{
    RowBox[{"-", "0.25`"}], "+", 
    RowBox[{"0.4330127018922193`", " ", "\[ImaginaryI]"}]}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.84400706019387*^9, 3.844007893060444*^9, 3.844008389538622*^9, {
   3.844008436744039*^9, 3.844008458877791*^9}, 3.844008489096531*^9, 
   3.8440085384399633`*^9, 3.844347525062687*^9, 3.844352369114265*^9, {
   3.844733739049774*^9, 3.844733759842637*^9}, 3.844734427326087*^9, 
   3.844734637216269*^9, 3.844738591168148*^9, 3.844742017787072*^9, 
   3.844742202615988*^9, 3.844820946273816*^9, 3.844858217184251*^9, 
   3.844864367986919*^9, 3.844865683305049*^9, 3.844868448097492*^9, {
   3.844869674864678*^9, 3.844869690919221*^9}, 3.844869901837284*^9, 
   3.844870191797175*^9},
 CellLabel->"Out[69]=",ExpressionUUID->"22038082-eb09-4d05-9220-ab29d28f0c55"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "0.5`"}], ",", "1.`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.84400706019387*^9, 3.844007893060444*^9, 3.844008389538622*^9, {
   3.844008436744039*^9, 3.844008458877791*^9}, 3.844008489096531*^9, 
   3.8440085384399633`*^9, 3.844347525062687*^9, 3.844352369114265*^9, {
   3.844733739049774*^9, 3.844733759842637*^9}, 3.844734427326087*^9, 
   3.844734637216269*^9, 3.844738591168148*^9, 3.844742017787072*^9, 
   3.844742202615988*^9, 3.844820946273816*^9, 3.844858217184251*^9, 
   3.844864367986919*^9, 3.844865683305049*^9, 3.844868448097492*^9, {
   3.844869674864678*^9, 3.844869690919221*^9}, 3.844869901837284*^9, 
   3.844870191798655*^9},
 CellLabel->"Out[70]=",ExpressionUUID->"4fe89bc0-b27e-4b94-982e-f8d242a93830"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "1.`"}], ",", "0.5`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.84400706019387*^9, 3.844007893060444*^9, 3.844008389538622*^9, {
   3.844008436744039*^9, 3.844008458877791*^9}, 3.844008489096531*^9, 
   3.8440085384399633`*^9, 3.844347525062687*^9, 3.844352369114265*^9, {
   3.844733739049774*^9, 3.844733759842637*^9}, 3.844734427326087*^9, 
   3.844734637216269*^9, 3.844738591168148*^9, 3.844742017787072*^9, 
   3.844742202615988*^9, 3.844820946273816*^9, 3.844858217184251*^9, 
   3.844864367986919*^9, 3.844865683305049*^9, 3.844868448097492*^9, {
   3.844869674864678*^9, 3.844869690919221*^9}, 3.844869901837284*^9, 
   3.844870191800061*^9},
 CellLabel->"Out[71]=",ExpressionUUID->"74ad9d2d-61d6-403c-8a03-4a9089c1d789"]
}, Open  ]],

Cell[TextData[StyleBox["Parameter continuation by plotting the non-trivial \
steady state a function of K:",
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{{3.844864784743081*^9, 3.844864847618442*^9}, {
  3.844869459192019*^9, 3.844869464854331*^9}, {3.844869717824836*^9, 
  3.84486972717176*^9}},ExpressionUUID->"0856724f-9acc-43e5-ac85-\
2c3c64fa1ce7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Clear", "[", "K", "]"}], ";", "steady"}]], "Input",
 CellChangeTimes->{{3.8448645772385387`*^9, 3.844864589989361*^9}, {
  3.8448656884957438`*^9, 3.844865689222026*^9}},
 CellLabel->"In[72]:=",ExpressionUUID->"2dba7c80-bbd8-42d9-bace-b38fd59e5765"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", "0.5`"}], ",", 
     RowBox[{"y", "\[Rule]", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "0.5`"}], "+", "K"}], "K"]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", "0"}], ",", 
     RowBox[{"y", "\[Rule]", "0"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"x", "\[Rule]", "K"}], ",", 
     RowBox[{"y", "\[Rule]", "0"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.844864590692922*^9, 3.844864871613675*^9, 
  3.844865690080229*^9, 3.844868448139058*^9, 3.844869901878468*^9, 
  3.8448701953294*^9},
 CellLabel->"Out[72]=",ExpressionUUID->"7a7c1e8e-b902-433d-a720-714d175d96c3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"steady", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{
       RowBox[{"steady", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"K", ",", "0", ",", "2"}], "}"}], ",", 
   RowBox[{"AxesOrigin", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"0", ",", "0"}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"K", ",", "\"\<X,Y\>\""}], "}"}]}], ",", 
   RowBox[{"PlotLabels", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"X", ",", "Y"}], "}"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8448646793857594`*^9, 3.844864758143594*^9}, {
  3.8448648752118587`*^9, 3.844864876125285*^9}, {3.84486493762125*^9, 
  3.844864945393313*^9}, {3.844865696506168*^9, 3.844865697452793*^9}, {
  3.844868595829774*^9, 3.844868601546754*^9}, {3.8448686653502903`*^9, 
  3.844868718424389*^9}, {3.8448690766068563`*^9, 3.8448690926289062`*^9}, {
  3.8448691458101397`*^9, 3.844869176813026*^9}},
 CellLabel->"In[73]:=",ExpressionUUID->"39e506f3-a4f1-4641-99c5-6a7ce02deac0"],

Cell[BoxData[
 GraphicsBox[{{{}, {}, 
    TagBox[
     {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJxTTMoPSmViYGAwAWIQ7ZX64uKBl6l2DGDwwH6BqH9bl+QUexi/kWOzeqfk
Ejg/InLh+g8ft8D53P8bY9zl9sP5qoHvXhzuPgLnl5+ztJ/x5SScL75F8B4j
43k4f9sj5zPnbS7B+Yey5kpHvrkC539Vs+Vfm3sdzmf6uVpAWvUWnG/2P2Fb
8Lo7cP6ZFpNzx7Tuw/nyE17/XPnuAZz/+vv9e1cNHsH5S17tPsXX9xjO55Nd
/v7Jkydwfk/m1rQFKs/g/G8Oq59k1D+H80uMjmwRO/wCzr+/7kj3RcVXcP7v
rCuzNatew/najuz/0na/gfPdFymmbxR/hwgv2XilhzHv4XydN6Hc130/wPnC
/B84jvxC8Fn2z16vPOcjnJ9tsvsmp/cnOH+1Z9KCfd8Q/K+vpQSeTfsM528N
dmee4vIFzq/3aJ2/5RmCr3jX68bi1q9wvpV5yxRJo29wfozc+Z+MlxH8r6d6
HxU0fofzZ7DElQSp/EC4/97WRUxHEHzW2sYQy8KfcD7Dyrj1j4R+wflFs9b3
Ch1C8Pdqd3AI5v2G8wW9inSa+P7A+Xd0L1yu3IPgb5hnr/Ik7i+cH7veTFD2
H4Lf0Lqw8c6qf3D+2heys/l8/sP5Si0iHuzLEPzp8txf//9H8AG6shGH
       "]]},
     Annotation[#, "Charting`Private`Tag$10573#1"]& ], 
    TagBox[
     {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], Opacity[
      1.], LineBox[CompressedData["
1:eJwVznk41HkAx3GDjq1tJB2bI2m1T6fUlkQ9n5JWjtGTsm05al0VosNOiQpr
bCXRk0dJJEphc2yUY/gVVmFUrjANM8aYX4yYatBg5rv2j8/zfl7/fUy8gl18
NTU0NByn9n8NM9xuTs/owOVOV4nspxZqMl6h41PXAfYhs2aN9GZKU5k712A5
H+uJ3dadOTzKoNHmK9bx0dOs13DjBI/aeL+zzWcLH2/vOTvrrOdRvvYzUvJY
fCwxqvktqaSBep3stdyGzcczJ17am7p6Kt5qsdXxV3zk2xtolSleU4bhMd7P
j38AfYBdahjwL2VBjjzblyeAx8LUbPW9CsqJ9SJqV4kAbU/0lv6wrYLyTjHe
s7lKANPbIZN/8LlUwuZuWv+9AP136AbVAi7VH+y2WKwSoIAOMrJIKKPuilzD
T7K6kJxRGjnnxnOKUeVgEzfYBdJ8sPRKVSHFi974pnaVEOr9gScueKRQxgky
ZfaQCH5lvU8qzf+GbEzY3WYuRmOEx/S81ko8GCivZ17vhTw3UUNu+wpMo0fD
EokEA0cdPL0nGnHteLFfuqkUjFA66dDLJoxuz5Ucu0TDNWLgVHtAK0I21BQt
rP6IpouB0rCH7yHMq4ltMhlAEsdfHvmuAxP+rSkrz8uw3fP8n4nlfKzeMUPt
Vz4IwbuWm3AXwC7D5GjhoiE460wrrfjWhbNGh5f1uA8jRcYsTzgoxJpB19nt
LDl2lVr6ezuJoKcjn1kzLsfs2NQ4p0ERtKmU/B/vfkb1wMPv2eweBGws7/zO
8QuOLvjZ5wxDjFx7r/TK0S9oMjPftDJCjBGZ/lxp0lcohHVRMUNiFO+z00q0
VYDpxr8a5dmLS7s594qkCrh/bbMOf9ELky6HjkzOCCx8/NYM60tgtTk6cfGG
UfRWFWx1OyuB+5K3SkbLKGxZGMt5LcFIfZz4ZOQYklMzhVKDPtzW9gxxMf2G
c1orCn/37YNed3GGZs03hOlksV9m92Hahcj9W04pof+R7WEi74NGtme+eN44
pLaM1dFmUpy+kx83r2oc2wI6DXhBUlSsvjxTN2gCb+vTDtblSKHrcHpNFHMS
ltos5gqRFIK171pCuZNw4Ewa+C6iUZAGU4mnCmndLpGPd9PwyLfQNVKroAzj
zh1i04jg3I8U5KjREJ0drPmIxpOPRilMJ4KsWUEMRjONy6mcI93OBNWt9syK
Kfu4fFqet5fgqrGX8lwLDUMut4B1gEAZH+gvb6VxNd6t9poXgXuitKSrncYx
i+TPs0IJrBxddP7porEsev7uGVkEXnahoh39NNSW4XPaHxNEe++sVU6581Nv
c1YuQU6uX2zhAI2EA089fikkKIr68HTpIA2yyuUMh0sg+3zyomqIhqApPk2r
hWDOeBujUEGjJGbMu6WNwIKFHr8RGonWh1dmdhCYh8SmG47ScHxoVmTTTRC8
bajyrzEaZeca6yL7CfzmN4S5j9NIWrspfu8gwbHTlm66EzROie/uNxme+v8r
T792yiucAoUvFATP91yxWqeioc1ofZAwRmBtVn2nd8qiYmv/I+MEW0x3fbil
psH1z1xnriKovL5o0pHQuGU8e4QQAskrGxWZ8n+HFohd
       "]]},
     Annotation[#, "Charting`Private`Tag$10573#2"]& ]}, {{{}, {
      GraphicsGroupBox[{
        {GrayLevel[1], AbsoluteThickness[4], Opacity[
          NCache[
           Rational[2, 3], 0.6666666666666666]], CapForm["Butt"], JoinForm[
         "Round"], 
         BSplineCurveBox[{
          Offset[{0, 0}, {2.0416666666666665`, 0.5}], 
           Offset[{0, 0}, {2.0416666666666665`, 0.5}], 
           Offset[{0., 0.}, {2.0616666666666665`, 0.5}], 
           Offset[{0., 0.}, {2.0616666666666665`, 0.5}], 
           Offset[{0., 0.}, {2.0816666666666666`, 0.5}], 
           Offset[{0, 0}, {2.1219636031114337`, 0.49997318487010806`}], 
           Offset[{5., 1.1102230246251565`*^-15}, {2.1219636031114337`, 
            0.49997318487010806`}], 
           Offset[{10., 2.220446049250313*^-15}, {2.1219636031114337`, 
            0.49997318487010806`}], 
           Offset[{10., 2.220446049250313*^-15}, {2.1219636031114337`, 
            0.49997318487010806`}]}]}, 
        {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666],
          AbsoluteThickness[1.25], 
         BSplineCurveBox[{
          Offset[{0, 0}, {2.0416666666666665`, 0.5}], 
           Offset[{0, 0}, {2.0416666666666665`, 0.5}], 
           Offset[{0., 0.}, {2.0616666666666665`, 0.5}], 
           Offset[{0., 0.}, {2.0616666666666665`, 0.5}], 
           Offset[{0., 0.}, {2.0816666666666666`, 0.5}], 
           Offset[{0, 0}, {2.1219636031114337`, 0.49997318487010806`}], 
           Offset[{5., 1.1102230246251565`*^-15}, {2.1219636031114337`, 
            0.49997318487010806`}], 
           Offset[{10., 2.220446049250313*^-15}, {2.1219636031114337`, 
            0.49997318487010806`}], 
           Offset[{10., 2.220446049250313*^-15}, {2.1219636031114337`, 
            0.49997318487010806`}]}]}, 
        {EdgeForm[None], FaceForm[{GrayLevel[1], Opacity[
          NCache[
           Rational[2, 3], 0.6666666666666666]]}], 
         PolygonBox[{
          Offset[{24., 7.000000000000005}, {2.1219636031114337`, 
            0.49997318487010806`}], 
           Offset[{24., -6.999999999999995}, {2.1219636031114337`, 
            0.49997318487010806`}], 
           Offset[{10.000000000000002`, -6.999999999999998}, {
            2.1219636031114337`, 0.49997318487010806`}], 
           Offset[{9.999999999999998, 7.000000000000002}, {
            2.1219636031114337`, 0.49997318487010806`}]}]}, 
        {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666],
          AbsoluteThickness[1.25], EdgeForm[None]}, {}, InsetBox[
         StyleBox[
          RotationBox["X",
           BoxRotation->0.],
          StripOnInput->False,
          LineOpacity->1,
          FrontFaceOpacity->1,
          BackFaceOpacity->1,
          Opacity->1,
          FontOpacity->1], 
         Offset[{17., 3.774758283725532*^-15}, \
{2.1219636031114337, 0.49997318487010806}], {0, 0}]}], GraphicsGroupBox[{
        {GrayLevel[1], AbsoluteThickness[4], Opacity[
          NCache[
           Rational[2, 3], 0.6666666666666666]], CapForm["Butt"], JoinForm[
         "Round"], 
         BSplineCurveBox[{
          Offset[{0, 0}, {2.0416666666666665`, 0.749999994897959}], 
           Offset[{0, 0}, {2.0416666666666665`, 0.749999994897959}], 
           Offset[{0., 0.}, {2.0616666666666665`, 0.749999994897959}], 
           Offset[{0., 0.}, {2.0616666666666665`, 0.749999994897959}], 
           Offset[{0., 0.}, {2.0816666666666666`, 0.749999994897959}], 
           Offset[{0, 0}, {2.1219636031114337`, 0.7495326537962437}], 
           Offset[{5., 1.1102230246251565`*^-15}, {2.1219636031114337`, 
            0.7495326537962437}], 
           Offset[{10., 2.220446049250313*^-15}, {2.1219636031114337`, 
            0.7495326537962437}], 
           Offset[{10., 2.220446049250313*^-15}, {2.1219636031114337`, 
            0.7495326537962437}]}]}, 
        {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666],
          AbsoluteThickness[1.25], 
         BSplineCurveBox[{
          Offset[{0, 0}, {2.0416666666666665`, 0.749999994897959}], 
           Offset[{0, 0}, {2.0416666666666665`, 0.749999994897959}], 
           Offset[{0., 0.}, {2.0616666666666665`, 0.749999994897959}], 
           Offset[{0., 0.}, {2.0616666666666665`, 0.749999994897959}], 
           Offset[{0., 0.}, {2.0816666666666666`, 0.749999994897959}], 
           Offset[{0, 0}, {2.1219636031114337`, 0.7495326537962437}], 
           Offset[{5., 1.1102230246251565`*^-15}, {2.1219636031114337`, 
            0.7495326537962437}], 
           Offset[{10., 2.220446049250313*^-15}, {2.1219636031114337`, 
            0.7495326537962437}], 
           Offset[{10., 2.220446049250313*^-15}, {2.1219636031114337`, 
            0.7495326537962437}]}]}, 
        {EdgeForm[None], FaceForm[{GrayLevel[1], Opacity[
          NCache[
           Rational[2, 3], 0.6666666666666666]]}], 
         PolygonBox[{
          Offset[{22., 7.000000000000005}, {2.1219636031114337`, 
            0.7495326537962437}], 
           Offset[{22., -6.999999999999995}, {2.1219636031114337`, 
            0.7495326537962437}], 
           Offset[{10.000000000000002`, -6.999999999999998}, {
            2.1219636031114337`, 0.7495326537962437}], 
           Offset[{9.999999999999998, 7.000000000000002}, {
            2.1219636031114337`, 0.7495326537962437}]}]}, 
        {RGBColor[0.6666666666666666, 0.6666666666666666, 0.6666666666666666],
          AbsoluteThickness[1.25], EdgeForm[None]}, {}, InsetBox[
         StyleBox[
          RotationBox["Y",
           BoxRotation->0.],
          StripOnInput->False,
          LineOpacity->1,
          FrontFaceOpacity->1,
          BackFaceOpacity->1,
          Opacity->1,
          FontOpacity->1], Offset[{16., 3.552713678800501*^-15}, 
         {2.1219636031114337, 0.7495326537962437}], {0, 0}]}]}}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{
    FormBox[
     TagBox["K", HoldForm], TraditionalForm], 
    FormBox["\"X,Y\"", TraditionalForm]},
  AxesOrigin->{0., 0.},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}, {Automatic, 
     Charting`ScaledFrameTicks[{Identity, Identity}]}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->{{All, 42.45344856005813}, {All, All}},
  Method->{
   "DefaultBoundaryStyle" -> Automatic, 
    "DefaultGraphicsInteraction" -> {
     "Version" -> 1.2, "TrackMousePosition" -> {True, False}, 
      "Effects" -> {
       "Highlight" -> {"ratio" -> 2}, "HighlightPoint" -> {"ratio" -> 2}, 
        "Droplines" -> {
         "freeformCursorMode" -> True, 
          "placement" -> {"x" -> "All", "y" -> "None"}}}}, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None, 
    "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{0, 2}, {-0.2992505769574554, 0.749999994897959}},
  PlotRangeClipping->False,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.08090169943749476]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.844864707966363*^9, 3.844864745342561*^9}, 
   3.844864877403687*^9, 3.844864946733714*^9, 3.8448657003273277`*^9, 
   3.844868602145238*^9, {3.8448686768274307`*^9, 3.844868719411175*^9}, 
   3.844869094559991*^9, 3.8448691476393013`*^9, 3.844869179040619*^9, 
   3.844869902148275*^9, 3.8448701985984917`*^9},
 CellLabel->"Out[73]=",ExpressionUUID->"43ef1f1f-7f39-4cac-b9bb-2ce40fe83379"]
}, Open  ]],

Cell[TextData[StyleBox["Fit the model to data, e.g., estimate the parameters \
r and a from the data made in the table printed above:",
 FontColor->RGBColor[0, 0, 1]]], "Text",
 CellChangeTimes->{
  3.844733783133532*^9, {3.844864885800106*^9, 3.844864890613275*^9}, {
   3.844865793843954*^9, 3.844865824086422*^9}, {3.8448692747919693`*^9, 
   3.844869283666052*^9}},ExpressionUUID->"ccaff8d7-2f98-4148-98c0-\
8ae92486b168"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"K", "=", "1"}], ";", 
  RowBox[{"Clear", "[", 
   RowBox[{"r", ",", "a"}], "]"}], ";", "model"}]], "Input",
 CellChangeTimes->{{3.8447337861916933`*^9, 3.844733802531995*^9}, {
  3.844864908645005*^9, 3.844864909343977*^9}, {3.844865788176023*^9, 
  3.844865789439417*^9}, {3.844870202282386*^9, 3.844870203307249*^9}},
 CellLabel->"In[74]:=",ExpressionUUID->"70bf4663-2e9d-4df5-a083-655549cb054d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["x", "\[Prime]",
      MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{"r", " ", 
      RowBox[{"(", 
       RowBox[{"1", "-", 
        RowBox[{"x", "[", "t", "]"}]}], ")"}], " ", 
      RowBox[{"x", "[", "t", "]"}]}], "-", 
     RowBox[{"a", " ", 
      RowBox[{"x", "[", "t", "]"}], " ", 
      RowBox[{"y", "[", "t", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{
     SuperscriptBox["y", "\[Prime]",
      MultilineFunction->None], "[", "t", "]"}], "\[Equal]", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "0.5`"}], " ", 
      RowBox[{"y", "[", "t", "]"}]}], "+", 
     RowBox[{"a", " ", 
      RowBox[{"x", "[", "t", "]"}], " ", 
      RowBox[{"y", "[", "t", "]"}]}]}]}], ",", 
   RowBox[{
    RowBox[{"x", "[", "0", "]"}], "\[Equal]", "1"}], ",", 
   RowBox[{
    RowBox[{"y", "[", "0", "]"}], "\[Equal]", "0.01`"}]}], "}"}]], "Output",
 CellChangeTimes->{3.8447338039424686`*^9, 3.844734427358632*^9, 
  3.844734637245913*^9, 3.844738591197591*^9, 3.8447420178231287`*^9, 
  3.844742202655324*^9, 3.844820946291168*^9, 3.844858217194846*^9, 
  3.844864368025106*^9, 3.844864993371009*^9, 3.8448657175139647`*^9, 
  3.84486579234726*^9, 3.84486844815484*^9, 3.8448699021629457`*^9, 
  3.844870203917246*^9},
 CellLabel->"Out[74]=",ExpressionUUID->"07f76b31-7111-4cdf-ad0e-b394a41906a8"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"CostFunction", "[", 
   RowBox[{
    RowBox[{"r0_", "?", "NumericQ"}], ",", 
    RowBox[{"a0_", "?", "NumericQ"}]}], "]"}], ":=", " ", 
  RowBox[{"(", "    ", 
   RowBox[{"(*", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"data", "[", 
       RowBox[{"1", ",", "2", ",", "3"}], "]"}], " ", "=", " ", "t"}], ",", 
     " ", "x", ",", " ", "y"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Pred", "=", 
     RowBox[{"NDSolve", "[", 
      RowBox[{
       RowBox[{"model", " ", "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"r", "\[Rule]", "r0"}], ",", 
          RowBox[{"a", "\[Rule]", " ", "a0"}]}], "}"}]}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"x", "[", "t", "]"}], ",", 
         RowBox[{"y", "[", "t", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"t", ",", "0", ",", 
         RowBox[{"Max", "[", 
          RowBox[{"data", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "]"}]}], "}"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"xPred", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Pred", "[", 
          RowBox[{"[", "1", "]"}], "]"}], " ", "/.", " ", 
         RowBox[{"t", "\[Rule]", " ", 
          RowBox[{"data", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}]}], ")"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"yPred", "=", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Pred", "[", 
          RowBox[{"[", "1", "]"}], "]"}], " ", "/.", " ", 
         RowBox[{"t", "\[Rule]", " ", 
          RowBox[{"data", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}]}], ")"}], "[", 
       RowBox[{"[", "2", "]"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{"residuals", " ", "=", 
     RowBox[{"Join", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"data", "[", 
         RowBox[{"[", "2", "]"}], "]"}], "-", "xPred"}], ",", 
       RowBox[{
        RowBox[{"data", "[", 
         RowBox[{"[", "3", "]"}], "]"}], "-", "yPred"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Total", "[", 
     RowBox[{"residuals", "^", "2"}], "]"}]}], "\[IndentingNewLine]", 
   ")"}]}]], "Input",
 CellChangeTimes->{{3.844733827674115*^9, 3.844734083871316*^9}, {
  3.8447342354101143`*^9, 3.844734244383896*^9}, {3.84473977635784*^9, 
  3.8447397862624903`*^9}, {3.844742004439313*^9, 3.844742037312912*^9}, {
  3.844742114822876*^9, 3.844742131502529*^9}, {3.844865758663321*^9, 
  3.844865784319788*^9}, {3.844865840314156*^9, 3.844865847429901*^9}, {
  3.844869222273107*^9, 3.844869223611785*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"5fb94c39-ab19-4168-9bde-837bea8cf8f5"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FindMinimum", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"CostFunction", "[", 
      RowBox[{"r", ",", "a"}], "]"}], ",", 
     RowBox[{"0", "<", "r", "<", "2"}], ",", 
     RowBox[{"0", "<", "a", "<", "2"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"r", ",", "0.5"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "0.1"}], "}"}]}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.844734097169539*^9, 3.8447341031329117`*^9}, 
   3.844734316281707*^9, {3.8447345674738607`*^9, 3.844734567885932*^9}, {
   3.844738954294609*^9, 3.844738960214025*^9}, {3.844739100327808*^9, 
   3.844739104480245*^9}, {3.844739228236779*^9, 3.8447392368419733`*^9}, {
   3.844739354176627*^9, 3.844739373613943*^9}, {3.844739584263948*^9, 
   3.844739600099895*^9}, 3.844865738304942*^9, {3.844865857943582*^9, 
   3.844865911641306*^9}, {3.844869226832807*^9, 3.844869229543248*^9}},
 CellLabel->"In[75]:=",ExpressionUUID->"3f59b924-eb88-47a7-995e-98d0fb3a8f26"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1.1732670477416113`*^-20", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"r", "\[Rule]", "0.9999999999969621`"}], ",", 
     RowBox[{"a", "\[Rule]", "1.0000000000453217`"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.8447341045040894`*^9, {3.8447342626040697`*^9, 3.844734317729953*^9}, 
   3.844734427406534*^9, 3.844734568928773*^9, 3.844734637340513*^9, 
   3.844738591279717*^9, 3.844738894005064*^9, 3.844738960893943*^9, 
   3.844739237549384*^9, {3.844739362012218*^9, 3.844739374208227*^9}, {
   3.8447395864828453`*^9, 3.844739600887477*^9}, {3.844742017938574*^9, 
   3.844742043850142*^9}, {3.844742075471887*^9, 3.844742140581107*^9}, 
   3.844742202772711*^9, 3.844820946469634*^9, 3.8448582174141283`*^9, 
   3.844864368146953*^9, {3.844865724361034*^9, 3.844865739401572*^9}, {
   3.844865897244219*^9, 3.844865912623111*^9}, 3.844868448685566*^9, 
   3.844869902688591*^9, 3.8448702144739637`*^9},
 CellLabel->"Out[75]=",ExpressionUUID->"511673c5-af1f-47b0-b66f-47eed13b2224"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"r", "=", "1"}], ";", 
   RowBox[{"a", "=", "1"}], ";"}], " ", 
  RowBox[{"(*", " ", 
   RowBox[{"Reset", " ", "free", " ", "parameters"}], " ", "*)"}]}]], "Input",\

 CellChangeTimes->{{3.844864659530814*^9, 3.844864661796184*^9}, {
  3.8448659342763577`*^9, 3.844865937498322*^9}, {3.8448692410414467`*^9, 
  3.844869249176635*^9}, {3.84486941617519*^9, 3.844869416751524*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"0bddef4d-d6ba-4a7f-bf5e-814a5335a1cd"]
},
WindowSize->{808, 702},
WindowMargins->{{298, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
FrontEndVersion->"12.0 for Mac OS X x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 445, 10, 30, "Input",ExpressionUUID->"e656687c-33e6-4aac-bb05-475eb2b92c22"],
Cell[1006, 32, 454, 8, 35, "Text",ExpressionUUID->"a5be80c5-4e14-4f24-a327-1fc0f38e5cb5"],
Cell[CellGroupData[{
Cell[1485, 44, 1541, 40, 73, "Input",ExpressionUUID->"bc0812d2-764a-4c5f-9053-aa0bdbe7ab8a"],
Cell[3029, 86, 1795, 43, 48, "Output",ExpressionUUID->"e1dc53f5-ea27-42c1-99e5-d0e6b69585f1"]
}, Open  ]],
Cell[4839, 132, 476, 8, 35, "Text",ExpressionUUID->"36b4de3d-c40e-4e4f-bc81-9e5da7d5d0d1"],
Cell[CellGroupData[{
Cell[5340, 144, 964, 26, 52, "Input",ExpressionUUID->"36da39a2-d12d-48de-97d3-8e3b1cf1104a"],
Cell[6307, 172, 911, 17, 48, "Output",ExpressionUUID->"4744906c-595e-4b8b-b20b-3fecac90f183"],
Cell[7221, 191, 845, 15, 34, "Output",ExpressionUUID->"81fd5f21-e178-4afe-87a8-809a59e8552b"]
}, Open  ]],
Cell[8081, 209, 214, 4, 35, "Text",ExpressionUUID->"b662d1e3-3c11-4d37-a456-4414bebe434b"],
Cell[CellGroupData[{
Cell[8320, 217, 503, 12, 30, "Input",ExpressionUUID->"b1aa77c8-da8a-440a-b2e4-0af7ffe23b92"],
Cell[8826, 231, 1376, 33, 53, "Output",ExpressionUUID->"bbfa3b8b-f6cb-4423-9a25-9870b226c9e0"]
}, Open  ]],
Cell[10217, 267, 1065, 20, 52, "Input",ExpressionUUID->"5ad62615-1696-4d01-8a67-eb99d67ee6cd"],
Cell[CellGroupData[{
Cell[11307, 291, 179, 2, 30, "Input",ExpressionUUID->"ae8d8d35-b258-49a6-ab00-a43b9705242e"],
Cell[11489, 295, 1011, 22, 34, "Output",ExpressionUUID->"d73e1867-3bf8-48a8-aa1b-b847b10d437c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[12537, 322, 865, 19, 30, "Input",ExpressionUUID->"0ee28dec-0e2b-4d1e-82ad-d9ff60899945"],
Cell[13405, 343, 36529, 683, 376, "Output",ExpressionUUID->"a3f0f028-8cb4-4168-9349-47e2a96d7202"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49971, 1031, 1020, 25, 52, "Input",ExpressionUUID->"590710c8-d08b-4e26-96ef-3aa2cd589026"],
Cell[50994, 1058, 47575, 807, 376, "Output",ExpressionUUID->"f58e5839-d488-4574-953f-3ad468eb62d2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[98606, 1870, 778, 17, 30, "Input",ExpressionUUID->"215e5e33-c86a-457b-bab4-af0919b449c5"],
Cell[99387, 1889, 82960, 1452, 376, "Output",ExpressionUUID->"4fb18766-cf82-4f0e-960b-586849499dc5"]
}, Open  ]],
Cell[CellGroupData[{
Cell[182384, 3346, 966, 22, 52, "Input",ExpressionUUID->"24bb4c88-3be4-4223-b4ae-3fdf485a87ed"],
Cell[183353, 3370, 1304, 22, 34, "Output",ExpressionUUID->"7ca28b99-c6ba-403b-a5db-a96a8ded6e12"]
}, Open  ]],
Cell[184672, 3395, 491, 8, 35, "Text",ExpressionUUID->"a6f6fbcc-37ba-4ead-813f-492b842c7b85"],
Cell[185166, 3405, 713, 18, 30, "Input",ExpressionUUID->"b0aef8f5-d176-48d4-ade3-a6d04a623aea"],
Cell[CellGroupData[{
Cell[185904, 3427, 1415, 32, 52, "Input",ExpressionUUID->"36a88994-6b2b-4ff9-a0af-f0101eff3be9"],
Cell[187322, 3461, 48094, 842, 248, "Output",ExpressionUUID->"3478cac9-0002-48cd-84f8-9fd51e10b890"]
}, Open  ]],
Cell[CellGroupData[{
Cell[235453, 4308, 1377, 27, 52, "Input",ExpressionUUID->"1d1df491-7301-4b26-b5d2-3e6d21dd1d7d"],
Cell[236833, 4337, 24828, 421, 233, "Output",ExpressionUUID->"2c227e82-62a1-42ce-a651-37478afffe28"]
}, Open  ]],
Cell[CellGroupData[{
Cell[261698, 4763, 744, 16, 30, "Input",ExpressionUUID->"8fd24b43-fa24-4713-bf80-e2c07f21b211"],
Cell[262445, 4781, 105882, 1830, 376, "Output",ExpressionUUID->"e1e9b3e6-e4b3-4a2f-9434-9eba5bd64c30"]
}, Open  ]],
Cell[368342, 6614, 346, 6, 35, "Text",ExpressionUUID->"21d0e33e-4665-439d-9ca5-de1478fec445"],
Cell[368691, 6622, 708, 19, 52, "Input",ExpressionUUID->"a94fda27-d367-4c03-932f-c9f4adca40a2"],
Cell[CellGroupData[{
Cell[369424, 6645, 493, 13, 30, "Input",ExpressionUUID->"2ba42c85-61d9-4f91-993d-a30852e64f8a"],
Cell[369920, 6660, 83016, 1414, 376, "Output",ExpressionUUID->"45025e71-404f-4088-9c56-125e74d2e6de"]
}, Open  ]],
Cell[452951, 8077, 383, 6, 35, "Text",ExpressionUUID->"8f8dadb4-3816-496a-8559-8fc3d94755e2"],
Cell[CellGroupData[{
Cell[453359, 8087, 800, 23, 73, "Input",ExpressionUUID->"93e253d0-6c57-4692-9b72-0800097f2351"],
Cell[454162, 8112, 1550, 38, 78, "Output",ExpressionUUID->"855e4a7e-dcc4-4de0-8a44-99fc48b45015"]
}, Open  ]],
Cell[455727, 8153, 317, 6, 35, "Text",ExpressionUUID->"e94cadd8-4467-4fd6-a403-3ef327271513"],
Cell[CellGroupData[{
Cell[456069, 8163, 713, 19, 30, "Input",ExpressionUUID->"90e8b89b-0572-4d00-b208-bcb2d9f2f953"],
Cell[456785, 8184, 1005, 21, 34, "Output",ExpressionUUID->"f3f3ec18-105b-499c-a142-0a8d5b7ae329"]
}, Open  ]],
Cell[CellGroupData[{
Cell[457827, 8210, 756, 16, 73, "Input",ExpressionUUID->"52a7fbbd-af86-4840-94a6-e1dd6b888d92"],
Cell[458586, 8228, 973, 20, 34, "Output",ExpressionUUID->"22038082-eb09-4d05-9220-ab29d28f0c55"],
Cell[459562, 8250, 788, 14, 34, "Output",ExpressionUUID->"4fe89bc0-b27e-4b94-982e-f8d242a93830"],
Cell[460353, 8266, 788, 14, 34, "Output",ExpressionUUID->"74ad9d2d-61d6-403c-8a03-4a9089c1d789"]
}, Open  ]],
Cell[461156, 8283, 369, 6, 35, "Text",ExpressionUUID->"0856724f-9acc-43e5-ac85-2c3c64fa1ce7"],
Cell[CellGroupData[{
Cell[461550, 8293, 284, 5, 30, "Input",ExpressionUUID->"2dba7c80-bbd8-42d9-bace-b38fd59e5765"],
Cell[461837, 8300, 740, 21, 50, "Output",ExpressionUUID->"7a7c1e8e-b902-433d-a720-714d175d96c3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[462614, 8326, 1360, 34, 52, "Input",ExpressionUUID->"39e506f3-a4f1-4641-99c5-6a7ce02deac0"],
Cell[463977, 8362, 10557, 213, 223, "Output",ExpressionUUID->"43ef1f1f-7f39-4cac-b9bb-2ce40fe83379"]
}, Open  ]],
Cell[474549, 8578, 426, 7, 35, "Text",ExpressionUUID->"ccaff8d7-2f98-4148-98c0-8ae92486b168"],
Cell[CellGroupData[{
Cell[475000, 8589, 433, 8, 30, "Input",ExpressionUUID->"70bf4663-2e9d-4df5-a083-655549cb054d"],
Cell[475436, 8599, 1411, 37, 34, "Output",ExpressionUUID->"07f76b31-7111-4cdf-ad0e-b394a41906a8"]
}, Open  ]],
Cell[476862, 8639, 2848, 75, 157, "Input",ExpressionUUID->"5fb94c39-ab19-4168-9bde-837bea8cf8f5"],
Cell[CellGroupData[{
Cell[479735, 8718, 1033, 22, 30, "Input",ExpressionUUID->"3f59b924-eb88-47a7-995e-98d0fb3a8f26"],
Cell[480771, 8742, 1048, 19, 72, "Output",ExpressionUUID->"511673c5-af1f-47b0-b66f-47eed13b2224"]
}, Open  ]],
Cell[481834, 8764, 504, 11, 30, "Input",ExpressionUUID->"0bddef4d-d6ba-4a7f-bf5e-814a5335a1cd"]
}
]
*)

